2005-11-27  Kim F. Storm  <storm@cua.dk>

	* emulation/cua-rect.el (cua--highlight-rectangle): Preserve
	existing face when partially highlighting a TAB in a rectangle.

2005-11-26  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-mode-map): Doc fix.
	(ido-mode-common-map, ido-mode-file-map)
	(ido-mode-file-dir-map, ido-mode-buffer-map): New keymaps.
	(ido-define-mode-map): Rewrite.  Select one of the new maps as
	parent for ido-mode-map instead of building from scratch.
	(ido-init-mode-maps): New defun to initialize new maps.
	(ido-mode): Call it.
	(ido-switch-buffer): Doc fix -- use \<ido-mode-buffer-map>.
	(ido-find-file): Doc fix -- use \<ido-mode-file-map>.

2005-11-26  John Paul Wallington  <jpw@pobox.com>

	* arc-mode.el (archive-extract): Use `posn-set-point' instead of
	`mouse-set-point' because the latter is not fbound when configured
	without X.

2005-11-26  Thien-Thi Nguyen  <ttn@gnu.org>

	* files.el (file-relative-name): Doc fix.

2005-11-26  Kurt Hornik  <Kurt.Hornik@wu-wien.ac.at>

	* progmodes/octave-inf.el (inferior-octave-startup): Force a
	non-empty string for secondary prompt PS2.

2005-11-25  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/compile.el (compilation-setup): Fix last change.

2005-11-26  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-info-breakpoints-custom)
	(gdb-mouse-toggle-breakpoint-margin)
	(gdb-mouse-toggle-breakpoint-fringe, gdb-threads-select):
	Add gdb-server-prefix to keep out of command history.
	(gdb-edit-register-value): New function.
	(gdb-registers-mode-map): Bind mouse-2 and RET to it.
	(gdb-info-registers-custom): Use above map.

2005-11-25  Chong Yidong  <cyd@stupidchicken.com>

	* custom.el (enable-theme): Signal error if argument is not a
	theme.  Don't recalculate a face if it's not loaded yet.

	* cus-face.el (custom-theme-set-faces): Don't change saved-face if
	the `user' theme is in effect.

	* info.el (Info-on-current-buffer): Record actual filename in
	Info-current-file, instead of t, or a fake filename if a non-file
	buffer.  Make autoload.
	(Info-find-node, Info-revert-find-node): No need to check for
	Info-current-file nil.
	(Info-set-mode-line, Info-up, Info-copy-current-node-name):
	Info-current-file is now never `t'.
	(Info-fontify-node): Many simplifications due to Info-current-file
	always being valid.  Use Info-find-file to find node filename.

2005-11-25  David Kastrup  <dak@gnu.org>

	* longlines.el (longlines-wrap-line): Reorder wrapping to "insert
	new character, then delete" in order to preserve markers.

2005-11-25  David Ponce  <david@dponce.com>

	* recentf.el (recentf-arrange-by-rule): Handle a special
	`auto-mode-alist'-like "strip suffix" rule.
	(recentf-build-mode-rules): Handle second level auto-mode entries.

2005-11-25  Michael Kifer  <kifer@cs.stonybrook.edu>

	* viper-keym.el (viper-ESC-key): Use different values in terminal and
	window modes.

	* viper.el (viper-emacs-state-mode-list): Delete mail-mode, add
	jde-javadoc-checker-report-mode.

	* ediff-wind (ediff-make-wide-display): Slight simplification.

	* ediff.el (ediff-date): Change the date of last update.

2005-11-24  Chong Yidong  <cyd@stupidchicken.com>

	* hi-lock.el (hi-lock-buffer-mode): Renamed from `hi-lock-mode'.
	Use define-minor-mode, and make it a local mode.  Turn on font-lock.
	(hi-lock-mode): New global minor mode.
	(turn-on-hi-lock-if-enabled): New function.
	(hi-lock-line-face-buffer, hi-lock-face-buffer, hi-lock-set-pattern):
	Change arguments to regexp and face instead of a font-lock pattern.
	Directly set face property, instead of refontifying.
	(hi-lock-font-lock-hook): Check if font-lock is being turned on.
	(hi-lock-find-patterns): Use line-number-at-pos.

	(hi-lock-face-phrase-buffer): Call hi-lock-buffer-mode.  Use new
	arguments for hi-lock-set-pattern.
	(hi-lock-unface-buffer, hi-lock-set-file-patterns): Call
	font-lock-fontify-buffer.
	(hi-lock-find-file-hook, hi-lock-current-line)
	(hi-lock-refontify, hi-lock-set-patterns): Delete unused functions.

	(hi-lock-font-lock-hook): Turn off hi-lock when font lock is
	turned off.

	* progmodes/compile.el (compilation-setup): Don't fiddle with
	font-lock-defaults.

2005-11-25  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-var-create-handler)
	(gdb-var-list-children-handler): Find values for all variable
	objects.  gud-speedbar-buttons decides whether to display them.

2005-11-24  Romain Francoise  <romain@orebokech.com>

	* info.el (Info-speedbar-fetch-file-nodes): Prefix temporary
	buffer name with a space.

2005-11-24  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el: (org-export-plain-list-max-depth): Renamed from
	`org-export-local-list-max-depth'.  Change default value to 3.
	(org-auto-renumber-ordered-lists)
	(org-plain-list-ordered-item-terminator): New options.
	(org-at-item-p, org-beginning-of-item, org-end-of-item)
	(org-get-indentation, org-get-string-indentation)
	(org-maybe-renumber-ordered-list, org-renumber-ordered-list): New
	functions.
	(org-move-item-down, org-move-item-up): New commands.
	(org-export-as-html): New classes for CSS support.  Bug fix in
	regular expression detecting fixed-width regions.  Respect
	`org-local-list-ordered-item-terminator'.
	(org-set-autofill-regexps, org-adaptive-fill-function): "1)" is
	also a list item.
	(org-metaup, org-metadown, org-shiftmetaup, org-shiftmetadown):
	New item moving functions.

2005-11-24  Juri Linkov  <juri@jurta.org>

	* isearch.el (isearch-repeat): With empty search ring set
	`isearch-error' to the error string instead of signaling error
	with the function `error'.

2005-11-24  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el: Make modifier `ctrl' an alias for `control'.

2005-11-24  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-speedbar-auto-raise): New function
	and variable.
	(gdb-var-create-handler, gdb-var-list-children-handler):
	Don't match on "char **...".
	(gdb-var-update-handler): Find values for all variable objects.
	(gdb-info-frames-custom): Identify frames by leading "#".

	* progmodes/gud.el (gud-speedbar-menu-items): Add
	gdb-speedbar-auto-raise as radio button.
	(gud-speedbar-buttons): Raise speedbar if requested.
	Don't match on "char **...".
	(gud-speedbar-buttons): Add (pointer) value for non-leaves.
	Make it editable.

2005-11-23  Chong Yidong  <cyd@stupidchicken.com>

	* info.el (Info-fontify-node): Handle the case where
	Info-current-file is t.

2005-11-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (blink-matching-open): Fix off-by-one in last change.

2005-11-23  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el: Don't change default directory.

2005-11-22  Luc Teirlinck  <teirllm@auburn.edu>

	* cus-edit.el (Custom-reset-standard): Make it handle Custom group
	buffers correctly.  (It used to throw an error in such buffers.)
	Make it ask for confirmation in group buffers and other Custom
	buffers containing more than one customization item.

2005-11-22  John Paul Wallington  <jpw@gnu.org>

	* net/goto-addr.el (goto-address-fontify): Put `follow-link'
	property on mail and url overlays.
	(goto-address-at-point): Use `posn-set-point' instead of
	`mouse-set-point' because the latter is not fbound when configured
	without X.

2005-11-22  Lars Hansen  <larsh@soem.dk>

	* ls-lisp.el (ls-lisp-parse-symlink): Delete.
	(ls-lisp-classify, ls-lisp-format): Delete call to
	ls-lisp-parse-symlink.
	(ls-lisp-handle-switches): Handle symlinks to directories as
	directories when ls-lisp-dirs-first in non-nil.

2005-11-21  Luc Teirlinck  <teirllm@auburn.edu>

	* startup.el (command-line): Make sure that loaddefs.el is handled
	correctly in load-history.

2005-11-22  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-locals-watch-keymap): New local map.
	(gdb-struct-string, gdb-array-string): New constants.
	(gdb-info-locals-handler): Use them.
	(gdb-reset): Reset gdb-var-list to nil.

2005-11-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/sh-script.el (sh-font-lock-paren): Handle continued lines
	in patterns.

2005-11-21  Juri Linkov  <juri@jurta.org>

	* custom.el (defcustom): Update link types in docstring.

2005-11-20  Martin Rudalics  <rudalics@gmx.at>  (tiny change)

	* custom.el (defgroup): Add doc-string-elt info.

	* widget.el (define-widget): Don't use declare for the doc-string-elt.

2005-11-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* newcomment.el (comment-enter-backward): Fix last fix.

	* simple.el (blink-matching-open):
	* paren.el (show-paren-function): Allow new paren-class info.

2005-11-20  Chong Yidong  <cyd@stupidchicken.com>

	* faces.el: Revert 2005-11-17 change.  :ignore-defface is now
	handled automagically.

2005-11-20  Juri Linkov  <juri@jurta.org>

	* simple.el (what-cursor-position):
	* descr-text.el (describe-char): Use Lisp-readable syntax
	for octal and hex.  Reorder decimal, octal and hex values.
	Remove excess whitespace in the output.  Use `=' in `column='
	like in `point=' and `Hscroll='.

	* international/mule-cmds.el (encoded-string-description):
	Use Lisp-readable syntax for hex.

2005-11-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* newcomment.el (comment-enter-backward): Handle the case where the
	comment is closed by EOB.

2005-11-19  Chong Yidong  <cyd@stupidchicken.com>

	* longlines.el (longlines-before-revert-hook)
	(longlines-after-revert-hook): New functions.
	(longlines-mode): Turn off longlines temporarily when reverting.
	Add a message-setup-hook.
	(longlines-decode-buffer): New function.
	(longlines-wrap-line): Preserve marker positions.

2005-11-19  Andreas Schwab  <schwab@suse.de>

	* emacs-lisp/shadow.el: Handle compressed files.

2005-11-19  Romain Francoise  <romain@orebokech.com>

	* net/browse-url.el (browse-url-default-browser): Signal an error
	if no usable browser can be found, rather than try to load w3.

2005-11-16  Ryan Yeske  <rcyeske@gmail.com>

	* net/rcirc.el (rcirc-mangle-text): Add bold face property without
	replacing existing properties.
	(rcirc-my-nick, rcirc-other-nick, rcirc-server)
	(rcirc-nick-in-message, rcirc-prompt): Use min-colors and remove
	tty specs.
	(rcirc-server-prefix, rcirc-server): New faces.
	(rcirc-url-regexp): Generate with rx macro.
	(rcirc-last-server-message-time): New variable.
	(rcirc-filter): Record time of last message.
	(rcirc-keepalive): Kill processes that did not send a message
	since the last ping.
	(rcirc-mode): Give rcirc-topic a local binding here.

2005-11-19  Michael Cadilhac  <michael.cadilhac@lrde.org>  (tiny change)

	* subr.el (read-passwd): Fontify the prompt as we do with other
	prompts.

2005-11-19  Ryan Yeske  <rcyeske@gmail.com>

	* ffap.el (ffap-menu-rescan): Use inhibit-read-only instead of
	binding buffer-read-only to nil.

2005-11-19  Eli Zaretskii  <eliz@gnu.org>

	* complete.el (partial-completion-mode):
	Mention completion-auto-help in the doc string.

	* man.el (Man-highlight-references): Doc fix.  Reformat code in a
	more Lisp-ish way.

2005-11-19  Slawomir Nowaczyk  <slawomir.nowaczyk.847@student.lu.se> (tiny change)

	* ls-lisp.el (ls-lisp-format-file-size): Format file size with 9
	digits, not 8, to avoid misalignment for files larger than 100MB.

2005-11-19  Eli Zaretskii  <eliz@gnu.org>

	* menu-bar.el (menu-bar-describe-menu) <list-keybindings>:
	Mention "keyboard shortcuts" in the help text.

2005-11-19  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* startup.el (fancy-splash-default-action): Discard only
	mouse-down and succeeding mouse-up events in the splash screen
	window so that drag-n-drop event can be processed.

2005-11-18  Chong Yidong  <cyd@stupidchicken.com>

	* longlines.el (longlines-mode): Add hacks for mail-mode and
	message-mode.

2005-11-18  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el: (org-table-sort-lines): New command.
	(org-tbl-menu): Add entry for `org-table-sort-lines'.
	(org-add-file): Command removed, use `org-agenda-file-to-front'
	instead.
	(org-export-icalendar): Use `org-icalendar-combined-name'.
	(org-cycle-agenda-files, org-agenda-file-to-end)
	(org-agenda-file-to-front): New commands.
	(org-table-tab-jumps-over-hlines,org-export-html-style): New
	options.
	(org-table-next-field): Use `org-table-tab-jumps-over-hlines'.
	(org-at-table.el-p, org-set-autofill-regexps,org-html-protect):
	New functions.
	(org-fill-paragraph): Call `org-table-align' in tables.
	(org-mode): Call `org-set-autofill-regexps'.
	(org-export-as-html): Support for local handformatted lists.
	Modified to produce valid HTML 4.0. Use `org-export-html-style'.
	(org-export-local-list-max-depth): New option.
	(org-html-expand): Use `org-html-protect'.

2005-11-18  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-install-speedbar-variables): Bind gud-pp
	to "p".
	(gdb): Move definition of gud-pp to...

	* progmodes/gdb-ui.el (gdb-ann3): ...here.  Make it work in the
	speedbar.
	(gdb-find-watch-expression): New function.

2005-11-17  Chong Yidong  <cyd@stupidchicken.com>

	* faces.el (face-attribute, set-face-attribute): Mention existence
	of `:ignore-defface' setting in docstring.

2005-11-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (completion-setup-function): Fix last change.

2005-11-17  John Paul Wallington  <jpw@pobox.com>

	* ibuf-ext.el (ibuffer-interactive-filter-by-mode):
	Use `posn-set-point' instead of `mouse-set-point' because the
	latter is not fbound when configured without X.

	* comint.el (comint-insert-input): Likewise.

2005-11-17  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (hard-newline): New variable.
	(sendmail-user-agent-compose, next-line): Use it.

	* mail/sendmail.el (mail-setup, mail-send, mail-insert-from-field)
	(sendmail-send-it, mail-do-fcc, mail-cc, mail-bcc, mail-fcc)
	(mail-mail-reply-to, mail-mail-followup-to)
	(mail-position-on-field, mail-signature, mail-yank-original)
	(mail-attach-file): Likewise.

	* mail/mailheader.el (mail-header-format)
	(mail-header-format-function): Likewise.

	* add-log.el (add-change-log-entry, change-log-merge): Likewise.

2005-11-17  Juri Linkov  <juri@jurta.org>

	* font-lock.el (font-lock-faces): Rename this defgroup from
	`font-lock-highlighting-faces'.
	(font-lock-comment-face, font-lock-comment-delimiter-face)
	(font-lock-string-face, font-lock-doc-face)
	(font-lock-keyword-face, font-lock-builtin-face)
	(font-lock-function-name-face, font-lock-variable-name-face)
	(font-lock-type-face, font-lock-constant-face)
	(font-lock-warning-face, font-lock-negation-char-face)
	(font-lock-preprocessor-face)
	(font-lock-regexp-grouping-backslash)
	(font-lock-regexp-grouping-construct): Rename :group from
	`font-lock-highlighting-faces' to `font-lock-faces'.

	* cus-edit.el (lisp, c, tex):
	* progmodes/ada-mode.el (ada):
	* progmodes/asm-mode.el (asm):
	* progmodes/cperl-mode.el (cperl-faces):
	* progmodes/cpp.el (cpp):
	* progmodes/dcl-mode.el (dcl):
	* progmodes/f90.el (f90):
	* progmodes/fortran.el (fortran):
	* progmodes/icon.el (icon):
	* progmodes/idlwave.el (idlwave-misc):
	* progmodes/m4-mode.el (m4):
	* progmodes/make-mode.el (makefile):
	* progmodes/meta-mode.el (meta-font):
	* progmodes/modula2.el (modula2):
	* progmodes/octave-mod.el (octave):
	* progmodes/pascal.el (pascal):
	* progmodes/perl-mode.el (perl):
	* progmodes/prolog.el (prolog):
	* progmodes/ps-mode.el (PostScript-edit):
	* progmodes/scheme.el (scheme):
	* progmodes/sh-script.el (sh-script):
	* progmodes/simula.el (simula):
	* progmodes/tcl.el (tcl):
	* textmodes/nroff-mode.el (nroff):
	* textmodes/reftex-vars.el (reftex-fontification-configurations):
	* textmodes/sgml-mode.el (sgml):
	* textmodes/texinfo.el (texinfo):
	Add :link (custom-group-link font-lock-faces) to defgroup.

	* hi-lock.el (hi-lock): Rename this defgroup from
	`hi-lock-interactive-text-highlighting'.  Change parent group from
	`faces' to `font-lock'.  Add link to the manual.
	(hi-lock-mode, hi-lock-file-patterns-range)
	(hi-lock-exclude-modes, hi-lock-faces): Rename :group from
	`hi-lock-interactive-text-highlighting' to `hi-lock'.
	(hi-lock-faces): Add :group `faces'.

	* cus-edit.el (custom-variable-prompt): Clarify the code.

	* faces.el (face-read-string): Set the default value arg of
	completing-read.

2005-11-16  Luc Teirlinck  <teirllm@auburn.edu>

	* rfn-eshadow.el (file-name-shadow-properties)
	(file-name-shadow-tty-properties, file-name-shadow-mode):
	Remove autoloads, because the file is now preloaded.

2005-11-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* printing.el (easy-menu-intern): Don't define.
	(pr-get-symbol): Use easy-menu-intern only if defined.

	* simple.el (blink-matching-open): Simplify a bit.
	(completion-setup-function): Fix the case of partial-completion-mode
	when the minibuffer's contents start with "-".
	Obey completion-base-size-function even when
	minibuffer-completing-file-name is non-nil.

2005-11-16  Richard M. Stallman  <rms@gnu.org>

	* net/eudcb-ph.el (eudc-ph-open-session):
	Use set-process-query-on-exit-flag.

	* mail/smtpmail.el (smtpmail-send-it): Use insert-buffer-contents.

	* international/ucs-tables.el (ucs-set-table-for-input):
	Use make-local-variable, not make-variable-buffer-local.

	* emacs-lisp/byte-opt.el (byte-optimize-form-code-walker):
	Improve warning message text.

	* savehist.el (savehist-save-hook): Add :group.

	* menu-bar.el (menu-bar-help-menu):
	Rename Find Extra Packages to External Packages.

	* cus-edit.el (Custom-reset-standard): Verify that
	:custom-standard-value prop exists before calling it.

	* apropos.el (apropos-calc-scores): Use apropos-pattern.

2005-11-16  Martin Rudalics  <rudalics@gmx.at>  (tiny change)

	* wid-edit.el (color): Enclose %t in %{...%}.

	* cus-edit.el (face): Enclose %t in %{...%}.

2005-11-16  Hrvoje Niksic  <hniksic@xemacs.org>

	* savehist.el (savehist-mode-hook): Re-add the var.
	(savehist-mode): Use it.

2005-11-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/flyspell.el: Fix commenting convention.
	Remove unnecessary leading * in custom docstrings.
	(flyspell-emacs): Remove unused var.
	(flyspell-delete-region-overlays): Use remove-overlays.
	(flyspell-accept-buffer-local-defs): Use save-current-buffer.
	(flyspell-debug-signal-no-check, flyspell-debug-signal-changed-checked)
	(flyspell-debug-signal-pre-word-checked, flyspell-post-command-hook)
	(flyspell-debug-signal-word-checked): Use with-current-buffer.
	(make-flyspell-overlay): Don't locally reuse a global name.
	(flyspell-highlight-incorrect-region)
	(flyspell-highlight-duplicate-region): Use flyspell-unhighlight-at.
	(flyspell-check-previous-highlighted-word): Use flyspell-overlay-p.
	(flyspell-notify-misspell): Remove unused args `start' and `end'.
	(flyspell-word): Adjust call accordingly.  Use ispell-send-string.
	Wrap calls to accept-process-output inside with-local-quit since it's
	often called from a post-command-hook.
	(flyspell-correct-word, flyspell-auto-correct-word):
	Use ispell-send-string.
	(flyspell-xemacs-popup): Remove unused arg `event'.  Update call.

	* calendar/diary-lib.el (diary-list-entries): Also hide the
	terminating newline.

2005-11-16  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/reftex.el (reftex-use-fonts): Remove the check for
	window-system, to allow fonts on tty.

2005-11-17  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-speedbar-item-info): New function.
	(gud-install-speedbar-variables): Use it to display data type
	of watch expression as a tooltip in speedbar.

2005-11-15  Luc Teirlinck  <teirllm@auburn.edu>

	* font-core.el (global-font-lock-mode): Add :version keyword,
	because default was changed.

	* jka-cmpr-hook.el (auto-compression-mode): Ditto.

	* startup.el (command-line): Use `custom-reevaluate-setting' for
	`file-name-shadow-mode'.

	* loadup.el: Preload rfn-eshadow.

	* rfn-eshadow.el (file-name-shadow-mode): Set :init-value to t.
	Add :version keyword.
	(file-name-shadow-properties, file-name-shadow-tty-properties)
	(file-name-shadow): Add :version keyword.

	* cus-edit.el (custom-add-parent-links): Fix bug whereby, for
	instance, `(fringe custom-face)' shadowed `(fringe custom-group)'
	in the custom-group property of the symbol frames and the fringe
	group got no link to its parent group frames.
	Doc fix.

2005-11-16  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-stop-subjob): New function.
	(gud-menu-map, gud-tool-bar-map): Use it.

2005-11-16  Kim F. Storm  <storm@cua.dk>

	* progmodes/gud.el (gud-menu-map): Let [stop] stop program rather
	than kill it.
	(gud-tool-bar-map): Likewise.  Move cont/until/finish buttons
	to a more useful/logical place.

2005-11-16  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-menu-map): Make visibility of stop and
	go buttons complementary.

2005-11-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* rfn-eshadow.el (rfn-eshadow-regexp): Remove.
	(rfn-eshadow-sifn-equal): New function.
	(rfn-eshadow-update-overlay): Rewrite to use substitute-in-file-name.

2005-11-15  Michael Kifer  <kifer@cs.stonybrook.edu>

	* viper-utils (viper-non-word-characters-reformed-vi): Quote `-' in
	string.

	* viper.el (viper-emacs-state-mode-list): Ensure that
	rcirc-mode buffers come up in Emacs state.

	* ediff-util (ediff-make-temp-file): Use proper file-name-handler
	operation.

2005-11-15  Dan Nicolaescu  <dann@ics.uci.edu>

	* term.el (term-termcap-format): Fix typos.
	(term-down): Fix the negative argument case.

2005-11-16  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el: Remove face-alias left over from change on
	2005-08-15.
	(gdb-ann3): New command gud-go.
	(menu): Accomodate gdb-mi.el.
	(gdb-assembler-custom): Make buffer of selected window current
	so that set-window-point works.

	* progmodes/gud.el (gud-menu-map, gud-tool-bar-map): Re-define
	buttons and include new ones.

2005-11-16  Kim F. Storm  <storm@cua.dk>

	* progmodes/gud.el (gud-tool-bar-item-visible-no-fringe): New function.
	(gud-menu-map): Use it.

2005-11-14  Luc Teirlinck  <teirllm@auburn.edu>

	* jka-cmpr-hook.el (auto-compression-mode): Enable it in a way
	that works correctly for Custom and that does not override a user
	who disables it.

	* help-mode.el (help-make-xrefs, help-xref-on-pp)
	(help-xref-interned, help-follow): Make hyperlinks for variables
	that are unbound, but have a non-nil variable-documentation property.

	* emacs-lisp/derived.el (define-derived-mode): Remove defvar for
	mode hook.  (It conflicted with defcustoms for some mode hooks.)
	Use the `variable-documentation' property to give the mode hook a
	docstring and expand that docstring.

2005-11-14  Hrvoje Niksic  <hniksic@xemacs.org>

	* savehist.el (savehist-mode): Don't bother with
	`custom-set-minor-mode'.
	(savehist-coding-system): Check XEmacs version.
	(history-length): Declare also at run time.
	(savehist-mode): Don't emit a message.  Don't run the minor mode hook.
	Don't set the customize state.
	(savehist-minibuffer-hook): Special case for when
	minibuffer-history-variable is equal to t.

2005-11-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* files.el (write-file): Refresh VC status.

	* calendar/diary-lib.el (diary-list-entries, diary-show-all-entries)
	(mark-diary-entries, make-diary-entry): Check default-major-mode rather
	than fundamental-mode to see if the mode was set.

2005-11-14  Romain Francoise  <romain@orebokech.com>

	* dired-x.el: If `vm-visit-folder' doesn't exist, define it as a
	dummy function in `eval-when-compile' to avoid compiler warning.
	Require `man' at compile time.

2005-11-14  Jay Belanger  <belanger@truman.edu>

	* calc-alg.el (calcFunc-write-out-power): Rename it to
	calcFunc-powerexpand.
	(math-write-out-power): Rename it to math-powerexpand; have it
	handle negative exponents.
	(calc-writeoutpower): Rename it to calc-powerexpand.

	* calc-ext.el: Change calcFunc-writeoutpower and
	calc-writeoutpower to calcFunc-powerexpand and calc-powerexpand in
	autoloads.
	Add calcFunc-ldiv to autoloads.

	* calc-arith.el (calcFunc-ldiv): New function.

	* calc.el (calc-left-divide): New function.

2005-11-14  Juri Linkov  <juri@jurta.org>

	* cus-edit.el (custom-variable-prompt): Set the default value arg
	of completing-read.

	* cus-dep.el (custom-make-dependencies): Reverse the list of
	found dependencies.

2005-11-14  Dan Nicolaescu  <dann@ics.uci.edu>

	* menu-bar.el (menu-bar-options-menu): Delete "Syntax
	Highlighting" entry, it is on by default now.
	(menu-bar-options-save): Do not save global-font-lock-mode.

2005-11-13  Richard M. Stallman  <rms@gnu.org>

	* textmodes/flyspell.el (flyspell-large-region):
	Call flyspell-accept-buffer-local-defs.

2005-11-13  Agustin Martin  <agustin.martin@hispalinux.es>

	* textmodes/flyspell.el (flyspell-notify-misspell):
	Fix misspelling of "Misspelling".
	(flyspell-process-localwords): New function.
	(flyspell-large-region): Call flyspell-process-localwords and
	flyspell-delete-region-overlays.
	(flyspell-delete-region-overlays): New function.
	(flyspell-delete-all-overlays): Call that.

2005-11-13  Richard M. Stallman  <rms@gnu.org>

	* help.el (help-for-help-internal): Improve doc of C-h a.
	(describe-key): Improve prompt; doc fix.

2005-11-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-svn.el (vc-svn-registered): Catch all errors.

	* cus-dep.el (custom-make-dependencies): Typo.

2005-11-13  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-util.el (top): Fix compilation warning.

2005-11-13  Kim F. Storm  <storm@cua.dk>

	* help.el (help-for-help-internal): Fix `a' entry.  Add `d' entry.

2005-11-13  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-menu-map): Move parentheses (again).
	(gud-speedbar-buttons): Match on "const char *" too.

	* progmodes/gdb-ui.el (gdb-var-create-handler)
	(gdb-var-list-children-handler): Match on "const char *" too.
	(gdb-var-evaluate-expression-handler): Match on empty string.
	(gdb-var-update-handler): Only call
	gdb-var-evaluate-expression-handler when required.

2005-11-13  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-menu-map): Revert to window-fringes for
	selected window.  This still doesn't work for speedbar.
	(gud-speedbar-buttons): Handle string expressions properly.

	* progmodes/gdb-ui.el (gdb-var-evaluate-expression-handler)
	(gdb-var-create-handler): Handle string expressions properly.
	(gdb-var-list-children-regexp, gdb-var-list-children-handler):
	Handle string expressions properly.  Move "type" field into regexp.

2005-11-12  Karl Fogel  <kfogel@red-bean.com>

	* bookmark.el (bookmark-maybe-message): New function to reduce
	code duplication: invokes `message' iff baud-rate is high enough.
	(bookmark-write-file): Use above instead of an inline conditional.
	(bookmark-load): Same.

2005-11-12  Karl Fogel  <kfogel@red-bean.com>

	* bookmark.el (bookmark-write-file): Don't visit the destination
	file, just write the data to it using write-region.  This is
	similar to revision 1.32 of saveplace.el, but with an additional
	change to avoid visiting the file in the first place.

2005-11-12  Chong Yidong  <cyd@stupidchicken.com>

	* hi-lock.el (hi-lock-mode): Set the default value of
	font-lock-defaults.

2005-11-11  Luc Teirlinck  <teirllm@auburn.edu>

	* find-lisp.el (find-lisp-find-dired-insert-file): Pass `string'
	arg to `file-attributes'.
	(find-lisp-format): The UID and GID can now be strings.

2005-11-12  Kim F. Storm  <storm@cua.dk>

	* help.el (help-map): Bind C-h d to apropos-documentation.

	* simple.el (what-cursor-position): Print (EOB) instead of (100%)
	when point is at end-of-buffer.

	* apropos.el (apropos-match-face): Doc fix.
	(apropos-sort-by-scores): Add new choice `verbose'.
	(apropos-documentation-sort-by-scores): New defcustom.
	(apropos-pattern): Now contains the pattern entered by the user.
	(apropos-pattern-quoted): New defvar.
	(apropos-regexp): New defvar, containing the regexp corresponding
	to apropos-pattern.
	(apropos-all-words-regexp): Rename from apropos-all-regexp.
	(apropos-read-pattern): New defun.  Use it to read pattern arg in
	interactive calls; returns list of words for a word list, and
	string for a regexp.
	(apropos-parse-pattern): Rename from apropos-rewrite-regexp.  Now
	parses a list of words or regexp as returned by apropos-read-pattern.
	(apropos-calc-scores): Return nil if apropos-regexp doesn't match.
	(apropos-score-doc): Return a very high score if the string
	entered by the user matches literally.
	(apropos-variable): Doc fix.  Use apropos-read-pattern.
	(apropos-command): Doc fix.  Use apropos-read-pattern and
	apropos-parse-pattern.  Call apropos-print with nosubst=t.
	(apropos, apropos-value): Doc fix. Use apropos-read-pattern and
	apropos-parse-pattern.
	(apropos-documentation): Doc fix. Use apropos-read-pattern and
	apropos-parse-pattern.  Locally bind apropos-sort-by-scores to
	apropos-documentation-sort-by-scores.  Call apropos-print with
	nosubst=t.
	(apropos-documentation-internal): Pass doc string through
	substitute-key-definition before adding text properties.
	Highlight substring matching literal user input if possible.
	(apropos-documentation-check-doc-file): Remove locals beg and end.
	Fix calculation of score (as added twice).  Pass doc string through
	substitute-key-definition before adding text properties.
	(apropos-documentation-check-elc-file): Pass doc string through
	substitute-key-definition before adding text properties.
	Highlight substring matching literal user input if possible.
	(apropos-print): Add new arg NOSUBST; if set, command and variable
	doc strings have already been passed through substitute-key-definition.
	Add code to handle apropos-accumulator items without score element
	for backwards compatibility (e.g. with woman package).
	Only show scores if apropos-sort-by-scores is `verbose'.

2005-11-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* jka-cmpr-hook.el (jka-compr-install): Use push and dolist.
	Add jka-compr-load-suffixes to load-suffixes.

	* jka-compr.el: Require 'jka-cmpr-hook.
	(jka-compr-info-compress-message, jka-compr-info-compress-program)
	(jka-compr-info-compress-args, jka-compr-info-uncompress-message)
	(jka-compr-info-uncompress-program, jka-compr-info-uncompress-args)
	(jka-compr-info-can-append, jka-compr-info-strip-extension)
	(jka-compr-info-file-magic-bytes, jka-compr-get-compression-info)
	(jka-compr-info-regexp): Remove.  Provided by jka-cmpr-hook.
	(jka-compr-uninstall): Remove entries from
	jka-compr-added-to-file-coding-system-alist after they are used.
	(jka-compr-error): Remove unused var `curbuf'.
	(jka-compr-file-local-copy): Remove unused var `notfound'.

2005-11-10  Romain Francoise  <romain@orebokech.com>

	* apropos.el (apropos-calc-scores): Use `apropos-pattern'.

2005-11-11  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-menu-map): Move parentheses.
	(gdb): New command gud-pv.

2005-11-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* tar-mode.el: Remove spurious or unnecessary leading stars
	in docstrings.
	(tar-header-block-tokenize): Also obey default-file-name-coding-system.
	(tar-parse-octal-integer-safe): Use mapc.
	(tar-header-block-summarize): Remove unused var `ck'.
	(tar-summarize-buffer): Don't clear the modified-p bit if it wasn't
	cleared before.  Obey default-enable-multibyte-characters.
	Use mapconcat.  Simplify setting of tar-header-offset.
	(tar-mode-map): Move initialization inside delcaration.
	(tar-flag-deleted): Use `abs'.
	(tar-expunge-internal): Remove unused var `line'.
	(tar-expunge-internal): Don't hardcode point-min==1.
	(tar-expunge): Widen while doing set-buffer-multibyte.
	(tar-rename-entry): Use file-name-coding-system.
	(tar-alter-one-field): Don't hardcode point-min==1.
	(tar-subfile-save-buffer): string-as-unibyte works on unibyte strings.
	(tar-pad-to-blocksize): Don't hardcode point-min==1.  Clarify the code.

2005-11-10  Masatake YAMATO  <jet@gyve.org>

	* add-log.el (add-log-current-defun): Handle class::method
	notation of c++. Fix incorrect comment.

2005-11-10  Alan Mackenzie  <acm@muc.de>

	* help-fns.el (describe-variable): Make C-h v work when a variable
	has variable documentation yet is unbound.

2005-11-10  Masatake YAMATO  <jet@gyve.org>

	* man.el (Man-highlight-references): Set an empty
	string to `Man-arguments' if it is nil.
	Suggested by Reiner Steib <Reiner.Steib@gmx.de>.

2005-11-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* Makefile.in (mh-loaddefs.el, loaddefs.el): Better follow the
	commenting conventions.

	* cus-dep.el (custom-make-dependencies): Simplify.
	Better follow the commenting conventions.

2005-11-09  Richard M. Stallman  <rms@gnu.org>

	* apropos.el (apropos-pattern): Rename from apropos-regexp.
	(apropos-orig-pattern): Rename from apropos-orig-regexp.
	All uses changed.
	(apropos-rewrite-regexp): Doc fix.
	(apropos-variable, apropos-command, apropos, apropos-value):
	Change prompt; carry through the argument renaming.

2005-11-09  Luc Teirlinck  <teirllm@auburn.edu>

	* find-lisp.el: Require dired.
	(find-lisp-find-dired-internal): Do not call
	`abbreviate-file-name' on DIR.

2005-11-10  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gdb): Make gud-pp use user-defined command pp1.

2005-11-09  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-menu-map): Ensure tool-bar is constant
	when using the speedbar.
	(gdb): New command gud-pp.
	(gud-menu-map, gud-tool-bar-map): Put it on the tool bar.

2005-11-09  Juri Linkov  <juri@jurta.org>

	* replace.el (occur-excluded-properties): New defcustom.
	(occur-1, occur-engine, occur-accumulate-lines): Use it.

2005-11-08  Jay Belanger  <belanger@truman.edu>

	* calc/calc-units.el (math-convert-units): Replace any composite
	unit by its definition.

2005-11-08  Lars Hansen  <larsh@soem.dk>

	* emacs-lisp/autoload.el (update-directory-autoloads):
	Add obsolete function alias.

2005-11-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/lisp-mode.el (lisp-mode-variables): Don't set
	comment-indent-function.
	(lisp-comment-indent): Replace by an alias for comment-indent-default.

	* reveal.el (reveal-post-command): Rework the handling of
	reveal-open-spots, so as to be more reliable.  There were several
	tricky corner cases where an open spot might be lost, or where
	a closed spot might end up on the list of open spots.
	Only reveal text that's ellipsised.

2005-11-07  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-export-as-html): Remove bogus (debug) form.

2005-11-07  John Paul Wallington  <jpw@gnu.org>

	* ibuffer.el (ibuffer): Search iconified frames too when
	getting Ibuffer buffer's window.

2005-11-06  Richard M. Stallman  <rms@gnu.org>

	* progmodes/compile.el (compilation-internal-error-properties):
	save-excursion around the computation of MARKER.

2005-11-06  Piet van Oostrum  <piet@cs.uu.nl>

	* textmodes/flyspell.el (flyspell-external-point-words):
	flyspell-get-word returns a list, not just a string.

2005-11-06  John Paul Wallington  <jpw@pobox.com>

	* ibuffer.el (ibuffer): Search all visible frames when getting
	Ibuffer buffer's window.

2005-11-07  Masatake YAMATO  <jet@gyve.org>

	* man.el (Man-reference-regexp): Accept spaces between
	`Man-name-regexp' and `Man-section-regexp'.
	(Man-apropos-regexp): New variable.
	(Man-abstract-xref-man-page): Use value for `Man-target-string'
	if available.
	(Man-highlight-references, Man-highlight-references0):
	Handle the case when `Man-arguments' includes "-k".
	(Man-highlight-references0): Rename the argument `TARGET-POS' to
	`TARGET'. `TARGET' can be a number, function or nil.

2005-11-06  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-var-create-handler, gdb-var-delete)
	(gdb-edit-value, gdb-speedbar-expand-node, gdb-get-create-buffer)
	(gdb-breakpoints-mode, gdb-toggle-breakpoint, gdb-delete-breakpoint)
	(gdb-goto-breakpoint, gdb-frames-mode, gdb-registers-mode)
	(gdb-locals-mode, gdb-find-file-hook): Use buffer-local-value.
	(gdb-send-item): Use buffer-local-value and simplify.

2005-11-05  Luc Teirlinck  <teirllm@auburn.edu>

	* startup.el (command-line): Use `custom-reevaluate-setting' for
	`global-font-lock-mode'.

	* font-core.el (global-font-lock-mode): Enable `global-font-lock-mode'
	by default, except in batch mode or when the -D option is given.

	* emacs-lisp/easy-mmode.el (define-global-minor-mode): Pass all
	specified keyword args on to `define-minor-mode'.  Update docstring.

2005-11-05  Romain Francoise  <romain@orebokech.com>

	* replace.el (occur-engine): Add marker at end of line, too.

2005-11-04  Dan Nicolaescu  <dann@ics.uci.edu>

	* font-lock.el: Don't deal with font-lock-face-attributes here,
	move the code ...

	* startup.el (command-line): ... here. Use face-spec-set instead
	of custom-declare-face.

	* faces.el (face-spec-set): Reset the face if spec is not nil.

2005-11-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* newcomment.el (comment-region-internal): Box more tightly in the
	common case where there's no TAB in the boxed text.

2005-11-04  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* info.el (info-tool-bar-map): Use images prev-node, next-node and
	up-node.

2005-11-04  Ulf Jasper  <ulf.jasper@web.de>

	* newsticker.el: Commentary updated. Code formatting changed.
	(newsticker-version): Change to "1.9".
	(newsticker, newsticker-feed): Doc fix.
	(newsticker-url-list): Doc fix.  Add option "Weekly".
	(newsticker-retrieval-interval): Add option "Weekly".
	(newsticker-headline-processing): Doc fix.
	(newsticker-auto-mark-filter): Remove.
	(newsticker-auto-mark-filter-list): New.
	(newsticker-layout, newsticker-sort-method): Doc fix.
	(newsticker-hide-old-items-in-newsticker-buffer)
	(newsticker-heading-format, newsticker-item-format)
	(newsticker-desc-format): Doc fix.
	(newsticker-show-all-rss-elements): Remove.
	(newsticker-show-all-news-elements): New.
	(newsticker-faces, newsticker-ticker): Doc fix.
	(remove-from-invisibility-spec): Code formatting.
	(newsticker--process-ids): New.
	(newsticker-mode): Doc fix.
	(newsticker-mode): Change mode-line-format.
	(newsticker-start): Remove debug output.
	(newsticker-start-ticker): Doc fix.  Add Autoload cookie.
	(newsticker-w3m-show-inline-images): Code formatting.
	(newsticker-next-item): Call `force-mode-line-update'.
	(newsticker-previous-item): Call `force-mode-line-update'.
	(newsticker-next-feed): Call `force-mode-line-update'.
	(newsticker-previous-feed): Call `force-mode-line-update'.
	(newsticker-mark-all-items-at-point-as-read): Code formatting.
	(newsticker-show-old-items): Do not show descs.
	(newsticker-hide-entry): Hide too much.
	(newsticker-hide-entry, newsticker-show-entry)
	(newsticker-toggle-auto-narrow-to-feed): Code formatting.
	(newsticker-set-auto-narrow-to-feed): Update buffer immediately.
	(newsticker-toggle-auto-narrow-to-item): Code formatting.
	(newsticker-set-auto-narrow-to-item): Update buffer immediately.
	(newsticker-running-p, newsticker-ticker-running-p): Autoload cookie.
	(newsticker-get-news): Call `force-mode-line-update'.
	Collect process ids.
	(newsticker--sentinel): Change coding system handling.
	Move image retrieval to new functions newsticker--get-logo-url-*.
	Move feed parsing to new functions newsticker--parse-*.
	Update list of process ids.
	(newsticker--get-logo-url-atom-1.0, newsticker--get-logo-url-atom-0.3)
	(newsticker--get-logo-url-rss-2.0, newsticker--get-logo-url-rss-1.0)
	(newsticker--get-logo-url-rss-0.92, newsticker--get-logo-url-rss-0.91)
	(newsticker--parse-atom-0.3, newsticker--parse-atom-1.0)
	(newsticker--parse-rss-0.91, newsticker--parse-rss-0.92)
	(newsticker--parse-rss-1.0, newsticker--parse-rss-2.0)
	(newsticker--parse-generic-feed, newsticker--parse-generic-items): New.
	(newsticker--decode-coding-string): Remove.
	(newsticker--decode-numeric-entities): Check input.  Format code.
	(newsticker--remove-whitespace): Check input.
	(newsticker--do-forget-preformatted): Doc fix.
	(newsticker--decode-rfc822-date): Allow for missing time.
	(newsticker--update-process-ids): New.
	(newsticker--image-sentinel): Change comment.
	(newsticker--image-read): Change error message.
	(newsticker--imenu-goto): Doc fix.  Show headline title.
	(newsticker--buffer-set-uptodate): Call `force-mode-line-update'.
	(newsticker--buffer-do-insert-text): Clean whitespace in
	html-rendered headline title.  Code formatting.
	Call `newsticker--buffer-print-extra-elements'.
	(newsticker--buffer-print-extra-element): Remove.
	(newsticker--buffer-print-extra-elements): New.
	(newsticker--buffer-do-print-extra-element): New.
	(newsticker--buffer-insert-enclosure): Doc fix.  Use MBytes for
	large sizes.
	(newsticker--run-auto-mark-filter)
	(newsticker--do-run-auto-mark-filter):
	Use `newsticker-auto-mark-filter-list'.

2005-11-04  Ryan Yeske  <rcyeske@gmail.com>

	* net/rcirc.el: Use split-string OMIT-NULLS argument.
	(rcirc-print): Force redisplay before running hooks.  Do long
	buffer truncation after making new text read-only.  Deal with nil
	text when decoding strings.  If TARGET is nil, use either the
	currently selected buffer, if it is an rcirc buffer and of the
	same process or the process buffer.
	(rcirc-mode): Remove header-line.  Recompute short buffer names.
	Initialize rcirc-buffer-alist here instead of rcirc-get-buffer-create.
	(rcirc-short-buffer-name): Add variable.
	(rcirc-kill-buffer-hook): Recompute short buffer names.
	Remove nick from private channel.
	(rcirc-send-input): Send command text to current-buffer.
	Don't clear overlay arrow here.
	(rcirc-short-buffer-name): Return a short buffer name.
	(rcirc-update-short-buffer-names, rcirc-abbreviate)
	(rcirc-rebuild-tree, rcirc-make-trees): Add functions to generate
	buffer-name abbreviations.
	(rcirc-kill-buffer-hook-1): Split to make debugging easier.
	Do not touch nick-table when killing a parted channel.
	(rcirc-window-configuration-change): Rename from rcirc-update-activity.
	Clear arrow from current buffer if it is now hidden.
	(rcirc-current-buffer): Add variable.
	(rcirc-my-nick, rcirc-other-nick, rcirc-server)
	(rcirc-nick-in-message, rcirc-prompt, rcirc-mode-line-nick):
	Remove -face from names.
	(rcirc-update-activity-string): Print "DND" when globally ignoring
	activity.
	(rcirc-ignore-buffer-activity-flag): Rename from
	rcirc-ignore-channel-activity.
	(rcirc-ignore-all-activity-flag): Doc fix.
	(rcirc-channels): Remove variable.
	(rcirc-kill-buffer-hook):
	(rcirc-get-buffer-create): Add nick to private channel.
	(rcirc-multiline-edit-submit): Remove tabs.
	(rcirc-put-nick-channel, rcirc-channel-nicks): Look up nicks case
	folded.
	(rcirc-remove-nick-channel): Bug fix.
	(rcirc-toggle-ignore-buffer-activity): Rename from
	rcirc-toggle-ignore-channel-activity.
	(rcirc-record-activity): Add buffers to the front of the list.
	(rcirc-update-activity): Remove killed buffers from list.
	(rcirc-process-server-response-1): Remove last argument if it is
	null before calling handler.
	(rcirc): Add "rcirc" defcustom prefix.
	(rcirc-prompt): Simplify default prompt.
	Use custom-initialize-default.
	(rcirc-private-chats): Remove variable.
	(rcirc-prompt): Change initialization.
	(rcirc-version): Remove function.
	(rcirc-id-string): Add constant.
	(rcirc-last-buffer): Remove variable.
	(rcirc-buffer-alist): Add variable.
	(rcirc-connect): Update variable setup.
	(rcirc-sentinel, rcirc-update-prompt): Use `rcirc-buffer-alist'.
	(rcirc-trap-errors-flag): Rename from `rcirc-trap-errors' change
	default.
	(rcirc-handler-generic): Trigger activity.
	(rcirc-send-message): Create the buffor of the target.
	(rcirc-generate-new-buffer-name): Rename from `rcirc-get-buffer-name'.
	(rcirc-get-buffer): Just return nil if there is no matching buffer.
	(rcirc-multiline-edit-cancel): Remove function.
	(rcirc-set-last-buffer): Remove function.
	(rcirc-get-any-buffer): Add function.
	(rcirc-join-channels): Don't print /join text.
	(rcirc-toggle-ignore-channel-activity): Add and update echo area
	messages.
	(rcirc-cmd-ctcp): Use rcirc-send-string to send request.
	(rcirc-handler-NOTICE): Recognize CTCP responses.
	(rcirc-handler-332, rcirc-handler-332): Use a temp buffer for
	constructing TOPIC string for buffers we are not JOINed.
	(rcirc-handler-CTCP-response): Add handler.
	(rcirc-multiline-edit-submit): Restore the window-configuration
	before adjusting point.
	(rcirc): Add customization group.
	(rcirc-server, rcirc-port, rcirc-nick, rcirc-user-name)
	(rcirc-user-full-name, rcirc-startup-channels-alist)
	(rcirc-fill-flag, rcirc-fill-column, rcirc-fill-prefix)
	(rcirc-ignore-all-activity-flag, rcirc-time-format)
	(rcirc-input-ring-size, rcirc-read-only-flag)
	(rcirc-buffer-maximum-lines, rcirc-authinfo-file-name)
	(rcirc-auto-authenticate-flag, rcirc-prompt, rcirc-print-hooks):
	Change defvar to defcustom.
	(rcirc-update-prompt): Add optional ALL arg, which will update
	prompts in all rcirc buffers.  Regexp quote replacement text.
	(rcirc-fill-column): Accept 'frame-width as a value.
	(rcirc-set-changed): Add function.
	(rcirc-next-active-buffer): Write more meaningful messages.
	(rcirc-faces): Add customization group.
	(rcirc-my-nick-face, rcirc-other-nick-face, rcirc-server-face)
	(rcirc-nick-in-message-face, rcirc-prompt-face)
	(rcirc-mode-line-nick-face): Move into rcirc-faces group.
	(with-rcirc-process-buffer): Move before first usage.
	(rcirc-debug-buffer): Rename from `rcirc-log-buffer'.
	(rcirc-debug-flag): Rename from `rcirc-log-p'.
	(rcirc-debug): Rename from `rcirc-log'.
	(rcirc-format-response-string): Do not print '-' chars for a
	NOTICE with no sender.  Simplify output of server responses.

2005-11-04  Henrik Enberg  <henrik.enberg@telia.com>

	(rcirc-browse-url-map, rcirc-browse-url-at-point)
	(rcirc-browse-url-at-mouse, rcirc-mangle-text): Make urls
	mouse and RET clickable.

2005-11-04  Henrik Enberg  <henrik.enberg@telia.com>

	* mail/rmailout.el (rmail-output-to-rmail-file, rmail-output): Doc fix.

2005-11-04  Ken Manheimer  <ken.manheimer@gmail.com>

	* pgg-pgp.el (pgg-pgp-encrypt-region, pgg-pgp-decrypt-region)
	(pgg-pgp-encrypt-symmetric-region, pgg-pgp-encrypt-symmetric)
	(pgg-pgp-encrypt, pgg-pgp-decrypt-region, pgg-pgp-decrypt)
	(pgg-pgp-sign-region, pgg-pgp-sign): Add optional 'passphrase'
	argument to all these routines, so the passphrase can be managed
	externally and passed in to the system.
	(pgg-pgp-decrypt-region, pgg-pgp-sign-region): Use new name for
	pgg-add-passphrase-to-cache function.

	* pgg-pgp5.el (pgg-pgp5-encrypt-region, pgg-pgp5-decrypt-region)
	(pgg-pgp5-encrypt-symmetric-region, pgg-pgp5-encrypt-symmetric)
	(pgg-pgp5-encrypt, pgg-pgp5-decrypt-region, pgg-pgp5-decrypt)
	(pgg-pgp5-sign-region, pgg-pgp5-sign): Add optional 'passphrase'
	argument to all these routines, so the passphrase can be managed
	externally and passed in to the system.
	(pgg-pgp5-sign-region): Use new name of	pgg-add-passphrase-to-cache
	function.

2005-11-04  Edward O'Connor  <hober0@gmail.com>  (tiny change)

	* net/goto-addr.el (goto-address-url-regexp): Remove `data:' URLs
	from goto-address-url-regexp.

2005-11-04  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-read-date, org-goto-calendar)
	(org-recenter-calendar, org-agenda-goto-calendar):
	Temporarily clear 'calendar-move-hook'.

2005-11-04  Michael Kifer  <kifer@cs.stonybrook.edu>

	* ediff-merge.el (ediff-merge-region-is-non-clash): Return t, if not
	merging.

	* ediff-util.el (ediff-previous-difference): Don't skip regions that
	have merge clashes.

2005-11-04  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* mwheel.el (mouse-wheel-down-event, mouse-wheel-up-event):
	Undo previous change.

	* startup.el (command-line): Use `custom-reevaluate-setting' for
	mouse-wheel-down-event and mouse-wheel-up-event.  Don't call
	tty-register-default-colors on Mac.

2005-11-04  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-buffer-type): Remove duplicate declaration.
	(gdb-buffer-type): Make it automatically buffer local...
	(gdb-get-create-buffer): ...and set it accordingly.
	(gdb-frame-gdb-buffer, gdb-display-gdb-buffer): Make these
	actually work.

2005-11-03  Dan Nicolaescu  <dann@ics.uci.edu>

	* font-lock.el (font-lock-warning-face): Use the more vivid red1,
	not red.

2005-11-04  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gud-watch): Use save-selected-window in
	case GUD buffer is not visible.
	(gdb-goto-breakpoint): Try to force display in source buffer.
	(gdb-frame-gdb-buffer): Copy other similar functions.
	(gdb-restore-windows): Don't display source if not asked for.
	(gdb-assembler-buffer-name): Don't capitalise.

2005-11-03  Richard M. Stallman  <rms@gnu.org>

	* wid-edit.el (key-sequence): New widget type.

	* simple.el (set-mark-command-repeat-pop): New variable.
	(set-mark-command): Only interpret plan C-@ after a pop as a pop
	if set-mark-command-repeat-pop is true.

	* info.el (Info-fontify-node): Don't display extra "see" if there
	already is one here.

	* mouse.el: Fix special handling of DEL after dragging a region:
	(mouse-drag-region-1): Treat mouse-set-region like mouse-set-point.
	(mouse-region-delete-keys): Add [backspace].

	* mail/feedmail.el: Use insert-buffer-substring, not insert-buffer.

	* textmodes/ispell.el (ispell-command-loop): Change `i' description
	not to assume it pertains to an affix.

	* textmodes/flyspell.el (flyspell-post-command-hook):
	Bind deactivate-mark to prevent deactivation.

2005-11-03  Lars Hansen  <larsh@soem.dk>

	* dired-x.el: Add menu bindings for dired-do-find-marked-files,
	dired-do-relsymlink, dired-flag-extension, dired-mark-extension,
	dired-mark-omitted, dired-do-relsymlink-regexp, dired-omit-mode.

2005-11-03  Romain Francoise  <romain@orebokech.com>

	* net/eudcb-mab.el: Now part of GNU Emacs.  Update FSF's address.
	Update copyright years.

2005-11-03  Sam Steingold  <sds@gnu.org>

	* mwheel.el (mouse-wheel-down-event, mouse-wheel-up-event):
	Use system-type instead of window-system because window-system is not
	correctly defined during loadup.

2005-11-02  Mark A. Hershberger  <mah@everybody.org>

	* xml.el (xml-syntax-table): Allow xml.el to compile in xemacs.
	(xml-parse-tag): Join strings separated by a comment properly.

2005-11-02  Andreas Schwab  <schwab@suse.de>

	* emacs-lisp/byte-opt.el (byte-optimize-pure-func): Fix last fix.

2005-11-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/byte-opt.el (string-to-syntax): Mark it as pure.
	(byte-optimize-pure-func): Quote the eval'd value.

	* progmodes/perl-mode.el (perl-font-lock-special-syntactic-constructs):
	Rename from perl-font-lock-syntactic-face-function.
	Change the calling convention so it can be used as a font-lock MATCHER.
	Do the parse-partial-sexp loop outselves.
	(perl-font-lock-syntactic-keywords): Use it.
	(perl-mode): Don't set font-lock-syntactic-face-function any more.

2005-11-02  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-mouse-until): Make it work in the
	disassembly buffer too.
	(gdb-exited): Remove overlay arrows when execution has finished.
	(gdb-info-frames-custom, gdb-info-threads-custom)
	(gdb-info-registers-custom): Don't add inappropriate text
	properties if inferior is not active.

2005-11-02  Glenn Morris  <rgm@gnu.org>

	* progmodes/fortran.el (fortran-blink-match):
	Use `blink-matching-delay'.

2005-11-02  John Mongan <jmongan@mccammon.ucsd.edu>  (tiny change)

	* progmodes/f90.el (f90-match-end): Use `blink-matching-delay'.

2005-11-02  Lars Hansen  <larsh@soem.dk>

	* net/tramp.el (tramp-action-out-of-band): Handle scp message
	"Permission denied".

2005-11-01  Richard M. Stallman  <rms@gnu.org>

	* textmodes/flyspell.el (flyspell-external-point-words):
	Pass nil to flyspell-get-word.

2005-11-02  Kim F. Storm  <storm@cua.dk>

	* menu-bar.el (menu-bar-options-menu): Show "Shift Movement (CUA)"
	item instead of "C-x/C-c/C-v (CUA)" if cua-enable-cua-keys is nil.

2005-11-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* calendar/cal-menu.el (date, event): Don't declare as dynamic-var.
	(calendar-mouse-holidays, calendar-mouse-view-diary-entries)
	(calendar-mouse-print-dates): Add optional `event' argument.
	Update interactive-spec.
	(calendar-mouse-cal-tex-menu, cal-tex-mouse-filofax):
	Use `calendar-event-to-date' instead of `event'.

2005-11-02  Masatake YAMATO  <jet@gyve.org>

	* progmodes/ld-script.el (ld-script-builtins):
	Add more words: "DATA_SEGMENT_ALIGN", "DATA_SEGMENT_END",
	"DATA_SEGMENT_RELRO_END", "LENGTH", "ORIGIN", and "SEGMENT_START".
	(auto-mode-alist): Accept .ld, .lds, ld.in and .lds.in.

2005-11-01  Romain Francoise  <romain@orebokech.com>

	* vc-sccs.el: Update copyright year.
	* ezimage.el: Likewise.

2005-11-01  KOBAYASHI Yasuhiro <kobayays@otsukakj.co.jp>  (tiny change)

	* info.el (Info-fontify-node): Use `string-width' for fontifying
	underlined titles.

2005-11-01  Juri Linkov  <juri@jurta.org>

	* info.el (Info-fontify-node): Downcase node header keywords Node,
	Prev, Next, Up before comparison.
	(Info-history): Insert absolute directory name, and put invisible
	property on it.

2005-11-01  Juri Linkov  <juri@jurta.org>

	* info.el (Info-file-supports-index-cookies): New variable.
	(Info-find-node-2): Check makeinfo version for index cookie support.
	(Info-index-nodes): Search for nodes with index cookies only when
	Info-file-supports-index-cookies is t.  Otherwise, search nodes
	with "Index" in the node name.
	(Info-index-node): Search index cookie in the current node only when
	Info-file-supports-index-cookies is t.  Otherwise, check the word
	"Index" in the node name.
	(Info-find-emacs-command-nodes): Remove code that searches nodes
	with "Index" node name in the top menu.

2005-11-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/scheme.el (scheme-mode-variables): Use the default
	comment-indent-function.

	* faces.el (face-attribute): Handle the case where a face inherits from
	a non-existent face.

	* simple.el (eval-expression-print-format): Use lisp-readable syntax
	for octal and hexa output, and merge the char into the paren.
	(kill-new): Use push.
	(copy-to-buffer): Use with-current-buffer.
	(completion-setup-function): Move code in loop to remove redundancy.
	(minibuffer-local-must-match-map): Don't add bindings that duplicate
	those inherited from minibuffer-local-completion-map.

	* savehist.el (savehist-mode) <defcustom>:
	Use custom-set-minor-mode if available.
	(savehist-mode) <defun>: Run the minor mode hook, set the custom state
	and emit a message if applicable.

2005-11-01  Hrvoje Niksic  <hniksic@xemacs.org>

	* savehist.el: Sync up to version 19.
	(savehist-mode): New minor mode.
	(savehist-file): Use ~/.emacs.d or ~/.xemacs if available.
	(savehist-length): Remove (use history-length instead).
	(savehist-file-modes): Rename from savehist-modes.
	(savehist-save-hook, savehist-loaded): New vars.
	(savehist-load): Use savehist-mode.  Try to smooth up transition from
	old format to new format.
	(savehist-install): Allow savehist-autosave-interval to be nil.
	(savehist-save): Run the new hook.  Be more careful to only trim the
	history variables.
	(savehist-trim-history): New fun.  Replaces savehist-process-for-saving.
	(savehist-printable): Print into a buffer rather than char-by-char.

2005-11-01  John Wiegley  <johnw@newartisans.com>

	* iswitchb.el (iswitchb-define-mode-map): Re-enable the
	toggle-ignore keybinding (C-a).  The author said it had been
	disabled much earlier due to a possible incompatibility, but after
	many months of usage I have encountered no problems (and it is a
	rather useful option, especially for switching to " *temp*").

	* net/eudcb-mab.el (eudc-mab-query-internal): Add backend
	support for OS/X's AddressBook, by calling out to the open source
	program "contacts" (installable through Fink).

	* net/eudc.el (eudc-expand-inline): If the
	`eudc-multiple-match-handling-method' is set to `all', delete the
	query string before inserting the query result.

	* eshell/em-ls.el (eshell-do-ls): Add no-op support for --dired
	flag, to prevent Eshell from using the system ls when
	`eshell-ls-insert-directory' is in used.
	(eshell-ls-insert-directory): Disable font-lock in directory
	buffer so that Eshell's own fontification is seen.  This broke
	recently due to changes in font-lock, so this goes back to version
	21 behavior.

2005-11-01  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-use-inferior-io-buffer): New function.
	(menu, toggle-gdb-use-inferior-io-buffer): Get rid of defadvice.
	(gdb-many-windows): Doc fix.

2005-10-31  Romain Francoise  <romain@orebokech.com>

	* help-fns.el (describe-simplify-lib-file-name): Add autoload cookie.

2005-10-31  Dan Nicolaescu  <dann@ics.uci.edu>

	* loadup.el: Load emacs-lisp/syntax, font-lock and jit-lock so
	that global-font-lock-mode can be enabled by default.

	* font-lock.el (font-lock-keywords, font-lock-mode-internal)
	(font-lock-add-keywords, font-lock-remove-keywords)
	(font-lock-fontify-buffer): Remove autoload cookies.

	* jit-lock.el (jit-lock-register): Likewise.

	* emacs-lisp/syntax.el (syntax-ppss): Likewise.

2005-10-31  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-many-windows): Leave window configuration
	intact if there is no gud-comint-buffer.

2005-10-31  Luc Teirlinck  <teirllm@auburn.edu>

	* progmodes/gud.el (gud-filter): Use comint-update-fence to delete
	old prompt comint-prompt-read-only is t and GDB commands are
	issued from tool bar etc.

2005-10-31  Masatake YAMATO  <jet@gyve.org>

	* vc.el (vc-directory-exclusion-list): Add "{arch}".

2005-10-30  Chong Yidong  <cyd@stupidchicken.com>

	* thumbs.el (thumbs-thumbsdir): Default to ~/.emacs.d/thumbs.
	(thumbs-thumbsdir): Make .emacs.d if it does not exist.

2005-10-30  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-chunksize): Escape parentheses in docstring
	starting at beginning of line.  Fontification is messed up when
	`open-paren-in-column-0-is-defun-start' set to t.
	Reported by John Paul Wallington <jpw@pobox.com>.

2005-10-30  Luc Teirlinck  <teirllm@auburn.edu>

	* comint.el (comint-send-input): Call `comint-update-fence' when
	`comint-process-echoes' and `comint-prompt-read-only' are both
	non-nil, to avoid leftover read-only newline.

2005-10-30  Richard M. Stallman  <rms@gnu.org>

	* textmodes/flyspell.el (flyspell-external-point-words):
	Detect when WORD can't be checked properly because
	flyspell-get-word finds just part of it, and move on.

	* textmodes/ispell.el (ispell-dictionary-alist-5): Add . as
	boundarychar for Polish.
	(ispell-dictionary-alist-4): Add . as boundarychar for Italian.
	(ispell-dictionary-alist-3): Add . and @ as boundarychars for French.

2005-10-31  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-tooltip-print-1): Fix regexp.
	(gdb-registers-font-lock-keywords): Delete.
	(gdb-registers-mode): Don't fontify.
	(gdb-info-registers-custom): Use text properties instead as, in
	future, changed register values will use font-lock-warning-face.
	(gdb-local-font-lock-keywords): Rename to...
	(gdb-locals-font-lock-keywords): ...for consistency.

2005-10-30  Andre Spiegel  <spiegel@gnu.org>

	* vc.el (vc-switch-backend): Better error message if the buffer is
	not visiting a file under version control.

	* vc-cvs.el (vc-cvs-delete-file): Commit the file after removing it.

2005-10-29  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (command-line): Use ~/.emacs.d/init.el instead of
	~/.emacs.d/.emacs.

2005-10-29  Richard M. Stallman  <rms@gnu.org>

	* replace.el (occur-mode-mouse-goto): Always go to other window.
	(occur-mode-goto-occurrence): Always switch in same window.

	* simple.el (undo): Display message at end, not at start.

	* emacs-lisp/timer.el (timer-activate, timer-activate-when-idle):
	New arg REUSE-CELL.
	(cancel-timer-internal): New function.
	(timer-event-handler): Use cancel-timer-internal,
	and pass the cell it returns to timer-activate...

	* jit-lock.el (jit-lock-function, jit-lock-stealth-fontify)
	(jit-lock-deferred-fontify, jit-lock-context-fontify)
	(jit-lock-after-change): Test memory-full.

2005-10-29  Roland Winkler  <roland.winkler@physik.uni-erlangen.de>

	* textmodes/conf-mode.el (conf-assignment-sign)
	(conf-assignment-regexp): Fix docstrings.
	(conf-mode-initialize): New function.
	(conf-mode): Remove optional args.  Use delay-mode-hooks to
	recognize recursive calls.
	(conf-unix-mode, conf-windows-mode, conf-javaprop-mode)
	(conf-space-mode, conf-colon-mode, conf-ppd-mode)
	(conf-xdefaults-mode): Use define-derived-mode and
	conf-mode-initialize.

2005-10-29  Romain Francoise  <romain@orebokech.com>

	* help-fns.el (describe-simplify-lib-file-name): Fix regexp.

2005-10-29  Ken Manheimer  <ken.manheimer@gmail.com>

	* pgg-gpg.el (pgg-gpg-select-matching-key): Fix: look at the right
	part of the decoded armor to find the key-identifier.
	(pgg-gpg-lookup-key-owner): New function to return the
	human-readable identifier of a key owner.
	(pgg-gpg-lookup-id-from-key-owner): Make it easy to identify the
	key itself.
	(pgg-gpg-decrypt-region): Prompt with the key owner (rather than
	the key value) if we have a key and can match it against a secret
	key.  Also, added a note pointing out fact that the prompt only
	indicates the first matching key.

	* pgg.el (pgg-decrypt): Passing along 'passphrase' in call to
	pgg-decrypt-region.
	(pgg-pending-timers): A new hash for tracking the passphrase cache
	timers, so that new ones supercede old ones.
	(pgg-add-passphrase-to-cache): Rename from
	`pgg-add-passphrase-cache' to reduce confusion (all callers
	changed).  Modified to cancel old timers when new ones are added.
	(pgg-remove-passphrase-from-cache): Rename from
	`pgg-remove-passphrase-cache' to reduce confusion (all callers
	changed).  Modified to cancel old timers when their keys are
	removed from the cache.
	(pgg-cancel-timer): In Emacs, an alias for cancel-timer; in
	XEmacs, an indirection to delete-itimer.
	(pgg-read-passphrase-from-cache, pgg-read-passphrase):
	Extract pgg-read-passphrase-from-cache from pgg-read-passphrase so
	users can only check cache without risk of prompting.  Correct bug in
	notruncate behavior.
	(pgg-read-passphrase-from-cache, pgg-read-passphrase)
	(pgg-add-passphrase-cache, pgg-remove-passphrase-cache):
	Add informative docstrings.
	(pgg-decrypt): Convey provided passphrase in subordinate call to
	pgg-decrypt-region.

2005-10-20  Ken Manheimer <ken.manheimer+emacs@gmail.com>

	* pgg.el (pgg-encrypt-region, pgg-encrypt-symmetric-region)
	(pgg-encrypt-symmetric, pgg-encrypt, pgg-decrypt-region)
	(pgg-decrypt, pgg-sign-region, pgg-sign): Add optional
	'passphrase' argument, so the passphrase can be managed externally
	and then passed in to the system.

	* pgg.el (pgg-read-passphrase, pgg-add-passphrase-cache)
	(pgg-remove-passphrase-cache): Add optional 'notruncate' argument,
	so the passphrase cache can be used reliably with identifiers
	besides a pgp packet's key id.

	* pgg-gpg.el (pgg-pgp-encrypt-region)
	(pgg-pgp-encrypt-symmetric-region, pgg-pgp-encrypt-symmetric)
	(pgg-pgp-encrypt, pgg-pgp-decrypt-region, pgg-pgp-decrypt)
	(pgg-pgp-sign-region, pgg-pgp-sign): Add optional 'passphrase'
	argument to all these routines, so the passphrase can be managed
	externally and passed in to the system.

	* pgg-gpg.el (pgg-gpg-possibly-cache-passphrase): Add optional
	'notruncate' argument, so the passphrase cache can be used
	reliably with identifiers besides a pgp packet's key id.

2005-10-29  Sascha Wilde  <swilde@sha-bang.de>

	* pgg-gpg.el (pgg-gpg-encrypt-symmetric-region): New function for
	symmetric encryption.
	(pgg-gpg-symmetric-key-p): New function to check for an symmetric
	encrypted session key.
	(pgg-gpg-decrypt-region): When decrypting a symmetric encrypted
	message ask for the passphrase in a proper way.

	* pgg.el (pgg-encrypt-symmetric, pgg-encrypt-symmetric-region):
	New user commands for symmetric encryption.

2005-10-28  Bill Wohler  <wohler@newt.com>

	* help-mode.el (help-url): New button type. Calls browse-url.
	(help-xref-url-regexp): New regexp to recognize URLs in docstring.
	Similar to Info nodes: URL `url'.
	(help-make-xrefs): Create help-url buttons for
	help-xref-url-regexp matches.

2005-10-29  Nick Roberts  <nickrob@snap.net.nz>

	* tool-bar.el (tool-bar-add-item-from-menu)
	(tool-bar-local-item-from-menu): Fix doc strings.

2005-10-28  Romain Francoise  <romain@orebokech.com>

	* ldefs-boot.el: Update.

	* subr.el (locate-library): Move from help-fns.el.
	* help-fns.el (locate-library): Move to subr.el.

2005-10-28  Richard M. Stallman  <rms@gnu.org>

	* net/tramp.el (tramp-completion-mode): defvar moved up.

	* emacs-lisp/easymenu.el (easy-menu-change): Doc fix.

	* tool-bar.el (tool-bar-mode): Delete autoload cookie.

	* files.el (find-file-noselect): Use %d to format large file size.

	* bindings.el (mode-line-format): Add %e.

	* loadup.el ("facemenu"): Load unconditionally.
	("image", "international/fontset", "dnd", "mwheel", "tool-bar"):
	("x-dnd"): Load, when appropriate.

	* startup.el (command-line): Call before-init-hook earlier.
	Warn about some bad characters in -u user name.

	* textmodes/flyspell.el (flyspell-large-region): Pass -t if Tex file.
	(flyspell-external-point-words): Error if misspelled word is not found.
	Set flyspell-large-region-beg at end of word.

2005-10-28  Andreas Schwab  <schwab@suse.de>

	* view.el (View-revert-buffer-scroll-page-forward):
	Use view-page-size-default.

2005-10-28  Juri Linkov  <juri@jurta.org>

	* international/quail.el (quail-get-current-str): Translate last
	raw character for deterministic input methods.

2005-10-27  Jay Belanger  <belanger@truman.edu>

	* calc/calc-ext.el: Add functions to autoloads.
	(math-identity-matrix-p, math-ident-row-p): New functions.

	* calc/calc-arith.el (calc-mul-symb-fancy): Add checks for
	multiplication by an identity matrix; don't turn multiplication by
	an inverse matrix into division.
	(math-div-symbol-fancy):  Replace division by matrices with
	multiplication by inverse.

	* calc/calc-misc.el (calcFunc-inv): Check for symbolic matrices.

	* calc/calc-alg.el (calcFunc-writeoutpower, math-write-out-power)
	(calc-writeoutpower): New functions.

2005-10-27  Romain Francoise  <romain@orebokech.com>

	* replace.el (occur-engine): Include colon in mouse-face highlight.

	* dired-x.el: Change Maintainer field.

2005-10-26  Chong Yidong  <cyd@stupidchicken.com>

	* longlines.el (longlines-mode): Bind after-change-functions to
	nil during initial decoding and final encoding.

2005-10-26  Dan Nicolaescu  <dann@ics.uci.edu>

	* term.el (term-emulate-terminal, term-handle-colors-array)
	(term-handle-ansi-escape): Specify the terminfo capabilities
	implemented.

2005-10-26  Richard M. Stallman  <rms@gnu.org>

	* info.el (Info-fontify-node): Fix detection of sentence-break
	before *Note.

2005-10-26  Romain Francoise  <romain@orebokech.com>

	* smerge-mode.el: Add `tools' to file keywords.

2005-10-26  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-menu-map): Only display gud-until icon
	when the fringe is not available.

	* progmodes/gdb-ui.el (def-gdb-auto-updated-buffer)
	(def-gdb-auto-update-trigger): Simplify construction.
	(gdb-locals-buffer): Use def-gdb-auto-update-trigger instead of
	def-gdb-auto-updated-buffer as gdb-info-locals-handler is
	defined explicitly.
	(gdb-assembler-buffer): Use def-gdb-auto-update-handler instead of
	def-gdb-auto-updated-buffer as gdb-invalidate-assembler is
	defined explicitly.
	(gdb-info-locals-custom): Remove as it's a no-op.

2005-10-25  Chong Yidong  <cyd@stupidchicken.com>

	* longlines.el (longlines-mode): Remove narrowing before
	performing the initial decoding or final encoding.

2005-10-25  Romain Francoise  <romain@orebokech.com>

	* emacs-lisp/find-func.el (find-library-name): Also strip
	extension if library name ends in .el, to take advantage of
	`find-library-suffixes'.

2005-10-25  Richard M. Stallman  <rms@gnu.org>

	* menu-bar.el (menu-bar-help-menu): Say which kind of therapist.

2005-10-25  Juri Linkov  <juri@jurta.org>

	* textmodes/texinfo.el (texinfo-mode): Change charset of one
	quotation mark from [mule-unicode-0100-24ff] to [japanese-jisx0208].

2005-10-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* play/blackbox.el (blackbox-mode-map): Move init into declaration.
	(blackbox-redefine-key): Add argument `map'.

	* jit-lock.el (jit-lock-fontify-now): Be careful not to skip multiline
	regions when moving the jit-lock-context-unfontify-pos boundary.

2005-10-25  Reiner Steib  <Reiner.Steib@gmx.de>

	* net/browse-url.el (browse-url-of-buffer): Add ".html" to filename.

2005-10-25  Masatake YAMATO  <jet@gyve.org>

	* dired-x.el (dired-virtual): Don't use `dired-insert-headerline'.

2005-10-25  Michael Cadilhac  <michael.cadilhac-@t-lrde.epita.fr>  (tiny change)

	* play/blackbox.el (blackbox-redefine-key): New function.
	(blackbox-mode-map): Use it to remap existing bindings for cursor
	motion instead of binding literal keys.

2005-10-25  Glenn Morris  <rgm@gnu.org>

	* calendar/diary-lib.el (diary-list-entries): Prevent infloop when
	diary does not end in a newline.  Do not assume a blank line at
	the start of the diary file.

2005-10-25  Kenichi Handa  <handa@m17n.org>

	* international/quail.el (quail-translate-key): If the input
	method is deterministic and failed to handle the last key, restart
	the key handling loop from an appropriate key.

2005-10-25  Michael Albinus  <michael.albinus@gmx.de>

	* vc.el (vc-dired-mode): Extend comment for binding of
	`directory-listing-before-filename-regexp'.

2005-10-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/texinfo.el (texinfo-mode):
	* textmodes/paragraphs.el (sentence-end-base): Use real chars, so as
	not to unnecessarily expose emacs-mule's internal char codes.

2005-10-25  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-put-breakpoint-icon): Correct help-echo.
	Display hand pointer and help-echo on disabled icon too.
	(gdb-mouse-until): New function.
	(gdb-ann3): Bind it to mouse-2 and drag-mouse-1 in left fringe.

2005-10-24  Chong Yidong  <cyd@stupidchicken.com>

	* menu-bar.el (menu-bar-help-menu): Rename "psychiatrist", in line
	with 2005-10-23 change to doctor.el.

	* finder.el (finder-mode-map): Add follow-link binding.

2005-10-25  Kim F. Storm  <storm@cua.dk>

	* progmodes/gdb-ui.el (gdb-ann3): Bind mouse-3 in left fringe
	to gdb-mouse-toggle-breakpoint-fringe.
	(gdb-mouse-toggle-breakpoint-margin): Rename from
	gdb-mouse-toggle-breakpoint. Fix doc.
	(gdb-mouse-toggle-breakpoint-fringe): New defun.
	(gdb-put-string): Add optional SPROPS arg.  Add props to string.
	(gdb-put-breakpoint-icon): Add gdb-bptno and gdb-enabled
	string properties also for fringe breakpoint bitmaps.

2005-10-24  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-start-icalendar-file): Fix format form.

2005-10-25  Masatake YAMATO  <jet@gyve.org>

	* simple.el (completion-common-substring):
	Use `completion-common-substring' prior to `completion-base-size'.

2005-10-24  Hrvoje Niksic  <hniksic@xemacs.org>

	* savehist.el: Require CL while compiling.
	(savehist-history-variables): Remove.
	(savehist-save-minibuffer-history, savehist-additional-variables)
	(savehist-minibuffer-history-variables): New vars.
	(savehist-save): Use them.
	(savehist-uninstall, savehist-minibuffer-hook): New funs.
	(savehist-install): New fun, extracted from savehist-load.
	(savehist-load): Use them.

2005-10-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/lisp-mode.el (easy-mmode-define-global-mode): Don't add
	a dummy doc-string-elt property.
	(defalias, defvaralias, define-category): Add a docstring property.

	* image.el (defimage):
	* widget.el (define-widget):
	* custom.el (defface, defcustom): Add `doc-string' declaration.

	* emacs-lisp/advice.el (ad-make-advised-definition): Fix arg-order.
	(defadvice): Add `doc-string' declaration.

	* emacs-lisp/byte-run.el (macro-declaration-function):
	Handle `doc-string' declarations.
	(define-obsolete-function-alias, define-obsolete-variable-alias):
	Add `doc-string' declaration.

2005-10-24  Kenichi Handa  <handa@m17n.org>

	* international/utf-7.el (utf-7): Add autoload cookie.

	* term/x-win.el: Register more Cyrillic characters in x-keysym-table.

2005-10-24  Eli Zaretskii  <eliz@gnu.org>

	* makefile.w32-in (autoloads): Use "." instead of $(lisp) in the
	list of directories passed to batch-update-autoloads.  Add "." to
	the list of the echoed directories.

	* pgg-def.el:
	* pgg-gpg.el:
	* pgg-parse.el:
	* pgg-pgp.el:
	* pgg-pgp5.el:
	* pgg.el: Moved here from the gnus subdirectory.

2005-10-24  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-filter): Bind inhibit-read-only to t
	in case comint-prompt-read-only is set to t.

	* progmodes/gdb-ui.el (gdb-send): Bind inhibit-read-only to t
	in case comint-prompt-read-only is set to t.

2005-10-24  Ulf Jasper  <ulf.jasper@web.de>

	* calendar/icalendar.el (icalendar-version): Increase to 0.13.
	Now a string.
	(icalendar-import-format): Handle CLASS, STATUS, URL.
	Rename `subject' to `summary'.
	(icalendar-import-format-summary): Rename from
	`icalendar-import-format-subject'.
	(icalendar-import-format-url, icalendar-import-format-status)
	(icalendar-import-format-class): New variables.
	(icalendar--rris): Take variable argument list.
	(icalendar--datestring-to-isodate): Remove unnecessary
	calendar-style check when converting dates with explicit month names.
	(icalendar-export-region): Change return type of conversion
	subroutines.  Bury current buffer unless error occurred.
	(icalendar--convert-to-ical)
	(icalendar--parse-summary-and-rest): New functions.
	(icalendar--convert-ordinary-to-ical)
	(icalendar--convert-weekly-to-ical)
	(icalendar--convert-yearly-to-ical)
	(icalendar--convert-block-to-ical)
	(icalendar--convert-cyclic-to-ical)
	(icalendar--convert-anniversary-to-ical): Change return type.
	Strip trailing blanks from subject.
	(icalendar--convert-sexp-to-ical): Change return type.
	Strip trailing blanks from subject.  Handle simple sexp
	entries as generated by icalendar.el.
	(icalendar--convert-float-to-ical)
	(icalendar--convert-date-to-ical): Strip trailing blanks from subject.
	(icalendar-import-file): Doc fix.
	(icalendar--format-ical-event): Handle CLASS, STATUS, URL.
	Correct call to icalendar--rris.
	(icalendar--convert-ical-to-diary): Doc fix.  Rename `subject' to
	`summary'.
	(icalendar--add-diary-entry): Rename `subject' to `summary'.

2005-10-24  Romain Francoise  <romain@orebokech.com>

	* server.el (server-sentinel): Set query-on-exit flag to nil on
	new client processes (it isn't inherited from the server process).

	* replace.el (occur-engine): Rearrange text properties.

2005-10-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/debug.el (debugger-make-xrefs): Don't assume
	case-fold-search is nil.
	(debug-help-follow): Use help-xref-interned directly.

2005-10-23  Chong Yidong  <cyd@stupidchicken.com>

	* thumbs.el (thumbs-image-type): Add .pbm.

2005-10-23  Richard M. Stallman  <rms@gnu.org>

	* faces.el (inhibit-face-set-after-frame-default): New variable.
	(set-face-attribute): Bind it.
	(face-set-after-frame-default): Test it.

	* help-fns.el (describe-simplify-lib-file-name): New function.
	(describe-function-1, describe-variable): Use it.

	* faces.el (describe-face): Use describe-simplify-lib-file-name.

	* tooltip.el (tooltip-x-offset, tooltip-y-offset): Change defaults.
	Eliminate nil as possible value.
	(tooltip-hide-delay): Reduce internal-border-width.

	* menu-bar.el (menu-bar-file-menu) <dired>: Change help-echo string.
	(menu-bar-file-menu) <new-file>: Likewise.

	* simple.el (line-move-finish): Ignore fields computing LINE-END.

	* international/mule.el (load-with-code-conversion):
	Pass full file name to `eval-buffer' unless preloading.

	* textmodes/flyspell.el (flyspell-large-region):
	Call ispell-check-version.

	* textmodes/ispell.el (ispell-local-dictionary-overridden):
	Fix the make-variable-buffer-local call that was supposed
	to be for this variable.
	(ispell-aspell-supports-utf8): Doc fix.
	(ispell-find-aspell-dictionaries): Preserve elements of
	ispell-dictionary-alist for dictionaries that aspell doesn't report.
	(ispell-aspell-find-dictionary): Return nil on error.

	* play/doctor.el (doctor-doc): Don't say "psychiatrist".
	(doctor-symptoms): Likewise.

	* add-log.el (add-log-current-defun): Clean up handling of DEFUNs.

2005-10-23  Chong Yidong  <cyd@stupidchicken.com>

	* cus-edit.el (custom-button, custom-button-pressed): New vars.
	(custom-raised-buttons): Add :set spec.
	(custom-button-unraised, custom-button-pressed-unraised):
	New faces, so that custom-raised-buttons actually does something.
	(custom-mode): Use custom-button and custom-button-pressed.

	* wid-edit.el (widget-specify-button): Don't ignore
	widget-mouse-face on graphic terminals.
	(widget-move-and-invoke): Cleanup.

2005-10-23  Thien-Thi Nguyen  <ttn@gnu.org>

	* whitespace.el (whitespace-cleanup): Doc fix.

2005-10-23  Romain Francoise  <romain@orebokech.com>

	* emulation/viper.el (viper-set-hooks): Quote forms passed to
	`eval-after-load' to avoid evaluating their result.

2005-10-23  Michael Albinus  <michael.albinus@gmx.de>

	* files.el (directory-listing-before-filename-regexp):
	New defvar.  Replaces `dired-move-to-filename-regexp' from dired.el.

	* dired.el (dired-move-to-filename-regexp): Remove.
	All occurences replaced by `directory-listing-before-filename-regexp'.

	* dired-x.el, locate.el, vc.el:
	Replace `dired-move-to-filename-regexp' by
	`directory-listing-before-filename-regexp'.  In vc.el it is
	overwritten locally; maybe this can be handled in files.el too.

	* net/ange-ftp.el (ange-ftp-date-regexp): Remove.  All occurences
	replaced by `directory-listing-before-filename-regexp'.

2005-10-23  Andreas Schwab  <schwab@suse.de>

	* font-lock.el (lisp-font-lock-keywords-2): Add eval-at-startup
	and eval-next-after-load.

2005-10-23  MIYOSHI Masanori  <miyoshi@meadowy.org>  (tiny change)

	* mouse.el (mouse-drag-region): If the *Messages* buffer doesn't
	exist, create it.

2005-10-23  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el: Remove autoloads for mailcrypt and crypt++.
	Require pgg, pgg-gpg during compilation.
	(allout-version): Increment version number to 2.1, and use a literal
	rather than RCS Id.
	(allout-default-encryption-scheme): Remove.
	(allout-passphrase-verifier-handling)
	(allout-passphrase-verifier-string)
	(allout-file-passphrase-verifier-string)
	(allout-passphrase-hint-string): Rename -key- to -passphrase-.
	(allout-passphrase-hint-handling): Rename and simplify.
	(allout-init): Use `find-file-hook' if available, otherwise
	`find-file-hooks'.
	(allout-mode): Use `write-file-functions' if available, otherwise
	`local-write-file-hooks' and, instead of making auto-save-hook
	buffer local, make the write-file-hook activity contingent to
	allout-mode.
	(allout-mode): Use key-binding substitution in the docstring.
	(allout-kill-line): Spell-out kill ring data structure mutation
	instead of using byte-compiler-complaint-provoking `pop'.
	(allout-insert-listified): Use `insert' rather than `insert-string'
	(allout-toggle-current-subtree-encryption): Update docstring, adjust
	to new gpp-based encryption, use new `allout-encrypted-topic-p'.
	(allout-encrypt-string): Totally revamped vis new underlying
	encryption facilities.
	(allout-mc-activate-passwd): Remove.
	(allout-obtain-passphrase): New, more or less replaces
	allout-mc-activate-passwd.
	(allout-encrypted-key-info): More or less replaces
	allout-encrypted-text-type.
	(outlineify-sticky, outlinify-sticky): Add autoload cookie.
	(my-mark-marker): Use `(featurep 'xemacs)'.

2005-10-23  Lars Hansen <larsh@soem.dk>

	* emacs-lisp/bytecomp.el (byte-compile-lambda): New arg add-lambda.
	(byte-compile-file-form-defmumble, byte-compile-defun)
	(byte-compile-defmacro): Use it.
	(byte-compile-form): Don't call byte-compile-set-symbol-position
	when a byte-compile handler is called.

2005-10-22  Romain Francoise  <romain@orebokech.com>

	* savehist.el (savehist-history-variables): Add `grep-find-history'.

	* subr.el (eval-after-load): Convert library name to an absolute
	file name using locate-library, since load-history no longer has
	library names in it.

2005-10-22  Richard M. Stallman  <rms@gnu.org>

	* files.el (make-temp-file): Move from subr.el.
	* subr.el (make-temp-file): Move to files.el.

	* window.el (get-buffer-window-list): Move from subr.el.
	* subr.el (get-buffer-window-list): Move to window.el.

	* image.el (image-load-path): Use eval-at-startup to initialize.

	* subr.el (eval-at-startup): New macro.

	* subr.el: Much rearrangement of functions and division
	into pages.  No code changes.

2005-10-22  Kenichi Handa  <handa@m17n.org>

	* tar-mode.el (tar-extract): Be sure to call
	find-operation-coding-system if set-auto-coding doesn't find a
	coding system.

2005-10-22  Kim F. Storm  <storm@cua.dk>

	* image.el (image-type-header-regexps): Rename from image-type-regexps.
	Change users.
	(image-type-file-name-regexps): New defconst.
	(image-type-from-data): Simplify loop.
	(image-type-from-buffer): New defun.
	(image-type-from-file-header): Use it instead of image-type-from-data.
	Use image-search-load-path instead of only looking in data-directory.
	(image-type-from-file-name): New defun.
	(image-search-load-path): Change `pathname' to `filename'.
	Make PATH arg optional, default to image-load-path.

2005-10-21  Richard M. Stallman  <rms@gnu.org>

	* textmodes/texinfo.el (texinfo-mode): Set sentence-end-base.

	* textmodes/paragraphs.el (sentence-end-base): New variable.
	(sentence-end): Use sentence-end-base.

2005-10-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* font-lock.el (font-lock-default-fontify-region): Check the multiline
	property independently from the font-lock-multiline variable.

2005-10-21  Richard M. Stallman  <rms@gnu.org>

	* emacs-lisp/find-func.el (find-library-name): Doc fix.

	* startup.el (command-line): Convert library names
	in `load-history' to absolute file names.

	* subr.el (symbol-file): Doc fix.

	* loadhist.el (file-loadhist-lookup): Call locate-library
	instead of find-library-name.  Don't try converting
	abs file names to library names, since load-history no longer
	has library names in it.
	(file-dependents, file-provides, file-requires): Doc fixes.

2005-10-21  Juri Linkov  <juri@jurta.org>

	* progmodes/etags.el (tags-table-mode): New function.
	(tags-verify-table): Replace initialize-new-tags-table with
	tags-table-mode.

	* desktop.el (desktop-buffers-not-to-save): Remove TAGS from the
	default value.
	(desktop-modes-not-to-save): Add tags-table-mode to the
	default value.

	* info.el (Info-index-next): Add total number of index
	alternatives to the message.

	* textmodes/fill.el (fill-nobreak-p): Fix first two rules to skip
	backward only space (instead of space and period) before looking
	at sentence end.

	* simple.el (set-variable): Use user-variable-p instead of symbolp.
	Add the old variable value as 4th default-value arg of read-string.

2005-10-21  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* cus-face.el (custom-declare-face): Make face from X resources
	also on Mac.

	* disp-table.el (standard-display-g1, standard-display-graphic):
	Refuse to use string glyphs also on Mac.
	(standard-display-european): Don't set terminal coding system also
	on Mac.

	* frame.el (display-screens): Use x-display-screens also on Mac.

2005-10-21  Romain Francoise  <romain@orebokech.com>

	* net/rcirc.el: Now part of GNU Emacs.  Update FSF's address.

2005-10-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/sh-script.el (sh-font-lock-syntactic-keywords): Make $@
	and $? into sexps.

	* font-lock.el (font-lock-compile-keywords): Add a help-echo to the
	warning face on open-paren-in-column-0.

	* emacs-lisp/syntax.el (syntax-ppss-flush-cache): Fix corner
	boundary case.  Fix typo.
	Suggested by Martin Rudalics <rudalics@gmx.at>.

2005-10-21  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el: (org-combined-agenda-icalendar-file)
	(org-icalendar-include-todo, org-icalendar-combined-name): New options.
	(org-export-icalendar-this-file)
	(org-export-icalendar-all-agenda-files)
	(org-export-icalendar-combine-agenda-files): New commands.
	(org-export-icalendar, org-print-icalendar-entries)
	(org-start-icalendar-file, org-finish-icalendar-file)
	(org-ical-ts-to-string): New functions.
	(org-read-date, org-goto-calendar)
	(org-agenda-goto-calendar): Inhibit displaying diary entries by
	call to `calendar'.
	(orgtbl-setup): Remove the :keys arguments from the menu description.
	(org-after-save-iCalendar-file-hook): New variable.

2005-10-21  Kenichi Handa  <handa@m17n.org>

	* language/vietnamese.el (tcvn-5712): Make it an alias of
	vietnamese-tcvn coding-system.

2005-10-20  Michael Albinus  <michael.albinus@gmx.de>

	* net/ange-ftp.el (ange-ftp-date-regexp): Handle also the case no
	group id is given.

2005-10-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/sh-script.el (sh-escaped-line-re): New var.
	(sh-here-doc-open-re, sh-font-lock-close-heredoc): Use it.
	(sh-font-lock-open-heredoc): Try to properly handle heredoc starters
	whose line is either continued or ends with a comment.

2005-10-20  Romain Francoise  <romain@orebokech.com>

	* net/rcirc.el (with-rcirc-process-buffer): Move above its first user.

	* replace.el (occur-engine): Add follow-link property.

	* font-core.el (font-lock-mode): Doc fix.

2005-10-20  Richard M. Stallman  <rms@gnu.org>

	* net/rcirc.el: New file.

2005-10-20  Bryan Henderson  <bryanh@giraffe-data.com>  (tiny change)

	* term.el (term-term-name): Initialize to "eterm-color".

2005-10-20  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el: Add autoloads of crypt++ and mailcrypt routines, all
	for encryption functionality.
	Move allout customization subgroup from `editing' to `outlines' group.
	Fix commentary 'keywords' to legitimate ones.
	Update author info (using my current email address, obscurified).
	(allout-encrypt-string, allout-encryption-produce-work-buffer)
	(allout-encrypted-topic-p, allout-encrypted-text-type)
	(allout-mc-activate-passwd, allout-create-encryption-key-verifier)
	(allout-situate-encryption-key-verifier)
	(allout-get-encryption-key-verifier, allout-verify-key)
	(allout-next-topic-pending-encryption)
	(allout-encrypt-decrypted, allout-encrypted-type-prefix): New funcs.
	(outline-topic-encryption-bullet, outline-default-encryption-scheme)
	(outline-key-verifier-handling, outline-key-hint-handling)
	(outline-encrypt-unencrypted-on-saves): New defcustoms.
	(allout-file-key-verifier-string, allout-encryption-scheme)
	(allout-key-verifier-string, allout-key-hint-string)
	(allout-after-save-decrypt): New variables.
	(allout-write-file-hook-handler, allout-auto-save-hook-handler)
	(allout-after-saves-handler): New hook functions.
	(allout-post-command-business): Do allout-after-save-decrypt.
	(allout-enable-file-variable-adjustment): Custom var to enable
	mechanism for adding and adjusting settings of Emacs file variables.
	(allout-adjust-file-variable, allout-file-vars-section-data):
	New functions, implement the mechanism.
	(outlineify-sticky): Use the file vars mechanism.
	(allout-inhibit-protection, allout-during-write-cue)
	(allout-override-protect, allout-before-change-protect): Remove.
	(allout-flag-region, allout-open-topic): Adjust	read-only text.
	(allout-open-line-not-read-only): Add to facilitate read-only
	text based protection.
	(allout-kill-line): Revise to adjust read-only text, clue the
	user about the inhibition.
	(allout-unprotected): Use unwind-protect.
	(allout-shift-in, allout-shift-out): Disallow manually shifting a
	topic deeper than the offspring depth of the previous topic -
	avoiding confusing "containment discontinuities".
	(allout-reindent-bodies): Fix retention of body relative hanging
	indent during promotion of collapsed bodies.
	(allout-open-topic): Make it easy to open new topic with same
	bullet as current topic - topic creation functions provided with
	any universal argument provokes now prompt for bullet, defaulting
	to the bullet of the previous topic.
	(allout-plain-bullets-string, allout-distinctive-bullets-string):
	Plain bullet alternates '.' period and ',' comma only.  All other
	bullets are relegated to special status (but customizable).
	(allout-end-of-entry): Rename from 'allout-end-of-current-entry
	since it actually operates w.r.t. most immediately containing
	entry, visible or not.
	(allout-hide-current-entry, allout-show-current-entry): Use the
	revised version.
	(allout-old-expose-topic): Solidify deprecation.
	(allout-end-of-subtree): Add so we can span concealed as well
	as visible topics.
	(allout-end-of-current-subtree): Use `allout-end-of-subtree'.
	(allout-end-of-current-heading): Tweak to just respect the first line.
	(allout-get-body-text): Add.
	(allout-ascend-to-depth, allout-ascend): Position at end of prefix
	when invoked interactively.
	(allout-up-current-level): Use `interactive-p'.
	(allout-mode, allout-init): Miscellaneous docstring and
	operational refinements, as well as hookups of new encryption stuff.
	(allout-beginning-of-current-entry): Now works as advertised.
	(allout-end-of-current-entry): Remove of superfluous allout-show-entry.
	(allout-isearch-rectification): Refine condition for isearching.
	(allout-isearch-abort, allout-enwrap-isearch)
	(allout-flag-region, my-region-active-p): Relocate some macros.
	(allout-title): Fallback title is '(buffer-name)', not
	non-existing '(current-buffer-name)'.
	(subst-char-in-string): Define if absent (for some XEmacs versions).

2005-10-20  Jari Aalto  <jari.aalto@cante.net>

	* mail/sendmail.el (mail-setup-hook, mail-aliases)
	(mail-yank-prefix, mail-indentation-spaces, mail-yank-hooks)
	(mail-citation-prefix-regexp, mail-signature-file)
	(mail-default-headers, mail-bury-selects-summary)
	(mail-send-nonascii): Add autoload cookies.

2005-10-20  Emanuele Giaquinta  <emanuele.giaquinta@gmail.com>  (tiny change)

	* frame.el (blink-cursor-mode): Add `mac' to the list of
	window-system's that support blinking cursor.

2005-10-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* textmodes/org.el (org-level-color-stars-only): Fix typo in docstring.

2005-10-20  Eli Zaretskii  <eliz@gnu.org>

	* makefile.w32-in ($(lisp)/mh-e/mh-loaddefs.el):
	Bind find-file-suppress-same-file-warnings to t, to avoid warnings due
	to different drive letter case in D:/foo/bar.el vs d:/foo/bar.el.

2005-10-20  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-is-tramp-root): Simplify regexp matching tramp root.
	(ido-set-current-directory): Don't add / after final @.
	(ido-file-name-all-completions-1): Adapt to fixed tramp completion.
	Explicitly handle ange-ftp completion oddities.
	(ido-make-file-list): Don't rotate list at tramp root to avoid
	triggering tramp file handler for expand-file-name via get-file-buffer.

2005-10-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* savehist.el (savehist-coding-system): Revert to checking XEmacs.

2005-10-19  Jay Belanger  <belanger@truman.edu>

	* calc/calc-units.el (math-standard-units): Add units, adjust
	symbols and update values.
	(math-unit-prefixes):  Add more prefixes.

2005-10-19  Romain Francoise  <romain@orebokech.com>

	* bookmark.el (bookmark-menu-heading): New face.
	(bookmark-bmenu-list): Use it.
	Don't fiddle with `baud-rate' at top-level.

2005-10-18  Chong Yidong  <cyd@stupidchicken.com>

	* image.el (create-image, find-image): Mention max-image-size in
	docstring.

2005-10-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* savehist.el (savehist-load): Revert to checking XEmacs.

	* textmodes/conf-mode.el: Don't use font-lock-defaults-alist.
	Various docstring and line-width fixups.
	(conf-mode): Use cond.
	Set font-lock-defaults.  Don't set comment-use-syntax.

2005-10-18  David Ponce  <david@dponce.com>

	* tree-widget.el (tree-widget-button-click): New function.
	(tree-widget-button-keymap): Use it.

2005-10-18  Romain Francoise  <romain@orebokech.com>

	* bookmark.el (bookmark-insert-location, bookmark-bmenu-list)
	(bookmark-bmenu-hide-filenames): Add follow-link property.
	Improve help-echo text.

	* ffap.el (find-file-at-point): Doc fix.

2005-10-18  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* mouse.el (mouse-set-region): Don't do sit-for on a mac frame.

2005-10-18  Masatake YAMATO  <jet@gyve.org>

	Install to the CVS repository what I forgot to install in my
	2005-10-16 changes.

	* progmodes/python.el (python-complete-symbol): Pass the common
	prefix substring of completion to `display-completion-list'.

	* textmodes/org.el (org-complete): Ditto.

2005-10-18  Masatake YAMATO  <jet@gyve.org>

	Fix a bug reported by Sven Joachim <sven_joachim@web.de>.

	* woman.el (WoMan-xref-man-page): New button type derived
	from `Man-abstract-xref-man-page'.
	(woman-mode): Pass `WoMan-xref-man-page' to `Man-highlight-references'.

	* man.el (Man-abstract-xref-man-page): New button type.
	(Man-xref-man-page): Make it derived from `Man-abstract-xref-man-page'.
	(Man-highlight-references): Add new optional argument `xref-man-type'.

2005-10-18  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-menu-map): Correct condition for fringe.

2005-10-17  Chong Yidong  <cyd@stupidchicken.com>

	* cus-edit.el (Custom-move-and-invoke): Delete.
	(custom-mode-map): Bind mouse-1 to widget-move-and-invoke.

	* wid-edit.el (widget-move-and-invoke): New function, from
	Custom-move-and-invoke.

2005-10-17  Bill Wohler  <wohler@newt.com>

	Move all remaining images from lisp/toolbar to etc/images, move
	lisp/toolbar/tool-bar to lisp and "delete" lisp/toolbar.  Place
	the low resolution images in their own directory (low-color).

	* toolbar/attach.*, toolbar/cancel.*, toolbar/close.*,
	* toolbar/copy.*, toolbar/cut.*, toolbar/diropen.*, toolbar/exit.*:
	* toolbar/help.*, toolbar/home.*, toolbar/index.*, toolbar/info.*:
	* toolbar/mail.*, toolbar/new.*, toolbar/open.*, toolbar/paste.*:
	* toolbar/preferences.*, toolbar/print.*, toolbar/save.*:
	* toolbar/saveas.*, toolbar/search.*, toolbar/search-replace.*:
	* toolbar/spell.*, toolbar/undo.*: Move to etc/images.

	* toolbar/lc-copy.*: Move to etc/images/low-color/copy.*.
	* toolbar/lc-cut.*: Move to etc/images/low-color/cut.*.
	* toolbar/lc-help.*: Move to etc/images/low-color/help.*.
	* toolbar/lc-home.*: Move to etc/images/low-color/home.*.
	* toolbar/lc-index.*: Move to etc/images/low-color/index.*.
	* toolbar/lc-new.*: Move to etc/images/low-color/new.*.
	* toolbar/lc-open.*: Move to etc/images/low-color/open.*.
	* toolbar/lc-paste.*: Move to etc/images/low-color/paste.*.
	* toolbar/lc-preferences.*: Move to etc/images/low-color/preferences.*.
	* toolbar/lc-print.*: Move to etc/images/low-color/print.*.
	* toolbar/lc-save.*: Move to etc/images/low-color/save.*.
	* toolbar/lc-saveas.*: Move to etc/images/low-color/saveas.*.
	* toolbar/lc-search.*: Move to etc/images/low-color/search.*.
	* toolbar/lc-spell.*: Move to etc/images/low-color/spell.*.
	* toolbar/lc-undo.*: Move to etc/images/low-color/undo.*.

	To conform with convention, replace the underscore (_) in the
	following image names with dash (-) or (/) as appropriate.

	* toolbar/back_arrow.*: Move to etc/images/back-arrow.*.
	* toolbar/fld_open.*: Move to etc/images/fld-open.*.
	* toolbar/fwd_arrow.*: Move to etc/images/fwd-arrow.*.
	* toolbar/jump_to.*: Move to etc/images/jump-to.*.
	* toolbar/left_arrow.*: Move to etc/images/left-arrow.*.
	* toolbar/right_arrow.*: Move to etc/images/right-arrow.*.
	* toolbar/up_arrow.*: Move to etc/images/up-arrow.*.
	* toolbar/lc-back_arrow.*: Move to etc/images/low-color/back-arrow.*.
	* toolbar/lc-fwd_arrow.*: Move to etc/images/low-color/fwd-arrow.*.
	* toolbar/lc-jump_to.*: Move to etc/images/low-color/jump-to.*.
	* toolbar/lc-left_arrow.*: Move to etc/images/low-color/left-arrow.*.
	* toolbar/lc-right_arrow.*: Move to etc/images/low-color/right-arrow.*.
	* toolbar/lc-up_arrow.*: Move to etc/images/low-color/up-arrow.*.
	* toolbar/mail_compose.*: Move to etc/images/mail/compose.*.
	* toolbar/mail_send.*: Move to etc/images/mail/send.*.

	* info.el (info-tool-bar-map): Replace underscores in image names
	with dashes.

	* makefile.w32-in (WINS): Remove toolbar.

	* menu-bar.el: Replace toolbar/tool-bar.el with tool-bar.el in comment.

	* tool-bar.el: Move to lisp from toolbar.  Now that
	toolbar is empty, it should be deleted when folks run "cvs up -P".

2005-10-18  Jay Belanger  <belanger@truman.edu>

	* calc/calc-store.el (calc-store-into): Get the proper variable name
	to display in message.

2005-10-18  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-var-create-handler): Make watch
	expressions display in speedbar for all buffers when debugging.
	(gdb-speedbar-expand-node): Ensure node contraction is always updated.

	* speedbar.el (speedbar-set-mode-line-format): Indent properly.
	(speedbar-insert-button, speedbar-make-button):
	Use add-text-properties.
	(speedbar-update-localized-contents)
	(speedbar-update-directory-contents)
	(speedbar-update-special-contents): Use dolist.
	(speedbar-buffer-easymenu-definition): Add a menu separator.

2005-10-17  Jason Rumney  <jasonr@gnu.org>

	* makefile.w32-in: Use $(lisp) consistently.
	(pre-mh-loaddefs.el-SH, pre-mh-loaddefs.el-CMD): New targets
	for shell specific generation of mh-autoloads.

2005-10-17  Richard M. Stallman  <rms@gnu.org>

	* textmodes/tex-mode.el (tex-font-lock-keywords-2): Undo prev change.

2005-10-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* jit-lock.el (jit-lock-fontify-now):
	Move jit-lock-context-unfontify-pos to avoid wasted work.

2005-10-17  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-completion-mode): New defvar.  Used in
	`tramp-completion-mode' for checking if we are in completion mode.
	(tramp-completion-handle-file-name-all-completions): Reorder code
	in order to complete for file names only in case there are no
	method/user/host completions.  This is necessary for cooperation
	with ido.  Reported by Kim F. Storm <storm@cua.dk>.

2005-10-16  Chong Yidong  <cyd@stupidchicken.com>

	* longlines.el (longlines-search-forward)
	(longlines-search-backward): Match any number of spaces.

2005-10-16  Thien-Thi Nguyen  <ttn@gnu.org>

	* diff-mode.el (diff-mode): Doc fix.

2005-10-16  David Reitter <david.reitter@gmail.com>

	* mail/sendmail.el (send-mail-function): Use mailclient-send-it
	as default on darwin and windows systems.

2005-10-16  Sven Joachim  <svenjoac@gmx.de>  (tiny change)

	* arc-mode.el (archive-zip-extract): Doc fix.

2005-10-16  Romain Francoise  <romain@orebokech.com>

	* mouse.el (mouse-1-click-follows-link): Doc fix.

2005-10-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* savehist.el: Don't require CL at runtime.
	(savehist-xemacs): Remove.
	(savehist-coding-system): Use utf-8 if present, regardless of religion.
	(savehist-no-conversion): Use (featurep 'xemacs).
	(savehist-load): Check existence of start-itimer rather than XEmacs.
	Use an idle timer.
	(savehist-process-for-saving): Replace use of CL funs `subseq' and
	`delete-if-not'.

2005-10-16  Hrvoje Niksic  <hniksic@xemacs.org>

	* savehist.el: Newer version.
	(savehist-autosave-interval, savehist-coding-system, savehist-timer)
	(savehist-last-checksum, savehist-no-conversion): New vars.
	(savehist-autosave, savehist-process-for-saving, savehist-printable):
	New functions.
	(savehist-load, savehist-save): Use them.
	(savehist-delimit): Remove.

2005-10-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/compile.el (compilation-goto-locus): Display the
	compilation buffer first and the source buffer second, in case they're
	in overlapping frames.  Don't raise the compilation frame if it was the
	selected window upon entry.  Pass the `other-window' arg to
	pop-to-buffer.

	* info.el (Info-fontify-node): Use dolist.
	Change add-text-properties to put-text-property.

2005-10-16  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-font-lock-url): Catch when point past
	bound of search.

2005-10-16  Masatake YAMATO  <jet@gyve.org>

	* dabbrev.el (dabbrev-completion): Pass the common
	prefix substring of completion to `display-completion-list'.

	* filecache.el (file-cache-minibuffer-complete)
	(file-cache-complete): Ditto.

	* tempo.el (tempo-display-completions): Ditto.

	* wid-edit.el (widget-file-complete, widget-color-complete): Ditto.

	* emacs-lisp/lisp.el (lisp-complete-symbol): Ditto.

	* eshell/em-hist.el (eshell-list-history): Ditto.

	* mail/mailabbrev.el (mail-abbrev-complete-alias): Ditto.

	* mail/mailalias.el (mail-complete): Ditto.

	* progmodes/etags.el (complete-tag): Ditto.

	* progmodes/make-mode.el (makefile-complete): Ditto.

	* progmodes/meta-mode.el (meta-complete-symbol): Ditto.

	* progmodes/octave-mod.el (octave-complete-symbol): Ditto.

	* progmodes/pascal.el (pascal-complete-word)
	(pascal-show-completions): Ditto.

	* textmodes/bibtex.el (bibtex-complete-internal): Ditto.

	* simple.el (completion-common-substring): New variable.
	(completion-setup-function): Use `completion-common-substring'
	to put faces.

2005-10-16  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el: Apply 2005-10-09 change for term/x-win.el.
	(x-get-selection, mac-select-convert-to-string): Convert from/to
	UTF-16 clipboard data as in native byte order, no BOM.

2005-10-16  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-tool-bar-map): Rename the images
	appropriately (gud/next, gud/nexti, gud/step, gud/stepi).
	(gud-sentinel): Use speedbar-frame to check for speedbar.

2005-10-15  Richard M. Stallman  <rms@gnu.org>

	* savehist.el: New file.

2005-10-14  Karl Chen  <quarl@cs.berkeley.edu>

	* textmodes/tex-mode.el (tex-font-lock-keywords-2):
	Fix bug in \bf fontification.

2005-10-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* pcvs.el (cvs-edit-log-files): New var.
	(cvs-mode-edit-log): New arg `file'.
	(cvs-edit-log-minor-wrap): Don't set the ignore-marks property.
	Instead force the use of the original file and nothing else.
	(cvs-edit-log-filelist): Don't use the cvs-mode-* function unless
	the cvs-minor-wrap-function is set.
	(cvs-do-edit-log): Obey the vars set in cvs-edit-log-minor-wrap.

2005-10-14  Bill Wohler  <wohler@newt.com>

	* toolbar/gud-break.*: Moved to etc/images/gud/break.*.
	* toolbar/gud-cont.*: Moved to etc/images/gud/cont.*.
	* toolbar/gud-down.*: Moved to etc/images/gud/down.*.
	* toolbar/gud-finish.*: Moved to etc/images/gud/finish.*.
	* toolbar/gud-ni.*: Moved to etc/images/gud/ni.*.
	* toolbar/gud-n.*: Moved to etc/images/gud/n.*.
	* toolbar/gud-print.*: Moved to etc/images/gud/print.*.
	* toolbar/gud-pstar.*: Moved to etc/images/gud/pstar.*.
	* toolbar/gud-remove.*: Moved to etc/images/gud/remove.*.
	* toolbar/gud-run.*: Moved to etc/images/gud/run.*.
	* toolbar/gud-si.*: Moved to etc/images/gud/si.*.
	* toolbar/gud-s.*: Moved to etc/images/gud/s.*.
	* toolbar/gud-until.*: Moved to etc/images/gud/until.*.
	* toolbar/gud-up.*: Moved to etc/images/gud/up.*.
	* toolbar/gud-watch.*: Moved to etc/images/gud/watch.*.

	* progmodes/gud.el (gud-tool-bar-map): Rename the images
	appropriately (for example, gud-break to gud/break).

2005-10-14  Chong Yidong  <cyd@stupidchicken.com>

	* longlines.el (longlinges-search-function)
	(longlines-search-forward, longlines-search-backward): New functions.
	(longlines-mode): Set isearch-search-fun-function to
	longlinges-search-function.

	* mouse.el (mouse-drag-region-1): Handle the case where a
	double-click event is bound to an arbitrary function.

2005-10-14  David Ponce  <david@dponce.com>

	* recentf.el (recentf-track-opened-file)
	(recentf-track-closed-file, recentf-update-menu)
	(recentf-used-hooks, recentf-enabled-p): Move before dialog stuff.
	(recentf-dialog-mode-map): Map follow-link to RET, so dialogs obey
	mouse-1-click-follows-link.

2005-10-13  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* toolbar/diropen.xpm, toolbar/diropen.pbm: New versions made from
	Gnome file-manager.png.  Suggested by
	Joachim Nilsson <joachim.nilsson@vmlinux.org>.

	* toolbar/README: Add diropen.xpm.

2005-10-13  Bill Wohler  <wohler@newt.com>

	* makefile.w32-in (MH_E_SRC): Rename from MH-E-SRC per NMAKE
	restrictions.  Suggested by David Robinow <drobinow@gmail.com>.

2005-10-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/mixal-mode.el (mixal-operation-codes-alist):
	Don't waste the byte-compiler's time on constant data.

2005-10-13  Kenichi Handa  <handa@m17n.org>

	* international/utf-8.el (utf-8-compose): Display an invalid UTF-8
	byte with `escape-glyph' face.

	* international/fontset.el (ccl-encode-unicode-font):
	Lookup utf-subst-table-for-encode, not ucs-mule-cjk-to-unicode.
	Handle the case that ucs-mule-to-mule-unicode translates a character to
	ASCII (usually for IPA characters).

2005-10-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* info.el (Info-fontify-node): Don't be fooled by a lone "...".
	Don't hide the underline of titles if font-lock-mode is disabled.

2005-10-12  Bill Wohler  <wohler@newt.com>

	* makefile.w32-in (MH-E-SRC): New. Used by mh-autoloads.
	(mh-autoloads): New. Builds mh-e/mh-loaddefs.el. Rebuilds if any
	files in MH-E-SRC have been updated.
	(updates, compile, recompile, bootstrap): Depend on mh-autoloads.

2005-10-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/mixal-mode.el (mixal-operation-codes): Remove.
	(mixal-mode-syntax-table): Add \n as end-comment.
	(mixal-operation-codes-alist): Immediately initialize to full value.
	(mixal-add-operation-code): Remove.
	(mixal-describe-operation-code): Make the arg non-optional.
	Use the interactive spec instead.
	Use mixal-operation-codes-alist rather than mixal-operation-codes.
	(mixal-font-lock-keywords): Don't highlight comments here any more.
	(mixal-font-lock-syntactic-keywords): New var.
	(mixal-mode): Use it.  Fix comment-start-skip.

2005-10-12  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* startup.el (command-line-x-option-alist): -nb => -nbi

2005-10-12  Kim F. Storm  <storm@cua.dk>

	* startup.el (fancy-splash-default-action): Discard mouse click in
	the splash screen window, as it has no sensible meaning in the
	next window to be selected.  Fixes error reported by Jan D.

2005-10-12  Reiner Steib  <Reiner.Steib@gmx.de>

	* desktop.el (desktop-load-file): Do nothing when FUNCTION is nil.

2005-10-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/mixal-mode.el: Sync with version in the GNU MDK project.
	Try to fix up minor layout issues like indentation, line break, etc...
	(mixal-mode-syntax-table): Don't try to specify comment syntax,
	because it doesn't work.
	(mixal-operation-codes): Add some more codes.
	(mixal-font-lock-keywords): Process comments here.
	(mixal-mode): mixasm no longer needs -g option.

2005-10-11  Sven Joachim  <svenjoac@gmx.de>  (tiny change)

	* progmodes/sh-script.el (sh-tmp-file):
	Use mktemp -t.  Finish support for es and rc shells.

2005-10-11  Jay Belanger  <belanger@truman.edu>

	* calc/calcalg2.el (calc-integral): With an argument, compute the
	definite integral.

2005-10-11  Chong Yidong  <cyd@stupidchicken.com>

	* mouse.el (mouse-drag-region-1): Don't try to catch a
	double-click when doing follow-link (it's overridden anyway).

2005-10-11  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/autoload.el (update-directory-autoloads): Doc fix.
	(autoload-print-form-outbuf): Add docstring.

2005-10-11  Juri Linkov  <juri@jurta.org>

	* info.el (Info-mode-menu): Delete menu item "Edit".
	(Info-mode): Delete description of Info-edit from docstring,
	and rearrange descriptions of Info commands in the order
	they are documented in the Info manual.

2005-10-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* calendar/appt.el (appt-check): Use diary-selective-display var.

2005-10-10  Richard M. Stallman  <rms@gnu.org>

	* net/newsticker.el (newsticker-start, newsticker-show-news):
	Add autoload cookies.

2005-10-10  Emanuele Giaquinta  <emanuele.giaquinta@gmail.com>

	* progmodes/sh-script.el (sh-tmp-file): Use mktemp.

2005-10-10  Karl Chen  <quarl@cs.berkeley.edu>

	* jka-cmpr-hook.el (jka-compr-handler): Fix typo in `operations' prop.

2005-10-10  Jay Belanger  <belanger@truman.edu>

	* calc/calc-arith.el (math-check-known-scalarp)
	(math-check-known-matrixp): Check the values of arguments that are
	variables.
	(math-check-known-square-matrixp): New function.
	(math-known-square-matrixp): Use math-check-known-square-matrixp.
	(math-super-types): Add sqmatrix type.

	* calc/calc-mode.el (calc-matrix-mode, math-get-modes-vec): Change the
	mode name `square' to 'sqmatrix'.

	* calc/calc.el (calc-matrix-mode, calc-set-mode-line): Change the
	mode name `square' to 'sqmatrix'.

2005-10-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/etags.el (select-tags-table-mode): Don't use
	selective-display.
	(tags-select-tags-table): Pass `button' to the action function.
	(select-tags-table): Place the side-info on button properties rather
	than in hidden text.  Abbreviate file names.
	(select-tags-table-mode-map): Inherit rather than copy buttom-map.
	(select-tags-table-select): Add `button' argument.
	Get side-info from the button property rather than from hidden text.

2005-10-11  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-install-speedbar-variables): Add more bindings.
	(gud-speedbar-buttons): Preserve point if possible.
	(gud-sentinel): Restore previous speedbar display type.

	* progmodes/gdb-ui.el (gdba): Improve diagram.
	(def-gdb-auto-update-handler, gdb-info-locals-handler)
	(gdb-put-breakpoint-icon, gdb-remove-breakpoint-icons):
	Call get-buffer-window once.

2005-10-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/pascal.el (pascal-mode-map): Move init into declaration.
	(pascal-mode-syntax-table): Make (* *) markers same class as { ... }.
	(pascal-indent-command): Remove unused var `ind'.
	(pascal-indent-case): Remove unused var `oldpos'.
	(pascal-outline-map): Don't inherit from pascal-mode-map anymore,
	since it's now used as a proper minor mode map.
	(pascal-outline): Rename to pascal-outline-mode.
	(pascal-outline-mode): Use define-minor-mode.
	(pascal-outline-mode, pascal-outline-change): Use overlays rather than
	selective-display.

2005-10-10  Andreas Schwab  <schwab@suse.de>

	* textmodes/tex-mode.el (tex-font-lock-keywords-2): Adjust match
	number.  Reported by Karl Chen <quarl@cs.berkeley.edu>.

	* Makefile.in ($(lisp)/mh-e/mh-loaddefs.el): Fix for building
	outside source directory.

2005-10-10  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el: (org-mode-map): Explicit definition of `C-c
	C-x' as a prefix.
	(orgtbl-mode-map): Full keymap instead of sparse, because all
	`self-insert-command' keys are redefined in this map.
	(org-export-as-html): Specify charset for HTML file, by taking it
	from the coding system.

2005-10-10  Kenichi Handa  <handa@m17n.org>

	* textmodes/flyspell.el (flyspell-check-word-p):
	If unread-command-events is non-empty, don't call sit-for.

2005-10-09  Richard M. Stallman  <rms@gnu.org>

	* font-lock.el (font-lock-syntactic-keywords)
	(font-lock-keywords): Doc fixes.

	* textmodes/flyspell.el (flyspell-external-point-words):
	Simplify logic, and don't try to check for consecutive appearances
	of one incorrect word.

2005-10-10  Nick Roberts  <nickrob@snap.net.nz>

	* speedbar.el (speedbar-buffer-easymenu-definition): Add menu
	separator.

	* progmodes/gud.el (gud-last-speedbar-buffer): Remove.
	(gud-install-speedbar-variables): Add GUD to speedbar "Displays" list.
	(gud-expansion-speedbar-buttons): New function.
	(gud-speedbar-buttons): Check for gud-comint-buffer.

2005-10-09  Bill Wohler  <wohler@newt.com>

	* Makefile.in (updates): Add mh-loaddefs dependency.

2005-10-09  Chong Yidong  <cyd@stupidchicken.com>

	* speedbar.el (speedbar-file-key-map): Fix typo.

2005-10-09  Daniel Brockman  <daniel@brockman.se>

	* cus-start.el (line-spacing): Add custom spec.

2005-10-09  Romain Francoise  <romain@orebokech.com>

	* textmodes/ispell.el (ispell-check-version): Fix last change.

2005-10-09  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* term/x-win.el: Remove -i, --icon-type from comment.

	* startup.el (command-line-x-option-alist): Remove options -i,
	-itype, --icon-type, added -nb, --no-bitmap-icon

2005-10-09  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-speedbar-menu-items): Use :visible
	instead of :active.

2005-10-08  Eric Hanchrow  <offby1@blarg.net>

	* textmodes/ispell.el (ispell-check-version):
	Ignore hyphen, and all that follows, in aspell's version text.

2005-10-08  Jay Belanger  <belanger@truman.edu>

	* calc/calc-arith.el (math-known-square-matrixp): New function.
	(math-pow-fancy): Check for matrices before distributing exponent
	across products.

	* calc/calc-keypd.el (calc-do-keypad): Widen keypad window for
	fullscreen keypad.  Suggested by Luc Teirlinck.
	(calc-keypad-show-input): Add space for formatting.

	* calc/calc-mode.el (calc-matrix-mode, math-get-modes-vec):
	Add square matrix option.

	* calc/calc-poly.el (math-expand-term): Check for matrices instead
	of checking calc-matrix-mode when deciding how to expand.

	* calc/calc.el (calc-set-mode-line): Add square matrix option.

2005-10-08  Lars Hansen  <larsh@soem.dk>

	* net/tramp.el (tramp-perl-directory-files-and-attributes):
	Add error handling.
	(tramp-handle-directory-files-and-attributes): Handle perl error msg.

2005-10-08  Michael Albinus  <michael.albinus@gmx.de>

	Sync with Tramp 2.0.51.

	* net/tramp.el (tramp-handle-set-visited-file-modtime)
	(tramp-handle-insert-file-contents, tramp-handle-write-region):
	Insert special handling for `last-coding-system-used', again
	it still seems to be necessary (unlike stated before).
	Reported by Toshinori Sugita <sugita@d-pad.co.jp>.
	(tramp-password-prompt-regexp): There might be other words before
	trailing ":".  Reported by Kurt Steinkraus <kurt@steinkraus.us>.
	(tramp-chunksize): Improve docstring.
	(tramp-set-auto-save-file-modes): Octal integer code #o600 breaks
	Emacs 20.  Use `tramp-octal-to-decimal' therefore.  Reported by
	Christian Joergensen <bugs@razor.dk>.

2005-10-07  Glenn Morris  <rgm@gnu.org>

	* progmodes/f90.el (f90-keywords-re, f90-mode): Doc fix.
	(f90-font-lock-keywords-2, f90-mode-abbrev-table): Add `double
	precision'.

2005-10-07  Romain Francoise  <romain@orebokech.com>

	* ibuf-ext.el (ibuffer-do-shell-command-pipe)
	(ibuffer-do-shell-command-pipe-replace)
	(ibuffer-do-shell-command-file, ibuffer-do-eval)
	(ibuffer-do-view-and-eval, ibuffer-do-rename-uniquely)
	(ibuffer-do-revert, ibuffer-do-replace-regexp)
	(ibuffer-do-query-replace, ibuffer-do-query-replace-regexp)
	(ibuffer-do-print, ibuffer-filter-by-mode, ibuffer-filter-by-used-mode)
	(ibuffer-filter-by-name, ibuffer-filter-by-filename)
	(ibuffer-filter-by-size-gt, ibuffer-filter-by-size-lt)
	(ibuffer-filter-by-content, ibuffer-filter-by-predicate
	(ibuffer-do-sort-by-major-mode, ibuffer-do-sort-by-mode-name)
	(ibuffer-do-sort-by-alphabetic, ibuffer-do-sort-by-size):
	Autoload file sans suffix.

	* emulation/cua-base.el (cua-toggle-global-mark): Likewise.

2005-10-07  David Ponce  <david@dponce.com>

	* recentf.el (recentf-menu-open-all-flag): New option.
	(recentf-digit-shortcut-command-name): New function.
	(recentf--shortcuts-keymap): New variable.
	(recentf-menu-shortcuts): New variable.
	(recentf-make-menu-items): Initialize it.  Replace the "More..."
	menu item by "All...", if `recentf-menu-open-all-flag' is non-nil.
	(recentf-menu-value-shortcut): New function.
	(recentf-make-menu-item): Use it.  No more in-lined.
	(recentf-dialog-mode-map): Base on `recentf--shortcuts-keymap'.
	(recentf-open-most-recent-file): Rename from
	`recentf-open-file-with-key'.  Don't depend on key binding.
	(recentf-mode-map): New variable.
	(recentf-mode): Use it.

2005-10-06  Bill Wohler  <wohler@newt.com>

	* mh-e/mh-loaddefs.el: Remove.  Now generated automatically.

	* Makefile.in (AUTOGENEL): Add mh-e/mh-loaddefs.el.
	(MH-E-SRC): New.  Used by mh-autoloads.
	(mh-autoloads): New.  Builds mh-e/mh-loaddefs.el.  Rebuilds if any
	files in MH-E-SRC have been updated.
	(compile, recompile, bootstrap): Depend on mh-autoloads.

2005-10-07  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-menu-map): Only display un-intuitive
	gud-break and gud-remove icons when the fringe is not available.

	* progmodes/gdb-ui.el (gdb-fringe-width -> gdb-buffer-fringe-width):
	Typo.

2005-10-06  Michael Cadilhac  <michael.cadilhac-@t-lrde.epita.fr>  (tiny change)

	* play/zone.el (zone): Wrap body with save-window-excursion.

2005-10-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* calendar/cal-menu.el (calendar-mouse-view-diary-entries):
	Use the new `list-only' arg to diary-list-entries.

	* calendar/diary-lib.el: Use overlays rather than selective-display.
	(diary-selective-display): New var.
	(diary-header-line-format): Use it.
	(diary-list-entries): Add argument `list-only'.
	Put the buffer in diary-mode.  Don't add \^M at beg and end.
	Replace \^M by invisible overlays.
	(diary-unhide-everything): Replace \^M by invisible overlays.
	(print-diary-entries): Look for overlays rather than \^M.
	Add a space to the temp buffer name.
	(diary-show-all-entries, mark-diary-entries, make-diary-entry):
	Put the buffer in diary-mode.
	(list-sexp-diary-entries): Replace \^M by invisible overlays.
	(diary-anniversary): Make the year arg optional.
	(diary-time-regexp): New const.
	(diary-font-lock-keywords): Use it to accept a few more time formats.

	* pcvs.el (cvs-sentinel): Make sure we do re-enable undo.

2005-10-06  Thien-Thi Nguyen  <ttn@gnu.org>

	* textmodes/artist.el (artist-ellipse-mirror-quadrant):
	Fix bug introduced 2005-07-03: Use (car (last ...))
	to faithfully reproduce replaced artist-last.
	(artist-set-arrow-points-for-poly): Likewise.
	Suggested by Johan Bockg,Ae(Brd.

2005-10-06  Juanma Barranquero  <lekktu@gmail.com>

	* dframe.el (x-pointer-hand2, x-pointer-top-left-arrow):
	* wid-edit.el (widget):
	* progmodes/gdb-ui.el (gdb-buffer-fringe-width):
	* progmodes/vhdl-mode.el (speedbar-attached-frame): Add defvars.

2005-10-06  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (set-language-environment):
	Fix setting up of case-table for unibyte mode.

	* simple.el (what-cursor-position): If the character is displayed
	by some `display' text property, show that.  Don't use
	single-key-description for eight-bit characters in multibyte mode.

2005-10-06  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-fringe-width): New variable.
	(gdb-ann3): Set it.
	(gdb-put-breakpoint-icon): Don't take fringe-width from speedbar frame.
	(gdb-info-frames-custom): Use inverse-video for first five
	characters of selected frame only.
	(gdb-get-frame-number): Select frame even when point is on frame
	number.

2005-10-06  Masatake YAMATO  <jet@gyve.org>

	* progmodes/gdb-ui.el (gdb-info-breakpoints-custom):
	Put `font-lock-function-name-face'.
	(gdb-info-frames-custom): Put `font-lock-function-name-face'
	and `font-lock-variable-name-face'
	(gdb-registers-font-lock-keywords): New font lock keywords definition.
	(gdb-registers-mode): Use `gdb-registers-font-lock-keywords`.
	(gdb-memory-font-lock-keywords): New font lock keywords definition.
	(gdb-memory-mode): Use `gdb-memory-font-lock-keywords'.
	(gdb-local-font-lock-keywords): New font lock keywords definition.
	(gdb-locals-mode): Use `gdb-local-font-lock-keywords'
	(gdb-threads-font-lock-keywords): New font lock keywords definition.
	(gdb-threads-mode): Use `gdb-threads-font-lock-keywords'.

2005-10-05  Michael Kifer  <kifer@cs.stonybrook.edu>

	* ediff-merge.el (ediff-merge-region-is-non-clash): New defsubst.
	(ediff-merge-region-is-non-clash-to-skip): Previously called
	ediff-merge-region-is-non-clash.

	* ediff-mult.el (ediff-append-custom-diff, ediff-meta-show-patch):
	Use insert-buffer-substring.

	* ediff-ptch.el (ediff-fixup-patch-map): Use better heuristics for
	selecting files to patch.  Also bug fixes.

	* ediff-util.el (ediff-setup): Bug fix.
	(ediff-next-difference): Never skip clashes that differ in white
	space only.

	* ediff-wind.el (ediff-setup-control-frame)
	(ediff-destroy-control-frame): Check the menubar feature.

	* viper-cmd.el (viper-normalize-minor-mode-map-alist)
	(viper-refresh-mode-line): Use make-local-variable to localize
	some vars instead of make-variable-buffer-local.  Suggested by
	Stefan Monnier.

	* viper-init.el (viper-make-variable-buffer-local): Delete alias.
	(viper-restore-cursor-type, viper-set-insert-cursor-type):
	Use make-local-variable instead of make-variable-buffer-local.
	Suggested by Stefan Monnier.

	* viper.el (viper-mode): Don't use viper-make-variable-buffer-local.
	(viper-comint-mode-hook): Use make-local-variable on
	require-final-newline.
	(viper-non-hook-settings): Don't use make-variable-buffer-local.

2005-10-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/scheme.el (scheme-mode-syntax-table): Mark ; as being
	also the second char of a comment-start sequence.
	(scheme-sexp-comment-syntax-table): New var.
	(lambda, define): Set their scheme-doc-string-elt property.
	(scheme-font-lock-syntactic-face-function): Handle sexp-comments.
	Use lisp-font-lock-syntactic-face-function now that it properly
	handles |...| symbols.
	(scheme-mode-variables): Set lisp-doc-string-elt-property,
	parse-sexp-lookup-properties and font-lock-extra-managed-props.

	* emacs-lisp/lisp-mode.el (lisp-mode-syntax-table): Move the nesting
	bit from # to |.
	(lisp-font-lock-syntactic-face-function): Distinguish |...| symbols.

	* emacs-lisp/lisp-mode.el (lambda): Add its doc-string-elt property.
	(lisp-doc-string-elt-property): New var.
	(lisp-font-lock-syntactic-face-function): Use it.
	Rewrite to recognize docstrings even for forms not at toplevel.

	* progmodes/scheme.el (scheme-mode-syntax-table): Put the nested
	annotation on the | part of #| rather than on the # part.
	(scheme-font-lock-syntactic-face-function): New function, to
	distinguish strings from |...| symbols.
	(scheme-mode-variables): Use it.  Also fix up the font-lock-time
	syntax-table so that #|...|# is properly highlighted.

	* emacs-lisp/lisp-mode.el (lisp-font-lock-syntactic-face-function):
	Don't mark as docstring the 3rd elem of an unknown toplevel form.

2005-10-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* bindings.el (global-map): Resync [home] and [end] bindings with C-a
	and C-e.

	* emacs-lisp/eldoc.el: Move comments into docstrings.
	(eldoc-message-commands): Initialize in its declaration.
	Add move-beginning-of-line and move-end-of-line.
	(eldoc-add-command, eldoc-add-command-completions)
	(eldoc-remove-command, eldoc-remove-command-completions): Simplify.

	* outline.el (outline-mark-subtree): Activate the mark.

	* calendar/appt.el (appt-time-regexp): New var.
	(appt-add, appt-make-list): Use it.
	(appt-convert-time): Clean up.

	* textmodes/tex-mode.el (tex-font-lock-syntactic-face-function):
	Don't set any syntax-table property here.
	(tex-font-lock-verb): New function.  Do it here.
	(tex-font-lock-syntactic-keywords): Use it.

2005-10-04  Richard M. Stallman  <rms@gnu.org>

	* wid-edit.el (widget-file-complete): Get the widget start point
	the right way.  Default directory to `/' if file has none.

	* x-dnd.el (x-dnd-drop-data): Check for dedicated windows.

	* textmodes/flyspell.el (flyspell-mode-on):
	Call ispell-maybe-find-aspell-dictionaries.

	* textmodes/ispell.el (ispell-word, ispell-region):
	Call ispell-maybe-find-aspell-dictionaries.
	(ispell-accept-buffer-local-defs):
	Don't call ispell-maybe-find-aspell-dictionaries

2005-10-04  Richard M. Stallman  <rms@gnu.org>

	* iswitchb.el (iswitchb-buffer-ignore): Label it risky.

2005-10-04  Emilio C. Lopes  <eclig@gmx.net>

	* iswitchb.el (iswitchb-ignore-buffername-p): Use `functionp'
	instead of `fboundp' in order to allow for anonymous functions.

2005-10-04  Chong Yidong  <cyd@stupidchicken.com>

	* info.el (Info-next, Info-prev, Info-up): Select info buffer, in
	case the user clicks on the link while another window is selected.
	(Info-speedbar-hierarchy-buttons): Use speedbar-current-frame.

	* dframe.el (dframe-update-keymap): Use mouse-1-click-follows-link
	functionality.
	(dframe-help-echo): Save point in case mouse tracking is off.

2005-10-04  Thien-Thi Nguyen  <ttn@gnu.org>

	* net/ange-ftp.el (ange-ftp-ls): Fix typo introduced in last change.

2005-10-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/cc-styles.el (c-setup-paragraph-variables): Make sure we do
	not change the global value of those vars.

	* progmodes/cc-mode.el (c-basic-common-init): Remove calls to
	make-local-variable which we do not need any more.

2005-10-03  Chong Yidong  <cyd@stupidchicken.com>

	* speedbar.el (speedbar-ignored-path-regexp, speedbar-line-path)
	(speedbar-ignored-path-expressions, speedbar-buffers-line-path)
	(speedbar-add-ignored-path-regexp, speedbar-buffers-line-path)
	(speedbar-path-line): Define obsolete aliases.
	(speedbar-line-directory): Doc fix.

	* progmodes/vhdl-mode.el (vhdl-speedbar-initialize)
	(vhdl-speedbar-rescan-hierarchy): Call speedbar-line-directory
	instead of speedbar-line-path.

2005-10-03  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* x-dnd.el (x-dnd-drop-data): Don't set dnd-open-file-other-window
	to nil if dropping on a window.  Handle dropping on a minibuffer window
	like dropping on a non-window part of Emacs.

2005-10-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* net/ange-ftp.el: Use with-current-buffer.
	(ange-ftp-insert-directory): Do not follow symlinks any more.

	* textmodes/ispell.el (ispell-find-aspell-dictionaries):
	Remove interactive spec.

2005-10-03  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-mode): Use custom-initialize-set.

2005-10-02  Richard M. Stallman  <rms@gnu.org>

	* progmodes/ebnf2ps.el (ebnf-eps-production-list):
	Use insert-buffer-substring.

	* net/tramp.el: Pacify byte compiler warnings in pacification code.
	(tramp-handle-file-local-copy): Use insert-buffer-substring.

2005-10-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* net/ange-ftp.el (ange-ftp-insert-directory): Undo unintended part
	in last change.
	(ange-ftp-insert-directory): Fix up the search for the case where
	`file' is absolute.

2005-10-02  Romain Francoise  <romain@orebokech.com>

	* progmodes/compile.el (compile-goto-error): Delete extra paren.

2005-10-02  Andreas Schwab  <schwab@suse.de>

	* ediff-ptch.el (ediff-fixup-patch-map): Handle file names without
	directory component in the session info.

2005-10-01  Richard M. Stallman  <rms@gnu.org>

	* comint.el (comint-redirect-subvert-readonly): Doc fix.

	* simple.el (next-error-internal): New function.

	* progmodes/compile.el (compilation-buffer-name): New arg MODE-COMMAND.
	(compilation-start): Pass new arg to compilation-buffer-name.
	(compile-goto-error): Use next-error-internal.

2005-10-01  Chong Yidong  <cyd@stupidchicken.com>

	* speedbar.el: Remove RCS tag.
	(speedbar-check-read-only): Handle non-existent files.

	* dframe.el, ezimage.el, sb-image.el: Remove RCS tags.

	* info.el (Info-speedbar-hierarchy-buttons)
	(Info-speedbar-goto-node): Call speedbar-select-attached-frame.

2005-10-01  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-valid-entry-whitespace-re):
	Do not match newline.
	(bibtex-realign): Do not use bibtex-valid-entry-whitespace-re.
	(bibtex-summary): Remove unnecessary save-excursion.
	(bibtex-fill-field-bounds): Use fill-region-as-paragraph.

2005-10-01  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el: Add charset info for "iso10646-1".
	Modify default fontset to use ATSUI-compatible fonts for some charsets
	if available.

2005-10-01  Chong Yidong  <cyd@stupidchicken.com>

	* speedbar.el: Re-apply arch tag.
	(speedbar-version): Rename to version 1.0.  Suggested by Eric
	M. Ludlam.
	Reapply two changes from Emacs CVS' version of speedbar lost
	during the merge:
	(speedbar-use-imenu-flag): Avoid unnecessary use of locate-library.
	(speedbar-frame-parameters): Improve customize type.

2005-09-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* net/ange-ftp.el (ange-ftp-gwp-start): Use with-current-buffer.
	(ange-ftp-file-directory-p): Fix the symlink case.
	(ange-ftp-insert-directory): When listing a single file, get a list of
	the parent buffer and extract the relevant line.  Inspired from a patch
	by Katsumi Yamaoka <yamaoka@jpl.org>.
	(ange-ftp-file-name-sans-versions): Simplify.

2005-09-30  Bill Wohler  <wohler@newt.com>

	Move MH-E image files from toolbar and mail directories into
	etc/images.

	* mail/reply2.*: Move to etc/images/mail/reply*.

	* toolbar/execute.*, toolbar/highlight.*, toolbar/mh-logo.xpm:
	* toolbar/page-down.*, toolbar/show.*, toolbar/widen.*: Move to
	etc/images.

	* toolbar/alias.*, toolbar/refile.*, toolbar/repack.*:
	* toolbar/reply*: Move to etc/images/mail.

	* toolbar/rescan.*: Move and rename to etc/images/refresh.*.

2005-09-30  Eric M. Ludlam <zappo@gnu.org>

	* speedbar.el: New version 1.0pre3.

	Frame management code (including timer, and mouse click specifics)
	moved to dframe.el:
	(speedbar-attached-frame): Removed.  Use dframe-attached-frame.
	(speedbar-timer): Removed.  Use dframe-timer.
	(speedbar-close-frame): Removed.  Use dframe-close-frame.
	(speedbar-activity-change-focus-flag): Removed.  Use
	dframe-activity-change-focus-flag.
	(speedbar-update-speed, speedbar-navigating-speed): Obsolete.  Use
	dframe-update-speed.

	(speedbar-current-frame): New macro.  Use this instead of the
	variable speedbar-frame.

	(speedbar-use-images, speedbar-expand-image-button-alist)
	(speedbar-insert-image-button-maybe): Moved to sb-image.el.

	(speedbar-find-image-on-load-path): Removed.  Replaced by
	defezimage in ezimage.el.
	(speedbar-expand-image-button-alist): Removed.  Replaced by
	ezimage-expand-image-button-alist in ezimage.el.

	(speedbar-ignored-directory-regexp)
	(speedbar-add-ignored-directory-regexp)
	(speedbar-ignored-directory-expressions)
	(speedbar-line-directory, speedbar-buffers-line-directory)
	(speedbar-directory-line, speedbar-buffers-line-directory):
	Renamed, replacing `path' with `directory'.

	(speedbar-create-directory, speedbar-expand-line-descendants)
	(speedbar-toggle-line-expansion)
	(speedbar-contract-line-descendants): New commands.

	(speedbar-query-confirmation-method, speedbar-select-frame-method)
	(speedbar-use-tool-tips-flag): New options.

	(speedbar-check-read-only, speedbar-require-version)
	(speedbar-insert-separator, speedbar-buffers-tail-notes)
	(speedbar-handle-delete-frame, speedbar-try-completion)
	(speedbar-update-localized-contents): New functions.

	(speedbar-incompatible-version, speedbar-ro-to-do-point)
	(speedbar-object-read-only-indicator): New variables.

	(speedbar-visiting-tag-hook, speedbar-before-visiting-file-hook):
	New hooks.

	(speedbar-separator-face): New face.

	(speedbar-supported-extension-expressions): Add `.g' and `.ma?k'.
	(speedbar-ignored-modes): Add fundamental-mode.
	(speedbar-directory-unshown-regexp): Add . directories.

	(speedbar-key-map): Remove old SPC and DEL page up/down keys.
	(speedbar-file-key-map): Add SPC to toggle node expansion, `[' and
	`]' for full expand/close.
	(speedbar-buffers-key-map): Add SPC to toggle node expansion.

	(speedbar-check-vc): Support hidden files.
	(speedbar-vc-check-dir-p): Use vc-state if available for CVS.
	(speedbar-this-file-in-vc): Use vc-state if available.  If VC
	state is nil, it is not checked out.

	(speedbar-line-text, speedbar-line-token): Support expand buttons
	with no text.
	(speedbar-refresh): Universal argument acts as power-click.
	(speedbar-fetch-dynamic-tags): If a buffer is in Emacs, switch to
	that buffer to get variable values.

	And many other bugfixes.

	* dframe.el, ezimage.el, sb-image.el: New files.

	* sb-*.xpm: Remove files.  New image files installed into
	etc/images/ezimage.

2005-09-30  Kenichi Handa  <handa@m17n.org>

	* ps-mule.el (ps-mule-show-warning): If a character is in
	ps-print-translation-table, don't treat it as non-printable.

2005-09-30  David Ponce  <david@dponce.com>

	* tree-widget.el (tree-widget-themes-load-path): New variable.
	(tree-widget-themes-directory): Doc fix.
	(tree-widget-image-formats) [Emacs]: Doc fix.
	(tree-widget--locate-sub-directory): New function.
	(tree-widget-themes-directory): Use it.

	* recentf.el (recentf-filename-handlers): Rename from
	`recentf-filename-handler'.  Allow a list of functions.
	(recentf-menu-items-for-commands): Fix :help strings.
	(recentf-apply-filename-handlers): New function.
	(recentf-expand-file-name): Use it.
	(recentf-cleanup): Remove duplicates too.

2005-09-29  Juri Linkov  <juri@jurta.org>

	* faces.el: Rearrange face definitions to be in the same order as
	their face descriptions in "(emacs)Standard Faces".

	* isearch.el (isearch, lazy-highlight): Add group `basic-faces'.

	* tooltip.el (tooltip): Add group `basic-faces'.

	* buff-menu.el (Buffer-menu-buffer): Remove group
	`font-lock-highlighting-faces'.

	* progmodes/compile.el (compilation-error, compilation-warning)
	(compilation-info, compilation-line-number, compilation-column-number):
	Change group from `font-lock-highlighting-faces' to `compilation'.

	* progmodes/vhdl-mode.el (vhdl-font-lock-prompt-face)
	(vhdl-font-lock-attribute-face, vhdl-font-lock-enumvalue-face)
	(vhdl-font-lock-function-face, vhdl-font-lock-directive-face)
	(vhdl-font-lock-reserved-words-face)
	(vhdl-font-lock-translate-off-face, syntax-alist): Remove group
	`font-lock-highlighting-faces'.

	* cus-edit.el (custom-buffer-sort-alphabetically): Default to nil.

2005-09-28  Kim F. Storm  <storm@cua.dk>

	* emulation/cua-base.el: Set CUA move property on additional commands:
	up-list, down-list, backward-up-list, end-of-defun beginning-of-defun,
	forward-sexp, backward-sexp, forward-list, backward-list.

2005-09-28  Romain Francoise  <romain@orebokech.com>

	* comint.el (comint-show-output): Really set point at the
	beginning of the output when not using `comint-use-prompt-regexp'.

2005-09-27  Jay Belanger  <belanger@truman.edu>

	* calc/calc-lang.el (math-oper-table): Raise the precedence of "/"
	in TeX mode.

2005-09-26  Juanma Barranquero  <lekktu@gmail.com>

	* textmodes/org.el (org-table-sum): Fix format string.

	* textmodes/tex-mode.el (tex-insert-quote, latex-indent):
	Quote face names.

2005-09-26  Romain Francoise  <romain@orebokech.com>

	* isearch.el (isearch-forward-regexp): Close doc string.

2005-09-25  Richard M. Stallman  <rms@gnu.org>

	* simple.el (blink-matching-open): Don't no-op when point is BEGV+1.

	* isearch.el (isearch-forward, isearch-forward-regexp): Doc fixes.

	* progmodes/compile.el (compilation-error-properties):
	When getting the file from the previous error message,
	correctly decode the new data format.

	* progmodes/cc-cmds.el (c-electric-paren):
	Call old-blink-paren only for close-paren.

2005-09-24  Andreas Schwab  <schwab@suse.de>

	* term/rxvt.el (rxvt-register-default-colors): Delete redundant
	condition.

2005-09-25  Romain Francoise  <romain@orebokech.com>

	* dired-aux.el (dired-copy-file-recursive):
	* dired.el (dired-delete-file):
	* ediff-mult.el (ediff-dir-diff-copy-file):
	* ediff-util.el (ediff-test-save-region):
	* forms.el (forms-mode):
	* ido.el (ido-file-internal, ido-delete-file-at-head):
	* log-edit.el (log-edit-done):
	* ses.el (ses-yank-resize):
	* play/gomoku.el (gomoku-human-plays, gomoku)
	(gomoku-human-resigns, gomoku-prompt-for-other-game)
	(gomoku-offer-a-draw):
	* play/landmark.el (lm-human-resigns, lm):
	* net/eudcb-ldap.el (eudc-ldap-check-base):
	* play/mpuz.el (mpuz-offer-abort, mpuz-try-letter, mpuz-close-game):
	* progmodes/ebrowse.el (ebrowse-find-pattern):
	* progmodes/idlw-shell.el (idlwave-shell-set-bp-check):
	* textmodes/reftex-index.el (reftex-index-initialize-phrases-buffer):
	End `yes-or-no-p' and `y-or-n-p' prompts with question mark and space.

	* vc.el (vc-delete-file):
	* play/gomoku.el (gomoku-terminate-game, gomoku)
	(gomoku-prompt-for-move, gomoku-human-takes-back):
	* play/landmark.el (lm-human-takes-back, lm-prompt-for-move)
	(lm-start-robot, lm-human-plays): Remove extraneous spaces in messages.

2005-09-24  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/rxvt.el (rxvt-register-default-colors): Add support for 255
	color rxvt terminals by using the code xterm.el used to use before
	2005-04-09 in order to match the colors used by rxvt.

2005-09-24  Emanuele Giaquinta <emanuele.giaquinta@gmail.com>  (tiny change)

	* term/rxvt.el (rxvt-register-default-colors): Add support for 88
	colors rxvt-unicode terminals by using the same code as xterm.el.

2005-09-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/tex-mode.el (tex-font-lock-append-prop)
	(tex-font-lock-suscript, tex-insert-quote, latex-indent): Adjust to the
	new symbol used for the tex-verbatim face.

2005-09-24  Emilio C. Lopes  <eclig@gmx.net>

	* woman.el (woman-file-name):
	* wid-edit.el (widget-file-prompt-value)
	(widget-coding-system-prompt-value):
	* w32-fns.el (set-w32-system-coding-system):
	* vc.el (vc-version-diff, vc-annotate):
	* textmodes/reftex-auc.el (reftex-arg-cite)
	(reftex-arg-index-tag):
	* textmodes/refer.el (refer-get-bib-files):
	* textmodes/artist.el (artist-figlet-choose-font):
	* terminal.el (terminal-emulator):
	* replace.el (occur-read-primary-args):
	* rect.el (string-rectangle, string-insert-rectangle):
	* ps-print.el (ps-print-preprint):
	* progmodes/pascal.el (pascal-goto-defun):
	* progmodes/etags.el (visit-tags-table, visit-tags-table-buffer):
	* progmodes/compile.el (compilation-find-file):
	* printing.el (pr-interactive-n-up):
	* play/animate.el (animate-birthday-present):
	* net/rcompile.el (remote-compile):
	* man.el (man, Man-goto-section, Man-follow-manual-reference):
	* mail/rmailsum.el (rmail-summary-search-backward)
	(rmail-summary-search):
	* mail/rmailout.el (rmail-output-read-rmail-file-name)
	(rmail-output-read-file-name):
	* mail/rmail.el (rmail-search, rmail-search-backwards):
	* mail/mailabbrev.el (merge-mail-abbrevs, rebuild-mail-abbrevs):
	* locate.el (locate):
	* international/quail.el (quail-show-keyboard-layout):
	* international/mule.el (set-buffer-file-coding-system)
	(revert-buffer-with-coding-system, set-file-name-coding-system)
	(set-terminal-coding-system, set-keyboard-coding-system)
	(set-next-selection-coding-system):
	* international/mule-diag.el (describe-coding-system)
	(describe-font, describe-fontset):
	* international/mule-cmds.el (universal-coding-system-argument)
	(search-unencodable-char, describe-input-method)
	(set-language-environment, describe-language-environment):
	* international/codepage.el (codepage-setup):
	* international/code-pages.el (codepage-setup):
	* info.el (Info-search, Info-follow-reference)
	(Info-search-backward):
	* emacs-lisp/advice.el (ad-read-advised-function)
	(ad-read-advice-class, ad-clear-cache, ad-activate)
	(ad-deactivate, ad-update, ad-unadvise, ad-read-advice-name)
	(ad-enable-advice, ad-disable-advice, ad-remove-advice)
	(ad-read-regexp):
	* ediff-util.el (ediff-toggle-regexp-match):
	* ediff-ptch.el (ediff-prompt-for-patch-file):
	* dired-aux.el (dired-diff):
	* diff.el (diff):
	* cus-edit.el (custom-variable-prompt):
	* calendar/timeclock.el (timeclock-ask-for-project):
	* calc/calcalg3.el (calc-get-fit-variables):
	* calc/calc-store.el (calc-edit-variable)
	(calc-permanent-variable):
	* vc-mcvs.el (vc-mcvs-register):
	* shadowfile.el (shadow-define-literal-group):
	* woman.el (woman-file-name):
	* vc.el (vc-version-diff, vc-merge):
	* textmodes/reftex-index.el (reftex-index-complete-tag):
	* format.el (format-decode-buffer, format-decode-region):
	* emulation/viper-cmd.el (viper-read-string-with-history):
	* emacs-lisp/debug.el (cancel-debug-on-entry):
	* emacs-lisp/checkdoc.el (checkdoc-this-string-valid-engine):
	* ediff.el (ediff-merge-revisions)
	(ediff-merge-revisions-with-ancestor, ediff-revision):
	* completion.el (interactive-completion-string-reader):
	* calc/calc-prog.el (calc-user-define-formula):
	Follow convention for reading with the minibuffer.

2005-09-24  Steven Huwig  <steven_h@acm.org>  (tiny change)

	* progmodes/python.el (python-describe-symbol): Add globals() and
	locals() to the arguments of emacs.ehelp.

2005-09-24  Magnus Henoch  <mange@freemail.hu>

	* textmodes/ispell.el (ispell-maybe-find-aspell-dictionaries):
	New function, code extracted from ispell-valid-dictionary-list.
	(ispell-valid-dictionary-list, ispell-accept-buffer-local-defs):
	Call it.

2005-09-24  Eli Zaretskii  <eliz@gnu.org>

	* subr.el (version-regexp-alist): Extend valid syntax for version
	strings: allow any of the characters -,_,+ to separate the
	alpha/beta/rc part from the version part.  Doc fix.
	(version-to-list): Doc fix.  Bind case-fold-search to t, as advertised.

2005-09-23  David Reitter  <david.reitter@gmail.com>

	* mail/mailclient.el: New file.

2005-09-23  Richard M. Stallman  <rms@gnu.org>

	* textmodes/flyspell.el (flyspell-highlight-incorrect-region)
	(flyspell-incorrect-hook, flyspell-highlight-duplicate-region):
	Doc fixes.

	* progmodes/cc-mode.el (c-font-lock-init):
	Specify font-lock-lines-before.

2005-09-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* smerge-mode.el (smerge-remove-props): Cause re-highlighting of the
	whole conflict.

2005-09-23  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-mode-map, orgtbl-mode-map):
	Move keybindings with `C-c C-h' prefix to `C-c C-x' prefix.  Make use
	of `remap' feature when available.  Additional key bindings for
	better tty support.
	(org-mode-restart, org-force-self-insert): New commands.
	(org-time-stamp-inactive): New command.
	(org-remap): New function.
	(org-table-auto-blank-field, org-level-color-stars-only): New options.
	(org-enable-fixed-width-editor): Move to `org-structure'
	customization group.
	(org-self-insert-command, orgtbl-self-insert-command): Modify to
	blank field after field motion commands.

2005-09-23  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (set-language-environment):
	Don't check utf-translate-cjk-lang-env is nil or not on deciding if we
	have to call utf-translate-cjk-load-tables.

2005-09-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mouse.el (mouse-move-drag-overlay): Fix last change.

2005-09-22  David Ponce  <david@dponce.com>

	* tree-widget.el (tree-widget-value-create): Fix previous change.

2005-09-21  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/xterm.el (terminal-init-xterm): Fix loading rxvt at run time.

2005-09-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mouse.el (mouse-move-drag-overlay): New function.
	(mouse-drag-region-1): Use it.
	Try to simplify a bit the state handling.  Handle clicks on links
	inside intangible areas.
	(mouse-save-then-kill): Minor simplification.
	(mouse-secondary-overlay): Make it always non-nil instead of
	recreating it each time.
	(mouse-start-secondary, mouse-set-secondary, mouse-drag-secondary)
	(mouse-kill-secondary, mouse-secondary-save-then-kill):
	Simplify accordingly.

2005-09-21  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/rxvt.el (rxvt-standard-colors): Fix some colors.

2005-09-20  Michael Kifer  <kifer@cs.stonybrook.edu>

	* ediff-ptch.el (ediff-prompt-for-patch-file): More intuitive prompt.
	(ediff-file-name-sans-prefix): Treat nil as an empty string.
	(ediff-fixup-patch-map): Better heuristic for intuiting the file names
	to patch.

	* ediff-util.el: Use insert-buffer-substring.

	* ediff-vers.el (cvs-run-ediff-on-file-descriptor): Bug fix.

	* emulation/viper-cmd.el (viper-change-state): Don't move over the
	field boundaries in the minibuffer.
	(viper-set-minibuffer-style): Add viper-minibuffer-post-command-hook.
	(viper-minibuffer-post-command-hook): New hook.
	(viper-line): Don't move cursor at bolp.

	* emulation/viper-ex.el (ex-pwd, viper-info-on-file): Fix message.

	* emulation/viper-init.el: Add alias to make-variable-buffer-local to
	avoid compiler warnings.

	* emulation/viper-macs.el (ex-map): Better messages.

	* emulation/viper-utils.el (viper-beginning-of-field): New function.

	* emulation/viper.el: Replace make-variable-buffer-local with
	viper-make-variable-buffer-local everywhere, to avoid warnings.

2005-09-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mouse.el (mouse-drag-mode-line-1, mouse-drag-vertical-line):
	Delete unused var `old-selected-window'.
	(mouse-drag-region-1): Delete unused vars `start-frame', `end-of-range'.
	(mouse-drag-secondary): Delete unused var `start-frame'.

2005-09-19  Emanuele Giaquinta  <emanuele.giaquinta@gmail.com>  (tiny change)

	* term/rxvt.el (terminal-init-rxvt): Add entry for [end].

2005-09-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* calendar/calendar.el (mark-visible-calendar-date): Save excursion.
	Re-indent within 80 columns.  Use inhibit-read-only.

2005-09-19  Romain Francoise  <romain@orebokech.com>

	* calendar/diary-lib.el (mark-diary-entries): Revert last change.

2005-09-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* font-lock.el (font-lock-default-fontify-region): Don't add a line
	unconditionally, since the after-change-function already did it.

2005-09-19  Miles Bader  <miles@gnu.org>

	* net/newsticker.el: Get rid of CVS keyword.

2005-09-19  Johan Bockg,Ae(Brd  <bojohan+sf@dd.chalmers.se>

	* dired-aux.el (dired-handle-overwrite): Don't use `format' here.
	The prompt is formatted later.

2005-09-19  David Ponce  <david@dponce.com>

	* tree-widget.el (tree-widget-value-create): Save the converted
	tree :node widget.

2005-09-19  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/sh-script.el (sh-blink): Fix spurious reference to
	variable `message'.

2005-09-18  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-login-prompt-regexp): Expand regexp in order
	to cover prompts like "login as:".  Reported by Slawomir Nowaczyk
	<slawomir.nowaczyk.847@student.lu.se>.

2005-09-18  Chong Yidong  <cyd@stupidchicken.com>

	* image.el (image-load-path): Use symbol `data-directory' instead
	of its value, for backward compatibility with packages that bind
	it during `find-image'.  Suggested by Katsumi Yamaoka.
	(image-search-load-path): Handle symbols whose values are strings.

2005-09-18  Romain Francoise  <romain@orebokech.com>

	* calendar/diary-lib.el (mark-diary-entries): Rearrange to wrap
	with-current-buffer form in save-excursion.

2005-09-18  D Goel  <deego@gnufans.org>

	* apropos.el (apropos-command): Fix `message' call: first arg
	should be a format spec.  In this and all other cases that appear
	below and elsewhere in the source code, I made a change only when
	two conditions were satisfied: [1] I can think of a possibility
	that the arguments would cause an error, for example, the code in
	question relies on external variables such as filenames.  [2] I
	was sure that the arg to `message' could not have been nil in the code.

	* textmodes/tildify.el (tildify-region): Ditto.

	* textmodes/reftex-index.el (reftex-index-change-entry)
	(reftex-index-phrase-selection-or-word, reftex-query-index-phrase):
	* textmodes/reftex-dcr.el (reftex-echo-ref, reftex-echo-cite):
	* textmodes/org.el (org-complete, org-deadline, org-schedule)
	(org-priority, org-table-sum):
	* textmodes/ispell.el (ispell-check-version, ispell-parse-output):
	* textmodes/flyspell.el (flyspell-mode-on, flyspell-notify-misspell)
	(flyspell-word, flyspell-display-next-corrections):
	* textmodes/bibtex.el (bibtex-print-help-message):
	* textmodes/artist.el (artist-key-set-point-poly):
	* term/mac-win.el (mac-services-insert-text):
	* progmodes/vhdl-mode.el (vhdl-warning, vhdl-print-warnings)
	(vhdl-hooked-abbrev, vhdl-template-insert-fun)
	(vhdl-port-paste-testbench, vhdl-compose-new-component)
	(vhdl-compose-configuration):
	* progmodes/sh-script.el (sh-blink, sh-show-indent)
	(sh-set-indent, sh-learn-line-indent):
	* progmodes/ps-mode.el (ps-mode-target-column):
	* progmodes/idlwave.el (idlwave-make-tags)
	(idlwave-scan-library-catalogs):
	* progmodes/idlw-shell.el (idlwave-shell-parse-stack-and-display):
	* progmodes/gud.el (gud-jdb-analyze-source):
	* progmodes/flymake.el (flymake-log):
	* progmodes/ebnf2ps.el (ebnf-generate-region):
	* progmodes/cmacexp.el (c-macro-expansion):
	* progmodes/ada-xref.el (ada-treat-cmd-string):
	* progmodes/ada-mode.el (ada-create-case-exception-substring)
	(ada-justified-indent-current, ada-batch-reformat):
	* play/zone.el (zone):
	* play/landmark.el (lm-move):
	* play/decipher.el (decipher-show-alphabet):
	* net/newsticker.el (newsticker--display-jump)
	(newsticker--display-scroll):
	* mail/rmail-spam-filter.el (rsf-add-subject-to-spam-list)
	(rsf-add-sender-to-spam-list, rsf-add-region-to-spam-list):
	* mail/feedmail.el (feedmail-dump-message-to-queue):
	* eshell/esh-proc.el (eshell-remove-process-entry):
	* emulation/ws-mode.el (ws-last-error):
	* emulation/viper-macs.el (ex-map-read-args, ex-unmap-read-args)
	(viper-record-kbd-macro):
	* emulation/viper-ex.el (ex-pwd, viper-info-on-file):
	* emacs-lisp/lisp-mnt.el (lm-report-bug):
	* emacs-lisp/find-func.el (find-function-noselect):
	* calendar/timeclock.el (timeclock-status-string)
	(timeclock-workday-remaining-string, timeclock-workday-elapsed-string)
	(timeclock-when-to-leave-string):
	* calendar/icalendar.el (icalendar--convert-ical-to-diary):
	* calc/calc-units.el (calc-enter-units-table):
	* calc/calc-mode.el (calc-mode-record-mode):
	* woman.el (woman-mini-help):
	* wdired.el (wdired-change-to-wdired-mode):
	* vc.el (vc-retrieve-snapshot):
	* strokes.el (strokes-read-stroke, strokes-read-complex-stroke):
	* startup.el (display-startup-echo-area-message):
	* simple.el (set-goal-column):
	* ses.el (ses-command-hook, ses-recalculate-cell):
	* server.el (server-process-filter):
	* printing.el (pr-interface-txt-print, pr-interface-printify)
	(pr-interface-ps):
	* pcvs.el (cvs-help):
	* log-edit.el (log-edit, log-edit-mode-help):
	* iswitchb.el (iswitchb-possible-new-buffer):
	* isearch.el (isearch-edit-string):
	* image-mode.el (image-mode, image-minor-mode):
	* ibuf-macs.el (define-ibuffer-filter):
	* hi-lock.el (hi-lock-find-patterns):
	* files.el (toggle-read-only):
	* ediff-util.el (ediff-copy-diff)
	(ediff-write-merge-buffer-and-maybe-kill):
	* echistory.el (Electric-history-undefined):
	* dnd.el (dnd-insert-text):
	* dired-aux.el (dired-query):
	* desktop.el (desktop-restore-file-buffer, desktop-lazy-create-buffer):
	* bookmark.el (bookmark-bmenu-locate):
	* obsolete/fast-lock.el (@top-level) <with-temp-message macro>:
	Fix `message' calls to ensure first arg is a format string.
	The change was made only when these two conditions were satisfied:
	[1] when there is a possibility that the arguments would cause an error
	for example, if the code in question relies on external variables
	such as filenames, and
	[2] if the arg to `message' could not have been nil in the code.

	* pcomplete.el (pcomplete--help): Fix `message' format spec.
	Not having a %s would be weird, though not technically wrong.

2005-09-18  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-add-charset-info): Doc fix.

2005-09-17  Romain Francoise  <romain@orebokech.com>

	* shell.el (shell-resync-dirs): Handle echoing processes more
	reliably.  Don't insert resync command if `comint-process-echoes'
	is non-nil.

2005-09-17  Magnus Henoch  <mange@freemail.hu>

	* textmodes/ispell.el (ispell-aspell-supports-utf8): New variable.
	(ispell-check-version): Set ispell-aspell-supports-utf8 to t for
	aspell versions >= 0.60.
	(ispell-valid-dictionary-list): Call ispell-find-aspell-dictionaries
	only if ispell-aspell-supports-utf8 is non-nil.

2005-09-17  Johan Bockg,Ae(Brd  <bojohan@dd.chalmers.se>

	* progmodes/scheme.el (scheme-mode-variables): Use setq to assign
	buffer-local value to lisp-indent-function.

2005-09-17  Milan Zamazal  <pdm@zamazal.org>

	* progmodes/glasses.el (glasses-make-readable): If
	glasses-separator differs from underscore, put appropriate
	overlays over underscore characters.
	(glasses-convert-to-unreadable): If glasses-separator differs from
	underscore, try to convert glasses-separator characters to
	underscores.

2005-09-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* calendar/diary-lib.el (mark-diary-entries): Don't move point.
	Use with-syntax-table and dolist.

2005-09-16  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/reftex-auc.el:
	* textmodes/reftex-cite.el:
	* textmodes/reftex-dcr.el:
	* textmodes/reftex-global.el:
	* textmodes/reftex-parse.el:
	* textmodes/reftex-ref.el:
	* textmodes/reftex-sel.el:
	* textmodes/reftex-toc.el:
	* textmodes/reftex-vars.el:
	* textmodes/reftex.el: Small changes to remove compiler warnings.

	* textmodes/reftex-index.el: Likewise.
	(reftex-query-index-phrase): More efficient use of markers.

2005-09-15  Chong Yidong  <cyd@stupidchicken.com>

	* image.el (image-load-path): New variable.
	(image-search-load-path): New function.
	(find-image): Search for images in `image-load-path'.

2005-09-15  Richard M. Stallman  <rms@gnu.org>

	* follow.el: Change Maintainer field.

2005-09-15  David Ponce  <david@dponce.com>

	* recentf.el (recentf-save-file-modes): New option.
	(recentf-save-list): Use it.

2005-09-15  Nick Roberts  <nickrob@snap.net.nz>

	* bindings.el (mode-line-eol-desc, mode-line-coding-system-map)
	(mode-line-mule-info, mode-line-modified): Move bindings from
	mouse-3 to mouse-1.

2005-09-15  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (sendmail-user-agent-compose): Revert last change.

2005-09-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* net/ange-ftp.el (ange-ftp-process-filter): Revert to ^#+$.
	Use with-current-buffer.
	(ange-ftp-gwp-start): Remove unused var `gw-user'.
	(ange-ftp-guess-hash-mark-size): Remove unused var `result'.
	(ange-ftp-insert-directory): Remove unused var `short'.
	(ange-ftp-file-name-sans-versions): Remove unused var `host-type'.

	* pcvs-defs.el (cvs-version): Recognize CVSNT version string.
	(cvs-execute-single-dir): Change default: cvs-1.9 is ancient.

	* calendar/cal-menu.el: Don't require easymenu, since we don't use it.
	(check-calendar-holidays, diary-list-entries): Autoload.
	Otherwise `emacs -q' followed by "mouse-2 -> diary entries" burps.
	(calendar-mouse-holidays, calendar-mouse-view-diary-entries): Simplify.

	* calendar/diary-lib.el (diary-show-all-entries): Fix last change,
	which mistakenly removed a call to display-buffer.

2005-09-14  Juanma Barranquero  <lekktu@gmail.com>

	* obsolete/iso-insert.el: Move to obsolete/ from international/.

2005-09-14  Thien-Thi Nguyen  <ttn@gnu.org>

	* progmodes/hideshow.el
	(hs-hide-comments-when-hiding-all): Remove autoload cookie.
	(hs-allow-nesting): New user var.
	(hs-discard-overlays): Skip "internal" overlays if nesting allowed.
	(hs-hide-block-at-point): When nesting allowed,
	if there is already an overlay in place, delete it.
	(hs-safety-is-job-n): Delete func; remove call sites.
	(hs-hide-level-recursive): Don't pre-clean if nesting allowed.
	(hs-overlay-at): New func.
	(hs-already-hidden-p, hs-show-block): Use it.
	(hs-hide-all): Don't pre-clean if nesting allowed.
	(hs-show-all): Temporarily disallow
	nesting around call to `hs-discard-overlays'.

2005-09-14  Chong Yidong  <cyd@stupidchicken.com>

	* mouse.el (mouse-major-mode-menu): Make `prefix' optional.
	Delete unused local var.

2005-09-13  Juanma Barranquero  <lekktu@gmail.com>

	* help-fns.el (describe-categories): "?\ " -> "?\s".
	(help-do-arg-highlight): Recognize also ARG-n, as in
	`move-to-left-margin' (ARG+n is already recognized).  Simplify.

	* international/codepage.el (dos-unsupported-char-glyph):
	* net/newsticker.el (tool-bar-map, w3-mode-map)
	(w3m-minor-mode-map):
	* progmodes/vhdl-mode.el (conf-alist, conf-entry, conf-key)
	(ent-alist):
	* textmodes/reftex-vars.el (reftex-tables-dirty): Add defvars.

2005-09-13  Chong Yidong  <cyd@stupidchicken.com>

	* custom.el (custom-push-theme): Handle the case where a symbol is
	bound but face properties have not yet been assigned.

	* mail/sendmail.el (mail): Use new buffer if `noerase' is `new'.
	Fix behavior if noerase is `t' and there is no mail buffer.

	* simple.el (sendmail-user-agent-compose): Use a new mail buffer
	if `continue' is nil, rather than signal an error.

2005-09-12  Richard M. Stallman  <rms@gnu.org>

	* font-lock.el (font-lock-keywords): Add autoload.

	* help-fns.el (describe-variable): Rearrange to put source link
	in a predictable place.

	* net/newsticker.el: New file.

2005-09-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* calendar/calendar.el (calendar-for-loop): Add edebug info.
	(calendar-basic-setup): Use the new nil arg.
	(number-of-diary-entries): Move to diary-lib.el.

	* calendar/diary-lib.el: Use with-current-buffer, match-string.
	(diary-list-entries): Use with-syntax-table and dolist.
	Rename from list-diary-entries.
	Use number-of-diary-entries if `number' is nil.
	(diary, diary-view-entries): Use this new name and new nil arg value.
	(number-of-diary-entries): Move from calendar.el.
	(diary-unhide-everything): New function.
	(include-other-diary-files, fancy-diary-display)
	(diary-show-all-entries, make-diary-entry): Use it.
	(diary-mail-entries): Use buffer-string.
	(mark-diary-entries): Fix long standing paren typo.
	(diary-sexp-entry): Use count-lines.
	(make-diary-entry): Avoid `previous-line'.
	(diary-mode-map): New var.
	(diary-mode): Redraw cal after saving.  Setup header-line.
	(fancy-diary-display-mode): Use local-set-key.

	* startup.el (command-line): Try calling various terminal-init-foo-bar
	functions by stripping hyphenated suffixes from $TERM.

	* files.el (normal-mode): Check boundness of font-lock-keywords.

2005-09-12  Richard M. Stallman  <rms@gnu.org>

	* progmodes/compile.el: Don't decide a file's directory
	until the user actually tries to go there.
	(compilation-next-error-function):
	Pass compilation-find-file the directory from the file-struct.
	(compilation-internal-error-properties): Separate local FILE-STRUCT
	from FILE.  Doc the args better.  Rename arg FMT to FMTS.
	(compilation-find-file): Arg DIR renamed to DIRECTORY.
	Expand it, and if nil, use default-directory.
	(compilation-get-file-structure): Don't mix specified directory
	with default directory.  Put specified directory into
	file-struct.  Don't make the file name absolute.

	* progmodes/compile.el (compilation-error-regexp-alist): Doc fix.
	(compile-command): Add autoload.
	(compilation-disable-input): Add autoload.

2005-09-11  Stephen Gildea  <gildea@stop.mail-abuse.org>

	* time-stamp.el: Mention variable `time-stamp-pattern' in doc
	strings of the variables it can override.
	(time-stamp): New (as yet undocumented) time-stamp-format escapes
	%Q and %q, for fully-qualified domain name and unqualified host name.

2005-09-11  Kim F. Storm  <storm@cua.dk>

	* emacs-lisp/authors.el (authors-aliases): Update list.
	(authors-fixed-entries): Update mldrag.el entry.

2005-09-10  Alan Mackenzie  <acm@muc.de>

	* page.el (narrow-to-page): Exclude _entire_ multi-line delimiter
	from the region narrowed to.

2005-09-10  Magnus Henoch  <mange@freemail.hu>

	* textmodes/ispell.el (ispell-check-version): Signal an error if
	aspell version is less than 0.60.

2005-09-10  Pascal Dupuis  <Pascal.Dupuis@esat.kuleuven.be>  (tiny change)

	* progmodes/octave-inf.el (inferior-octave-startup):
	Resync current dir at the end.

2005-09-10  Emilio C. Lopes  <eclig@gmx.net>

	* woman.el (woman-topic-at-point-default):
	Rename to woman-use-topic-at-point-default.
	(woman-topic-at-point): Rename to woman-use-topic-at-point.
	(woman-file-name): Reflect renames above.  Automatically use the
	word at point as topic if woman-use-topic-at-point is non-nil.
	Otherwise offer it as default but don't insert it in the
	minibuffer.  Also use `test-completion' instead of `assoc' as
	suggested by Stefan Monnier.

2005-09-10  Andre Spiegel  <spiegel@gnu.org>

	* vc.el (vc-directory, vc-update-change-log): Throw an error on
	the attempt to do it over Tramp.  This is not yet supported.

2005-09-10  Eli Zaretskii  <eliz@gnu.org>

	* menu-bar.el (menu-bar-menu-frame-live-and-visible-p)
	(menu-bar-non-minibuffer-window-p): New functions.
	("Split Window", "Save As..."): Use them.
	("Postscript Print Buffer (B+W)", "Postscript Print Buffer")
	("Print Buffer", "Truncate Long Lines in this Buffer"):
	Use menu-bar-menu-frame-live-and-visible-p.
	("Save Buffer", "Insert File", "Open Directory...")
	("Open File...", "Visit New File..."):
	Use menu-bar-non-minibuffer-window-p.
	(kill-this-buffer-enabled-p, dired <menu-enable>):
	Use menu-bar-non-minibuffer-window-p.

2005-09-09  Eli Zaretskii  <eliz@gnu.org>

	* cus-start.el (all): Don't complain about fringe-related
	built-ins if fringes are not supported.  Ditto about
	selection-related built-ins.  Fix the test for GTK-related built-ins.

	* menu-bar.el ("Split Window", "Postscript Print Buffer (B+W)")
	("Postscript Print Buffer", "Print Region", "Save As...")
	("Save", "Insert File...", "Open Directory...")
	("Open File...", "Visit New File..."")
	("Truncate Long Lines in this Buffer"): Don't look at
	menu-updating-frame if this display does not support multiple frames.

2005-09-09  Frederik Fouvry  <fouvry@CoLi.Uni-SB.DE>

	* mail/sendmail.el (default-sendmail-coding-system): Doc fix.

2005-09-09  Emilio Lopes  <eclig@gmx.net>

	* woman.el: Format- and whitespace-related changes.

2005-09-09  Eli Zaretskii  <eliz@gnu.org>

	* woman.el: Fix my email address.

2005-09-08  Richard M. Stallman  <rms@gnu.org>

	* progmodes/sh-script.el (sh-skeleton-pair-default-alist): New var.
	(sh-mode): Locally set skeleton-pair-default-alist.

	* progmodes/make-mode.el (makefile-add-log-defun): Trim the result.

	* progmodes/flymake.el: Require `compile' unconditionally.

	* mail/sendmail.el (send-mail-function): Add Mailclient alternative.

	* woman.el (woman-file-name): Provide a default, not initial input.

	* smerge-mode.el (smerge-resolve): Pass args to smerge-remove-props.

	* font-lock.el (font-lock-support-mode): Doc fix.

	* descr-text.el (describe-property-list): Handle non-symbol prop names.

2005-09-08  Richard M. Stallman  <rms@gnu.org>

	* simple.el (blink-matching-open): Get rid of text props from
	the string shown in echo area.  Don't permanently set point.
	Some rearrangements.

2005-09-08  Reiner Steib  <Reiner.Steib@gmx.de>

	* recentf.el (recentf-filename-handler): Add custom choice
	`abbreviate-file-name'.

	* msb.el (msb--very-many-menus): Fix typo.

	* disp-table.el (standard-display-european): Don't set
	enable-multibyte-characters to nil.

2005-09-08  David Ponce  <david@dponce.com>

	* recentf.el (recentf-show-file-shortcuts-flag): New option.
	(recentf-expand-file-name): Doc fix.
	(recentf-dialog-mode-map): Define digit shortcuts.
	(recentf--files-with-key): New variable.
	(recentf-show-digit-shortcut-filter): New function.
	(recentf-open-files-items): New function.
	(recentf-open-files): Use it.
	(recentf-open-file-with-key): New command.

2005-09-08  Chong Yidong  <cyd@stupidchicken.com>

	* buff-menu.el (Buffer-menu-sort-by-column): New function.
	Suggested by Kim F. Storm.
	(Buffer-menu-sort-button-map): Global keymap for sort buttons.
	(Buffer-menu-make-sort-button): Use global keymap.

2005-09-07  Michael Albinus  <michael.albinus@gmx.de>

	* woman.el (top): Remap `man' command by `woman' in `woman-mode-map'.
	(Man-getpage-in-background-advice): Remove defadvice; it isn't
	necessary any longer with the remapped command.
	(Man-bgproc-sentinel-advice): Remove defadvice which counts
	formatting time only.

	* net/tramp.el (tramp-action-password)
	(tramp-multi-action-password): Compile the password prompt from
	`method', `user' and `host'.  Sometimes it isn't obvious which
	password to enter, for example with remote files offered by
	recentf.el, or with multiple steps.  Suggested by Robert Marshall
	<robert@chezmarshall.freeserve.co.uk>.

2005-09-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/perl-mode.el (perl-font-lock-syntactic-keywords):
	Fix regexp for when "s///" is at the beginning of line.

2005-09-07  Jay Belanger  <belanger@truman.edu>

	* calc/calc-poly.el (math-expand-term): Multiply out any powers
	when in matrix mode.

2005-09-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* buff-menu.el (Buffer-menu-make-sort-button): Add docstrings, use
	non-anonymous functions.

2005-09-06  Chong Yidong  <cyd@stupidchicken.com>

	* buff-menu.el (Buffer-menu-make-sort-button): Allow mouse-1 clicks
	when using a header line.  Otherwise, use mouse-1-click-follows-link.

	* mouse.el (mouse-drag-header-line): Do nothing if the header-line
	can't be moved; don't signal an error.

2005-09-05  Chong Yidong  <cyd@stupidchicken.com>

	* cus-theme.el (custom-theme-write-faces): Save the current face
	spec, not the defface spec.

	* custom.el (custom-known-themes): Clarify meaning of "standard".
	(custom-push-theme): Save old values in the standard theme.
	(disable-theme): Correct typo.
	(custom-face-theme-value) Deleted unused function.
	(custom-theme-recalc-face): Rewritten to treat enable/disable properly.

2005-09-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/compile.el (compilation-goto-locus): Take into account
	iconified frames when determining whether the buffer is
	already visible.
	Don't reset window height if the window already existed.

2005-09-04  Chong Yidong  <cyd@stupidchicken.com>

	* custom.el (load-theme): Rename from require-theme.
	Add interactive spec.
	(enable-theme): Rename from custom-enable-theme.
	Add interactive spec.
	(disable-theme): Rename from custom-disable-theme.
	Add interactive spec.
	(custom-make-theme-feature): Doc fix.
	(custom-theme-directory): Doc fix.
	(provide-theme): Call enable-theme.

2005-09-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* obsolete/lazy-lock.el (lazy-lock-mode):
	* obsolete/fast-lock.el (fast-lock-mode): Don't try to turn on
	font-lock-mode if it's off.  Print a warning instead.

	* progmodes/compile.el (compilation-start): Ignore errors if the
	process died before we get to send-eof.

	* textmodes/tex-mode.el (tex-send-tex-command, tex-bibtex-file):
	Undo last change.  Enclosing the result in quotes broke things on Unix
	since tex-send-command passes it through shell-quote-argument.
	(tex-send-command): Pass `file' through convert-standard-filename
	when possible.
	(tex-uptodate-p): Handle the case where TeX hasn't put additional
	info in a transcript.

2005-09-02  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/xterm.el (terminal-init-xterm): Add eval-when-compile to
	fix compilation warning. Reorder the key definitions to group
	together keys emitted by the current version of xterm.

	* progmodes/vhdl-mode.el (vhdl-highlight-faces)
	(vhdl-speedbar-entity-face, vhdl-speedbar-entity-selected-face):
	Reorder predicates to correct min-color usage.

2005-09-01  Chong Yidong  <cyd@stupidchicken.com>

	* longlines.el (longlines-mode): Inhibit read-only when encoding.
	Kill local variables when longlines-mode is turned off.

2005-09-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* international/mule-cmds.el (set-locale-environment): Soothe compiler.

	* obsolete/lazy-lock.el (lazy-lock) <defgroup>: Move from font-lock.el.

	* obsolete/fast-lock.el (fast-lock) <defgroup>: Move from font-lock.el.

	* font-lock.el (fast-lock, lazy-lock) <defgroup>: Remove.
	(font-lock-lines-before): Change default to being inactive.
	(font-lock-default-fontify-region): Obey font-lock-lines-before.
	(font-lock-after-change-function): Don't handle f-l-lines-before here.

2005-08-31  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-make-auto-save-file-name):
	Deactivate temporarily advice if active (not needed for Emacs 22,
	but for backwards compatibility).
	(tramp-exists-file-name-handler): Rewrite.  First implementation
	was too simple.
	(tramp-advice-make-auto-save-file-name):
	Call `tramp-handle-make-auto-save-file-name' (again, just for
	backwards compatibility).

2005-08-31  Reto Zimmermann  <reto@gnu.org>

	* progmodes/vhdl-mode.el
	(vhdl-update-sensitivity-list): Handle multi-dimensional array access.
	(vhdl-end-p): Fix indentation bug "else" after "-- when".
	(vhdl-set-default-project): New function (easier setting of default).
	(vhdl-port-copy): Handle extended identifiers for generics.
	(vhdl-compiler-alist): Better description for error message regexp.
	(vhdl-make): Query for target, use previous as default.
	(vhdl-port-copy): Fix port copy for port names starting with "signal".
	(vhdl-font-lock-keywords-2): Fix fontification for record
	el. assign.
	(vhdl-speedbar-make-subpack-line): Add package body link.
	(vhdl-generate-makefile-1): Not include itself as dependency.
	(vhdl-font-lock-init): Highlight c-preprocessor directives.
	(vhdl-*ward-syntactic-ws): Skip c-preprocessor directives.
	(vhdl-get-syntactic-context): Handle c-preprocessor directives.
	(vhdl-update-sensitivity-list): Start scan at opening parenthesis.
	(vhdl-fixup-whitespace-region): Fix jumping point (infinite loop).
	(vhdl-update-sensitivity-list-buffer): Add string argument for `error'.
	(vhdl-import-project): Add string argument for `error'.
	(vhdl-compose-configuration)
	(vhdl-compose-configuration-architecture): Add configuration
	declaration generation.
	(vhdl-scan-directory-contents): Scan for block/generate hierarchy.
	(vhdl-trailer-re): Add "record" keyword (better indentation).
	(vhdl-fixup-whitespace-region): "[^ \t\"-]+" instead of
	"[^ \t-\"]+".
	(vhdl-font-lock-keywords-2): Not highlight formal parameter after '|'.
	(vhdl-testbench-entity-file-name)
	(vhdl-testbench-architecture-file-name): Allow separate
	customization of testbench file names.
	(vhdl-beginning-of-block): Handle optional subprogram parameter list.
	(vhdl-get-visible-signals): Allow newline within alias declaration.
	(vhdl-update-sensitivity-list): Signal read only on certain attributes.
	(vhdl-fixup-whitespace-region): Fix bug with strings (double quotes).
	(member-ignore-case): Alias for missing function in XEmacs.
	(vhdl-compiler-alist): Add unit-to-file name mapping for Cadence NC.
	(vhdl-update-sensitivity-list): Ignore case on read signals.
	(vhdl-replace-string): Adjust case only for file names.
	(vhdl-update-sensitivity-list): Fix search for read signals.
	(vhdl-update-sensitivity-list): Exclude formal parameters.
	(vhdl-get-visible-signals): Include aliases of signals.
	(vhdl-get-visible-signals): Fix signal name searching.
	(vhdl-port-flatten, vhdl-port-reverse-direction): Better message.
	(vhdl-fixup-whitespace-region): Fix for character
	literals (e.g. ':').

2005-08-31  Juanma Barranquero  <lekktu@gmail.com>

	* ansi-color.el (comint-last-output-start):
	* bs.el (font-lock-verbose):
	* diff-mode.el (add-log-buffer-file-name-function):
	* dired-x.el (vm-folder-directory):
	* faces.el (help-xref-stack-item):
	* files.el (font-lock-keywords):
	* find-lisp.el (dired-buffers, dired-subdir-alist):
	* ido.el (cua-inhibit-cua-keys):
	* log-view.el (cvs-minor-wrap-function):
	* outline.el (font-lock-warning-face):
	* simple.el (compilation-current-error):
	* speedbar.el (ange-ftp-path-format, efs-path-regexp)
	(font-lock-keywords, x-pointer-hand2, x-pointer-top-left-arrow):
	* tooltip.el (comint-prompt-regexp):
	* w32-fns.el (explicit-shell-file-name):
	* term/mac-win.el (mac-charset-info-alist)
	(mac-services-selection, mac-system-script-code):
	* term/tty-colors.el (msdos-color-values):
	* term/w32-win.el (xlfd-regexp-registry-subnum):
	* term/x-win.el (x-keysym-table, x-selection-timeout)
	(x-session-id, x-session-previous-id):
	* textmodes/ispell.el (mail-yank-prefix):
	* textmodes/makeinfo.el (tex-end-of-header, tex-start-of-header):
	* textmodes/org.el (calc-embedded-close-formula)
	(calc-embedded-open-formula)
	(font-lock-unfontify-region-function):
	* textmodes/reftex-global.el (isearch-next-buffer-function)
	(TeX-master):
	* textmodes/reftex.el (font-lock-keywords):
	* textmodes/tex-mode.el (font-lock-comment-face)
	(font-lock-doc-face):
	* textmodes/texinfo.el (outline-heading-alist):
	Add defvars.

	* textmodes/artist.el (x-pointer-crosshair): Add defvar.
	(artist-spray-chars, artist-mode-init, artist-replace-string)
	(artist-select-erase-char, artist-vap-find-endpoints-horiz)
	(artist-vap-find-endpoints-vert, artist-vap-find-endpoints-swne)
	(artist-vap-find-endpoints-nwse): "?\ " -> "?\s".

	* textmodes/conf-mode.el (outline-heading-end-regexp): Add defvar.
	(conf-align-assignments): "?\ " -> "?\s".

	* textmodes/reftex-index.el (TeX-master): Add defvar.
	(reftex-index-phrases-marker): Move up defvar.

	* textmodes/reftex-toc.el (zmacs-regions): Add defvar.
	(reftex-toc-include-labels-indicator)
	(reftex-toc-include-index-indicator)
	(reftex-toc-max-level-indicator): Move up declarations.

	* net/tramp.el (tramp-handle-make-auto-save-file-name): Pass list
	of args to `tramp-run-real-handler', even if it's empty in this case.

2005-08-31  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* dired.el (dired-move-to-filename-regexp): Add date format for
	Mac OS X 10.3 in East Asian locales.

2005-08-31  Michael Albinus  <michael.albinus@gmx.de>

	* files.el (make-auto-save-file-name): Add file name handler call
	if applicable.

	* net/tramp.el (tramp-file-name-handler-alist)
	(tramp-file-name-for-operation): Add `make-auto-save-file-name'.
	(tramp-handle-make-auto-save-file-name): Rename from
	`tramp-make-auto-save-file-name'.
	(tramp-exists-file-name-handler): New defun.
	(tramp-advice-make-auto-save-file-name): Make defadvice only when
	`make-auto-save-file-name' is not a magic file name operation.

2005-08-30  Richard M. Stallman  <rms@gnu.org>

	* files.el (risky-local-variable-p):
	Match `-predicates' and `-commands.

	* cus-edit.el (custom-buffer-sort-alphabetically): Default to t.
	(custom-save-all): Visit the file if necessary;
	kill the buffer if we created it.
	(custom-save-delete): Don't visit file or kill buffer here.

2005-08-30  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-special-keyword): New face.
	(org-table-copy-down, org-table-eval-formula)
	(org-table-recalculate, org-init-section-numbers):
	Use `string-to-number' instead of `string-to-int'.
	(org-get-location): Use `insert-buffer-substring' instead of
	`insert-buffer'.
	(org-modify-diary-entry-string): New function.
	(org-get-entries-from-diary): Set the hook for `add-to-diary-list'.
	(org-disable-agenda-to-diary): Rename from `org-disable-diary'.
	(org-toggle-fixed-width-section): Use QUOTE keyword if there is no
	active region.
	(org-export-as-html): Handle QUOTE keyword.
	(org-quote-string): New option.
	(org-bookmark-jump-unhide): New function, used for
	`bookmark-after-jump-hook'.
	(org-diary-default-entry): Apply only when not called through
	`org-agenda'.

2005-08-30  Juanma Barranquero  <lekktu@gmail.com>

	* net/eudc.el (mode-popup-menu):
	* play/handwrite.el (ps-printer-name, ps-lpr-command):
	* progmodes/ada-mode.el (compile-auto-highlight)
	(skeleton-further-elements):
	* progmodes/autoconf.el (font-lock-syntactic-keywords):
	* progmodes/cmacexp.el (msdos-shells):
	* progmodes/compile.el (font-lock-extra-managed-props)
	(font-lock-keywords, font-lock-maximum-size)
	(font-lock-support-mode):
	* progmodes/grep.el (font-lock-lines-before):
	* progmodes/idlw-complete-structtag.el (idlwave-completion-help-info):
	* progmodes/mixal-mode.el (compile-command):
	* progmodes/perl-mode.el (font-lock-comment-face)
	(font-lock-doc-face, font-lock-string-face):
	* progmodes/prolog.el (comint-prompt-regexp):
	* progmodes/sh-script.el (font-lock-comment-face)
	(font-lock-set-defaults, font-lock-string-face):
	* progmodes/sql.el (font-lock-keyword-face)
	(font-lock-set-defaults, font-lock-string-face):
	* progmodes/vhdl-mode.el (compilation-file-regexp-alist)
	(itimer-version, lazy-lock-defer-contextually)
	(lazy-lock-defer-on-scrolling, lazy-lock-defer-on-the-fly):
	Add defvars.

	* progmodes/cperl-mode.el (cperl-electric-lbrace)
	(cperl-electric-keyword, cperl-electric-pod)
	(cperl-electric-backspace, cperl-forward-re)
	(cperl-fix-line-spacing, cperl-fill-paragraph): "?\ " -> "?\s".
	(vc-rcs-header, vc-sccs-header): Add defvars.

	* progmodes/fortran.el (fortran-indent-to-column): "?\ " -> "?\s".
	(font-lock-syntactic-keywords, gud-find-expr-function):
	Add defvars.

	* progmodes/gdb-ui.el (tool-bar-map): Add defvar.
	(gdb-frame-parameters): Declare before use.

	* progmodes/gud.el (gdb-active-process, gdb-define-alist)
	(gdb-macro-info, gdb-server-prefix, gdb-show-changed-values)
	(gdb-var-changed, gdb-var-list, tool-bar-map): Add defvars.
	(gud-expr-compound-sep, gud-expr-compound): "?\ " -> "?\s".

	* progmodes/idlw-help.el (browse-url-generic-args): Add defvar.
	(idlwave-help-with-source): Use `insert-buffer-substring', not
	`insert-buffer'.

2005-08-29  Juri Linkov  <juri@jurta.org>

	* outline.el (hide-entry, hide-leaves, outline-toggle-children):
	Put outline-back-to-heading function call inside save-excursion.

2005-08-29  Juanma Barranquero  <lekktu@gmail.com>

	* man.el (Man-init-defvars, Man-translate-references)
	(Man-support-local-filenames, Man-highlight-references):
	* progmodes/sql.el (sql-interactive-mode):
	* shell.el (shell-mode, shell-resync-dirs): Fix typos in docstrings.

	* emacs-lisp/checkdoc.el (compilation-error-regexp-alist)
	(compilation-mode-font-lock-keywords): Add defvars.
	(checkdoc-interactive-loop): "?\ " -> "?\s".

	* emacs-lisp/lisp-mode.el (font-lock-comment-face)
	(font-lock-doc-face, font-lock-string-face)
	(font-lock-keywords-case-fold-search): Add defvars.
	(emacs-lisp-mode-syntax-table): "?\ " -> "?\s".

	* obsolete/sun-fns.el (mouse-select-or-drag-move-point):
	Don't pass X and Y (they are ignored anyway).
	(mouse-set-mark, mouse-select-window, mouse-delete-other-windows)
	(mouse-delete-window): Make arguments optional.

	* obsolete/rnews.el (news-add-news-group): Don't use `end-of-line'.
	(caesar-translate-table, minor-modes, news-buffer-save)
	(news-group-name, news-minor-modes): Add defvars.

	* emacs-lisp/lselect.el (mouse-highlight-priority)
	(x-lost-selection-functions, zmacs-regions):
	* emacs-lisp/pp.el (font-lock-verbose):
	* emacs-lisp/syntax.el (font-lock-beginning-of-syntax-function):
	* emacs-lisp/tcover-ses.el (ses-initial-global-parameters)
	(ses-mode-map):
	* emacs-lisp/tcover-unsafep.el (safe-functions):
	* international/mule-cmds.el (mac-system-coding-system)
	(mac-system-locale):
	* language/ethio-util.el (rmail-current-message)
	(rmail-message-vector):
	* language/thai-util.el (thai-auto-composition-mode):
	* mail/metamail.el (rmail-current-message, rmail-message-vector):
	* mail/mspools.el (rmail-inbox-list, vm-crash-box)
	(vm-folder-directory, vm-init-file, vm-init-file-loaded)
	(vm-primary-inbox, vm-spool-files):
	* mail/rmail.el (deleted-head, font-lock-fontified)
	(mail-abbrev-syntax-table, mail-abbrevs, messages-head)
	(rmail-use-spam-filter, rsf-beep, rsf-sleep-after-message)
	(total-messages):
	* mail/rmail-spam-filter.el (bbdb/mail_auto_create_p)
	(rmail-summary-mode-map):
	* mail/rmailkwd.el (rmail-buffer, rmail-current-message)
	(rmail-last-label, rmail-last-multi-labels)
	(rmail-summary-vector, rmail-total-messages):
	* mail/rmailmsc.el (rmail-current-message, rmail-inbox-list):
	* mail/rmailsum.el (msgnum):
	* mail/uce.el (gnus-original-article-buffer, mail-reply-buffer)
	(rmail-current-message):
	* obsolete/fast-lock.el (font-lock-face-list):
	* obsolete/rnewspost.el (mail-reply-buffer):
	* obsolete/scribe.el (compile-command):
	* obsolete/x-menu.el (x-process-mouse-hook): Add defvars.

2005-08-28  John Paul Wallington  <jpw@gnu.org>

	* ibuf-ext.el (ibuffer-auto-update-changed):
	Use `frame-or-buffer-changed-p' to check whether we need to update.
	(ibuffer-auto-mode): Don't advise `get-buffer-create' and
	`kill-buffer'.  Initialise `ibuffer-auto-buffers-changed'
	as a `frame-or-buffer-changed-p' state vector instead.

2005-08-27  Romain Francoise  <romain@orebokech.com>

	* textmodes/makeinfo.el (makeinfo-compile):
	Use `compilation-start'.  Set `next-error-function' according to
	`disable-errors'.
	(makeinfo-next-error): New function.
	(makeinfo-region): Adjust to new `makeinfo-compile' prototype.
	(makeinfo-buffer): Likewise.

	* progmodes/compile.el (compilation-start): Add autoload cookie.

	* progmodes/antlr-mode.el: Don't autoload `compilation-start'.
	* textmodes/sgml-mode.el: Likewise.
	* progmodes/python.el: Likewise.

2005-08-27  Eli Zaretskii  <eliz@gnu.org>

	* simple.el (blink-matching-paren-distance): Document the meaning
	of nil value, and allow to customize to nil.

	* eshell/esh-ext.el (eshell-windows-shell-file): Look for
	command.com, not command.exe.

2005-08-26  John Wiegley  <johnw@newartisans.com>

	* eshell/esh-cmd.el (eshell-rewrite-named-command): Change the
	code around a bit so that an extraneous nil argument is not added
	to a command when no args are given.

	* eshell/esh-arg.el (eshell-parse-double-quote): If a
	double-quoted argument resolves to nil, return it as an empty
	string rather than as nil.  This made it impossible to pass "" to
	a shell script as a null string argument.

2005-08-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* outline.el (outline-invent-heading): New fun.
	(outline-promote, outline-demote): Use it.
	(outline-move-subtree-down): Remove unused vars `re' and `txt'.
	(outline-end-of-subtree): Remove unused var `opoint'.

2005-08-26  David Reitter  <david.reitter@gmail.com>

	* menu-bar.el (truncate-lines, write-file, print-buffer)
	(ps-print-buffer-faces, ps-print-buffer, split-window):
	Disable menu items when the frame they refer to is invisible, or when
	they refer to a buffer and the minibuffer is selected.

2005-08-26  Pavel Kobiakov  <pk_at_work@yahoo.com>

	* progmodes/flymake.el (flymake-highlight-err-lines):
	Use save-excursion around flymake-highlight-line to preserve point.

2005-08-26  Eli Zaretskii  <eliz@gnu.org>

	* progmodes/octave-mod.el: Change Author and Maintainer address.
	(octave-maintainer-address): Change Kurt's email address.
	* progmodes/octave-inf.el: Change Author and Maintainer address.
	* progmodes/octave-hlp.el: Change Author and Maintainer address.

2005-08-26  Kim F. Storm  <storm@cua.dk>

	* subr.el (version-list-<, version-list-<=, version-list-=):
	Renamed from integer-list-*.
	(version-list-not-zero): Likewise.  Fix while loop.
	(version=): Use version-list-= instead of string-equal.

2005-08-26  Richard M. Stallman  <rms@gnu.org>

	* outline.el (outline-promote): Try shortening the heading.
	As last resort, read the heading to use.
	(outline-demote): As last resort, read the heading to use.

2005-08-26  Romain Francoise  <romain@orebokech.com>

	* progmodes/compile.el (compilation-start): Doc fix.

	* progmodes/antlr-mode.el (antlr-default): Fix defface form.
	(antlr-font-lock-additional-keywords): Fix reference to
	`antlr-font-lock-literal-regexp' erroneously changed during the
	mass face rename.
	(antlr-run-tool): Use `compilation-start'.

	* textmodes/sgml-mode.el (sgml-validate): Use `compilation-start'
	instead of the obsolete `compile-internal'.

2005-08-26  Juanma Barranquero  <lekktu@gmail.com>

	* calendar/cal-bahai.el (date, displayed-month, displayed-year)
	(number, original-date):
	* calendar/cal-china.el (date):
	* calendar/cal-coptic.el (date):
	* calendar/cal-french.el (date):
	* calendar/cal-hebrew.el (date, entry, number, original-date):
	* calendar/cal-islam.el (date, number, original-date):
	* calendar/cal-iso.el (date):
	* calendar/cal-julian.el (date):
	* calendar/cal-mayan.el (date):
	* calendar/cal-menu.el (date, event):
	* calendar/cal-persia.el (date):
	* calendar/lunar.el (date):
	* calendar/solar.el (date): Add defvars.

	* emerge.el:
	* ibuffer.el:
	* info-xref.el:
	* obsolete/bg-mouse.el:
	* obsolete/sun-curs.el:
	* obsolete/swedish.el: Move the `defvar's to the top level.

	* smerge-mode.el (smerge-refined-change): Add :group.

2005-08-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* smerge-mode.el (smerge-remove-props): Make the args non-optional.
	(smerge-keep-n): Remove props.
	(smerge-keep-base, smerge-keep-other, smerge-keep-mine)
	(smerge-keep-current, smerge-kill-current): Don't remove props anymore
	now that it's done in smerge-keep-n.
	(smerge-refined-change): New face.
	(smerge-refine-chopup-region, smerge-refine-highlight-change)
	(smerge-refine): New funs.
	(smerge-basic-map): Bind smerge-refine.

2005-08-25  Juri Linkov  <juri@jurta.org>

	* progmodes/grep.el (grep, grep-mode): Make buffer-local variables
	compilation-process-setup-function and compilation-disable-input
	in grep-mode instead of let-bindings in grep.

	* menu-bar.el (menu-bar-options-menu, menu-bar-options-save):
	Delete "Automatic File De/compression" (auto-compression-mode).

2005-08-25  Juanma Barranquero  <lekktu@gmail.com>

	* obsolete/bg-mouse.el: Move to obsolete/ from term/.
	Silence warning about non-existent variable.

2005-08-25  Richard M. Stallman  <rms@gnu.org>

	* menu-bar.el (menu-bar-describe-menu): Delete "What's New".
	Rename "Describe Key" to "Describe Key or Mouse Operation".

	* mail/mailalias.el (build-mail-aliases): Delete comments
	from the contents before processing them.

	* isearch.el (isearch-edit-string): Erase the Search prompt
	if user enters an empty string and there is no default.

	* comint.el (comint-file-name-prefix): Add autoload.

2005-08-25  Joe Corneli  <jcorneli@math.utexas.edu>

	* subr.el (play-sound): Rearrange to avoid warning.

2005-08-25  Carsten Dominik  <dominik@science.uva.nl>

	* calendar/diary-lib.el (diary-modify-entry-list-string-function):
	New hook.
	(add-to-diary-list): Call `diary-modify-entry-list-string-function'

2005-08-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/easy-mmode.el (define-minor-mode): Simplify.

	* custom.el (custom-theme-set-variables): Sort minor modes last.

2005-08-24  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* subr.el (version-separator, version-regexp-alist): New vars used by
	version comparison funs.
	(integer-list-<, integer-list-=, integer-list-<=)
	(integer-list-not-zero): New funs for integer list comparison.
	(version-to-list, version=, version<, version<=): New funs for version
	comparison.

2005-08-24  Juanma Barranquero  <lekktu@gmail.com>

	* emerge.el (merge-begin, merge-end, template, A-begin, A-end)
	(B-begin, B-end, diff, diff-vector, valid-diff): Defvar at compile
	time to silence the byte-compiler.

	* ibuffer.el (ibuffer-compile-make-eliding-form)
	(ibuffer-check-formats): Use `with-no-warnings' to hide references
	to `ibuffer-elide-long-columns' (which is defined on ibuffer.el,
	so it's silly to get warnings for it).
	(ibuffer-auto-mode, ibuffer-cached-filter-formats)
	(ibuffer-compiled-filter-formats, ibuffer-filter-format-alist)
	(ibuffer-filter-group-kill-ring, ibuffer-filter-groups)
	(ibuffer-filtering-qualifiers, ibuffer-hidden-filter-groups)
	(ibuffer-inline-columns, ibuffer-show-empty-filter-groups)
	(ibuffer-tmp-hide-regexps, ibuffer-tmp-show-regexps):
	Defvar at compile time.
	(ibuffer-compiled-formats, ibuffer-cached-eliding-string)
	(ibuffer-cached-formats, ibuffer-cached-elide-long-columns):
	Declare them before use.

	* info-xref.el (info-xref-xfile-alist, info-xref-filename-heading)
	(info-xref-good, info-xref-bad): Defvar at compile time.

	* obsolete/mlsupport.el (filter-region, execute-monitor-command):
	Use `let*' instead of `let'.

	* obsolete/sun-curs.el (icon-edit, *mouse-window*, *mouse-x*)
	(*mouse-y*, menu, char): Defvar at compile time.
	(sc::menu): Declare it before use.
	(sc::pack-one-line): Use `let', not `let*'.

	* obsolete/swedish.el (news-inews-hook, news-group-hook-alist)
	(mail-send-hook): Defvar at compile time.

	* term/bg-mouse.el (bg-mouse-x, bg-mouse-y, bg-cursor-window):
	Defvar at compile time.

	* term/sun-mouse.el (current-global-mousemap)
	(current-local-mousemap): Declare them before use.

2005-08-24  Carsten Dominik  <dominik@science.uva.nl>

	* bookmark.el (bookmark-after-jump-hook): New hook.
	(bookmark-jump): Run `bookmark-after-jump-hook'.

2005-08-23  Juri Linkov  <juri@jurta.org>

	* faces.el (minibuffer-prompt): Doc fix.

2005-08-23  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/xscheme.el: Trivial changes to silence warnings.
	(xscheme-previous-mode, xscheme-previous-process-state):
	Add defvars.
	(xscheme-last-input-end, xscheme-process-command-line)
	(xscheme-process-name, xscheme-buffer-name)
	(xscheme-expressions-ring-max, xscheme-expressions-ring)
	(xscheme-expressions-ring-yank-pointer, xscheme-running-p)
	(xscheme-control-g-synchronization-p)
	(xscheme-control-g-disabled-p, xscheme-string-receiver)
	(default-xscheme-runlight, xscheme-runlight)
	(xscheme-runlight-string, xscheme-process-filter-state)
	(xscheme-allow-output-p, xscheme-prompt, xscheme-mode-string):
	Move to beginning of file.
	(scheme-interaction-mode-commands-alist)
	(scheme-interaction-mode-map, scheme-debugger-mode-map):
	Declare them before use.  Note: the initialization code for the variables
	has not been moved because it uses functions that reference the variables.
	(xscheme-control-g-message-string, xscheme-process-filter-alist)
	(xscheme-prompt-for-expression-map): Declare them before use.
	(scheme-debugger-mode-commands): "?\ " -> "?\s".

2005-08-23  Ed Swarthout  <ed.swarthout@gmail.com>  (tiny change)

	* hexl.el (hexl-print-current-point-info): Fix simple spelling error.

2005-08-22  Juri Linkov  <juri@jurta.org>

	* faces.el (set-face-underline): Delete this duplicate function
	and make an obsolete alias to set-face-underline-p.
	(set-face-underline-p): Use docstring of set-face-underline.
	(describe-face): Create hyperlink to parent face.

	* info.el (Info-insert-dir): Use save-excursion around
	insert-buffer-substring.
	(Info-isearch-search): Use LITERAL arg of replace-regexp-in-string.
	(Info-escape-percent): Delete function.
	(Info-fontify-node): Replace Info-escape-percent by
	replace-regexp-in-string with REP arg set to lambda that
	duplicates `%' and preserves text properties.

	* progmodes/compile.el (compilation-disable-input): Doc fix.
	(define-compilation-mode): Doc fix and refill.
	(kill-compilation): Use `mode-name' in the error message.
	(compilation-find-file): Use `compilation-error' in the
	read-file-name's prompt.

2005-08-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* smerge-mode.el (smerge-basic-map): Bind smerge-combine-with-next.
	(smerge-auto-leave): Make undo re-enable the mode.
	(debug-ignored-errors): Add the user-error of impossible resolution.
	(smerge-resolve): Move things around a bit, in preparation for later.
	(smerge-diff): Don't fail if the buffer has no associated file.
	(ediff-ancestor-buffer, ediff-quit-hook): Quieten byte-compiler.
	(smerge-conflict-overlay): New function.
	(smerge-match-conflict): Don't add text properties here.
	(smerge-find-conflict): Instead, add an overlay here.
	Also check for the case where we're inside a conflict already, so as to
	obviate the need for font-lock-multiline, which is unbearably slow with
	large conflicts and ciomplex font-lock patterns.
	(smerge-remove-props): Remove overlay rather than text-properties.
	(smerge-mode): Don't set font-lock-multiline.
	Remove overlays when turned off.

2005-08-21  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-ignore-item-p): Use save-match-data.
	Bind case-fold-search to ido-case-fold locally.

2005-08-20  Richard M. Stallman  <rms@gnu.org>

	* files.el (normal-mode): If font lock is on, turn it off and on.

	* subr.el (replace-regexp-in-string): Doc fix.

	* startup.el (command-line-1): Don't suppress startup screen
	due to existing processes.

	* progmodes/grep.el (grep): Bind compilation-disable-input to t.

	* progmodes/compile.el (compilation-disable-input): Default to nil.

2005-08-20  Kevin Rodgers  <ihs_4664@yahoo.com>  (tiny change)

	* progmodes/compile.el (compilation-disable-input): New defcustom.
	(compilation-start): If compilation-disable-input is non-nil, send
	EOF to the compilation process.

2005-08-20  Eli Zaretskii  <eliz@gnu.org>

	* textmodes/tex-mode.el (tex-bibtex-file, tex-send-tex-command):
	Run the argument of tex-shell-cd-command through
	convert-standard-filename, to get the correct style of slashes on
	Windows, and enclose the result in quotes, in case the file name
	includes whitespace or other special characters.

2005-08-19  Andreas Schwab  <schwab@suse.de>

	* progmodes/gud.el (gud-kill-buffer-hook): Don't kill unrelated
	process.

2005-08-18  Luc Teirlinck  <teirllm@auburn.edu>

	* cus-start.el (minibuffer-prompt-properties): Correct typo.

2005-08-18  Kim F. Storm  <storm@cua.dk>

	* scroll-lock.el: Fix errors due to incorrect line wrapping.

2005-08-18  Richard M. Stallman  <rms@gnu.org>

	* scroll-lock.el: New file.

2005-08-18  Thien-Thi Nguyen  <ttn@gnu.org>

	* dired.el (dired-move-to-end-of-filename):
	Handle fifo as rendered by "ls -lF": Don't include trailing "|".

2005-08-18  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-everywhere): Fix defcustom :set function to disable
	rather than toggle mode when custom value is nil.
	(ido-everywhere): Fix defun doc string.

2005-08-17  Richard M. Stallman  <rms@gnu.org>

	* cus-start.el (minibuffer-prompt-properties): Use "Don't Enter"
	as tag instead of "Inviolable".

2005-08-17  Kim F. Storm  <storm@cua.dk>

	* windmove.el (windmove-coordinates-of-position): Remove.
	(windmove-coordinates-of-window-position): Remove.
	(windmove-reference-loc): Use posn-at-point instead.

	* subr.el (insert-for-yank-1): Doc fix.

	* ido.el (ido-enter-matching-directory): Rename from
	ido-enter-single-matching-directory.  Change 'slash choice to
	'only. 	Add 'first choice.
	(ido-exhibit): Adapt to above changes.

2005-08-16  Luc Teirlinck  <teirllm@auburn.edu>

	* Makefile.in: Expand comment about building loaddefs.el.

2005-08-16  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (toggle-gdb-use-inferior-io-buffer):
	Comment use of defadvice.

	* progmodes/gud.el (gud-jump): Rework for gdb-ui.

2005-08-15  Dan Nicolaescu  <dann@ics.uci.edu>

	* buff-menu.el, compare-w.el, emacs-lisp/testcover.el,
	* play/gomoku.el, play/mpuz.el, progmodes/flymake.el,
	* progmodes/gdb-ui.el, progmodes/idlw-help.el,
	* progmodes/idlw-shell.el, progmodes/ld-script.el,
	* progmodes/which-func.el, ruler-mode.el, strokes.el,
	* textmodes/sgml-mode.el, textmodes/table.el: Do not use face-alias
	for backward compatibility for faces that did not appear in the
	previous Emacs release.

	* simple.el (next-error-follow-minor-mode): Fix init value and lighter.

2005-08-15  Kim F. Storm  <storm@cua.dk>

	* emulation/cua-base.el (cua-delete-region): Return t if
	deleted region was non-empty.
	(cua-replace-region): Inhibit overwrite-mode for
	self-insert-command if replaced region was non-empty.
	(cua--explicit-region-start, cua--status-string): Make them
	buffer-local at top-level...
	(cua-mode): ...rather than when mode is enabled.

2005-08-15  Thien-Thi Nguyen  <ttn@gnu.org>

	* progmodes/vhdl-mode.el (vhdl-emacs-21):
	Set t for Emacs 21, 22, and so on.

2005-08-15  David Ponce  <david@dponce.com>

	* tree-widget.el: Update Commentary header.
	(tree-widget-theme): Doc fix.
	(tree-widget-space-width): New option.
	(tree-widget-image-properties): Look up in the default theme too.
	(tree-widget--cursors): Only for images with arrow pointer shape.
	(tree-widget-lookup-image): Pointer shape is hand by default.
	(tree-widget-icon): Rename generic icon widget from
	`tree-widget-control'.
	(tree-widget-*-icon): Rename from `tree-widget-*-control' and
	derive from `tree-widget-icon'.
	(tree-widget-handle): Improve default look and feel of the text
	representation.
	(tree-widget): Rename :*-control properties to :*-icon properties.
	Add :action and :help-echo properties.
	(tree-widget-after-toggle-functions): Move.
	(tree-widget-close-node, tree-widget-open-node): Remove.
	(tree-widget-before-create-icon-functions): New hook.
	(tree-widget-value-create): Update to allow customization of icons
	and nodes at run-time via that new hook.
	(tree-widget-icon-create, tree-widget-leaf-node-icon-p)
	(tree-widget-icon-action, tree-widget-icon-help-echo)
	(tree-widget-action, tree-widget-help-echo): New functions.

2005-08-15  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-buffer-internal): Use with-no-warnings.
	(ido-make-merged-file-list): Use while-no-input.

2005-08-15  Richard M. Stallman  <rms@gnu.org>

	* textmodes/flyspell.el (flyspell-mark-duplications-flag): Doc fix.
	(flyspell-large-region): Fix doc and custom type.

2005-08-14  Richard M. Stallman  <rms@gnu.org>

	* files.el (interpreter-mode-alist): Doc fix.

	* mail/rmail.el (rmail-nonignored-headers): New variable.
	(rmail-clear-headers): Use it.
	(rmail-reply): Better handling of mail-followup-to header.

	* progmodes/sh-script.el (sh-font-lock-keywords-var):
	Rename variable from sh-font-lock-keywords.  In the `shell' entry,
	don't try to refer to executable-font-lock-keywords.
	(sh-font-lock-keywords-var-1): Rename from sh-font-lock-keywords-1.
	(sh-font-lock-keywords-var-2): Rename from sh-font-lock-keywords-2.
	(sh-font-lock-keywords): Append executable-font-lock-keywords here.
	(sh-mode): Set comment-start-skip, local-abbrev-table,
	imenu-case-fold-search.
	(sh-set-shell): Don't set them here.
	(sh-feature): Simplify.  Get rid of the eval-a-variable feature.
	Don't cache the results in the original alist; don't ever modify
	that alist.

	* textmodes/flyspell.el (flyspell-mode): Autoload a defvar.

	* textmodes/ispell.el (lookup-words): Cope with case where ARGS is
	empty.

2005-08-15  Andreas Schwab  <schwab@suse.de>

	* desktop.el: Put autoload cookie at risky-local-variable declarations.

	* dired.el, info.el, mail/rmail.el: Revert last change.

2005-08-14  Thien-Thi Nguyen  <ttn@gnu.org>

	* dired.el: Fix dependency bug: Wrap `desktop-buffer-mode-handlers'
	modification in `eval-after-load' form.
	* info.el: Likewise.
	* mail/rmail.el: Likewise.

2005-08-14  Juri Linkov  <juri@jurta.org>

	* progmodes/compile.el (compilation-mode-font-lock-keywords):
	Remove highlighting of "Compilation started".  Highlight only
	the word "finished" in "Compilation finished".  Add highlighting
	of "interrupt", "killed", "terminated" and the exit code.
	(compilation-start): Add newline after header.  Use exactly the
	same time stamp format as the finishing message.
	(compilation-mode-map): Add ellipsis to "Search Files (grep)".

	* progmodes/grep.el (grep-mode-map): Add ellipsis to "Another grep".
	(grep-mode-font-lock-keywords): Don't highlight "Grep started".
	Add highlighting of "interrupt", "killed", "terminated".

	* delsel.el (delete-selection-pre-hook): If overwrite-mode is
	enabled and the current command is self-insert-command, call it
	explicitly with overwrite-mode bound to nil, to not allow it
	to delete the character after the selected region.

2005-08-12  Matt Hodges  <MPHodges@member.fsf.org>

	* emacs-lisp/eldoc.el: Add move-beginning-of-line,
	move-end-of-line, end-of-line, and beginning-of-line to the list
	of commands after which the echo area is updated.

2005-08-12  Eli Zaretskii  <eliz@gnu.org>

	* cus-edit.el (custom-save-all, custom-save-delete):
	Bind recentf-exclude to exclude custom-file.

2005-08-12  Ehud Karni  <ehud@unix.mvs.co.il>

	* mail/rmailsum.el (rmail-summary-end-of-message): New command
	to go to the bottom of the mail message.  Added to
	`rmail-summary-mode-map' with key "/".
	(rmail-summary-show-message): New (internal) function for use by
	both `rmail-summary-beginning/end-of-message'.
	(rmail-summary-beginning-of-message): Change to use
	rmail-summary-show-message.

	* mail/rmail.el (rmail-end-of-message): New command to go to the
	end of the current message.  Added to `rmail-mode-map' with key "/".
	(rmail-beginning-of-message): Fix to work as documented.
	(rmail-mode): Change documentation.

	* progmodes/compile.el (compilation-start): Add the line
	"Compilation started" with compilation start time.
	(compilation-mode-font-lock-keywords): Add `started' to keywords.

2005-08-11  Luc Teirlinck  <teirllm@auburn.edu>

	* menu-bar.el (menu-bar-options-menu): Standardize capitalization
	of menu items.

2005-08-11  Richard M. Stallman  <rms@gnu.org>

	* simple.el (pop-global-mark): Reverse test of widen-automatically.

	* battery.el (battery-status-function): Don't use ignore-errors.

2005-08-11  Lute Kamstra  <lute@gnu.org>

	* emacs-lisp/generic.el (generic-font-lock-defaults): Declare with
	define-obsolete-variable-alias.

2005-08-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* net/ange-ftp.el: Use \\` and \\' instead of ^ and $ in regexps.
	(ange-ftp-send-cmd): Revert last change, and expand
	the comment explaining the problem.

2005-08-10  Luc Teirlinck  <teirllm@auburn.edu>

	* ldefs-boot.el: Update.

	* menu-bar.el (menu-bar-showhide-menu): Rename "Date, Time and Mail"
	item to "Time, Load and Mail".  Change help echo text.

	* time.el (display-time-use-mail-icon, display-time-format)
	(display-time-string-forms): Shorten first line of docstrings.

2005-08-10  Lars Hansen  <larsh@soem.dk>

	* desktop.el (desktop-buffer-mode-handlers):
	Make non-customizable. Add autoload cookie.  Change initial value to
	nil; add elements in respective modules instead.  Fix doc string.
	(desktop-load-file): New function.
	(desktop-minor-mode-handlers): New autoloaded variable.
	(desktop-create-buffer): Call minor mode handlers.
	Use desktop-load-file to load major and minor mode modules prior to
	checking for a handler.
	(desktop-save): Don't add nil to desktop-minor-modes for minor
	modes with nil function in desktop-minor-mode-table.  Don't delete
	desktop file before rewriting it.
	(desktop-locals-to-save): Add autoload cookie.  Don't make
	automatically buffer-local.  Add variables column-number-mode,
	size-indication-mode, indent-tabs-mode,
	indicate-buffer-boundaries, indicate-empty-lines and
	show-trailing-whitespace.
	(desktop-clear): Allow desktop-clear-preserve-buffers to contain
	regexps. Don't use desktop-clear-preserve-buffers-regexp.
	(desktop-clear-preserve-buffers-regexp): Delete.
	(desktop-clear-preserve-buffers): Update initial value and docstring.
	(desktop-save-buffer): Fix doc string.

	* hilit-chg.el: Add handler to desktop-minor-mode-handlers.
	(hilit-chg-desktop-restore): New function.
	(highlight-changes-mode): Add highlight-changes-mode to
	desktop-locals-to-save.

	* dired.el: Add handler to desktop-buffer-mode-handlers.
	(dired-restore-desktop-buffer): Remove autoload cookie.
	(dired-mode): Add autoload cookie.

	* info.el: Add handler to desktop-buffer-mode-handlers.
	(Info-restore-desktop-buffer): Remove autoload cookie.
	(Info-mode): Add autoload cookie.

	* mh-e/mh-e.el: Add handler to desktop-buffer-mode-handlers.
	(mh-restore-desktop-buffer): Remove autoload cookie.
	(mh-folder-mode): Add autoload cookie.

	* mail/rmail.el: Add handler to desktop-buffer-mode-handlers.
	(rmail-restore-desktop-buffer): Remove autoload cookie.

2005-08-11  Masatake YAMATO  <jet@gyve.org>

	* hexl.el (hexl-address-region):
	(hexl-ascii-region, hexl-font-lock-keywords):
	(hexl-highlight-line-range): Use the term "region"
	instead of "area" for consistency with the other symbols
	defined in hexl.el.

2005-08-09  Luc Teirlinck  <teirllm@auburn.edu>

	* menu-bar.el (menu-bar-options-save): Move `display-time-mode' to
	correct group: it is set with `menu-bar-make-mm-toggle' (pointed
	out by Juri Linkov).  Add `display-battery-mode'.

2005-08-09  Juri Linkov  <juri@jurta.org>

	* progmodes/compile.el (compilation-mode-font-lock-keywords):
	Remove `-text' from face variable names.
	(compilation-error-file-name, compilation-warning-file-name)
	(compilation-info-file-name): Delete faces.
	(compilation-line-number, compilation-column-number):
	Remove face underlining.
	(compilation-message-face): Set to `underline' value by default.
	(compilation-error-face, compilation-warning-face)
	(compilation-info-face): Remove `-file-name' from face names.
	(compilation-error-text-face, compilation-warning-text-face)
	(compilation-info-text-face): Delete face variables.
	(compilation-text-face): Delete function.

	* progmodes/grep.el (grep-regexp-alist): Use `.+?' instead of `[^:\n]+'.
	(grep-mode-font-lock-keywords): Use `.+?' instead of `[^\n-]+'.
	(grep-error-face): Set to `compilation-error' instead of
	`compilation-error-face' (which is redefined to `grep-hit-face' in
	grep buffers).
	(grep-mode-font-lock-keywords): Remove `-text' from face variable
	names.  Use `grep-error-face' instead of `compilation-error-text-face'.

	* dired-aux.el (dired-do-query-replace-regexp):
	Use `query-replace-read-args'.

	* replace.el (query-replace-read-from, query-replace-read-to)
	(query-replace-read-args): Rename arg `string' to `prompt'.

	* menu-bar.el (menu-bar-showhide-menu): Add `showhide-battery'.

2005-08-09  Katsumi Yamaoka  <yamaoka@jpl.org>  (tiny change)

	* net/ange-ftp.el (ange-ftp-send-cmd): Make it work properly with
	uploading files.
	(ange-ftp-canonize-filename): Handle file names beginning with ~
	correctly.

2005-08-09  Juanma Barranquero  <lekktu@gmail.com>

	* textmodes/fill.el (canonically-space-region)
	(fill-context-prefix, fill-french-nobreak-p)
	(fill-delete-newlines, fill-comment-paragraph)
	(justify-current-line): "?\ " -> "?\s".

2005-08-09  Ben North  <ben@redfrontdoor.org>  (tiny change)

	* textmodes/fill.el (fill-nonuniform-paragraphs):
	Improve argument/docstring consistency.

2005-08-09  Richard M. Stallman  <rms@gnu.org>

	* textmodes/ispell.el (ispell-word): More fboundp checks.

	* files.el (find-file-noselect): Don't call set-buffer-major-mode.
	(find-file-noselect-1): Call it here, only if RAWFILE.
	(normal-mode): Always set some major mode.
	(save-some-buffers-action-alist): Change some explanation strings.
	(file-name-non-special): In the `quote' method, use unwind-protect.

2005-08-09  Magnus Henoch  <mange@freemail.hu>

	* textmodes/ispell.el (ispell-find-aspell-dictionaries): New command.
	(ispell-have-aspell-dictionaries): New variable.
	(ispell-aspell-data-dir, ispell-aspell-dict-dir): New variables.
	(ispell-get-aspell-config-value): New function.
	(ispell-aspell-find-dictionary): New function.
	(ispell-aspell-add-aliases): New function.
	(ispell-valid-dictionary-list): Call ispell-find-aspell-dictionaries if
	appropriate.  Don't look for ispell dictionaries if we use aspell.
	(ispell-menu-map): Don't build a submenu of dictionaries.

2005-08-09  Richard M. Stallman  <rms@gnu.org>

	* progmodes/sql.el (sql-interactive-mode-map): Use fboundp.
	(sql-read-passwd): Use read-passwd.

	* progmodes/idlw-toolbar.el (idlwave-toolbar)
	(idlwave-toolbar-is-possible): Add defvars.

	* progmodes/idlw-shell.el (idlwave-xemacs-hack-mouse-track):
	Avoid warnings.

	* progmodes/idlw-rinfo.el (idlwave-system-variables-alist)
	(idlwave-system-class-info, idlwave-executive-commands-alist):
	Use defvar.

	* progmodes/cc-engine.el (c-guess-basic-syntax): Add autoload.

	* mail/supercite.el (sc-ask, sc-no-blank-line-or-header):
	Avoid warnings.

	* mail/rmail.el (rmail-ignored-headers): Don't hide mime-version:
	and content-type: headers.

	* eshell/eshell.el (eshell): Avoid warnings about eshell-mode.

	* emacs-lisp/map-ynp.el (map-y-or-n-p): Reorder the options
	and rename some of them to be more self-explanatory.

	* calendar/calendar.el (calendar-mode-map): Bind < and > usefully.

	* startup.el (command-line-1): Implement -scriptload.

	* replace.el (occur-engine): Initial *Occur* output not undoable.

	* menu-bar.el (menu-bar-file-menu): Rename some menu items
	and improve help strings.

	* isearch.el (isearch-repeat): When changing direction,
	mark search successful.

	* ediff-init.el: Use (featurep 'xemacs).

	* comint.el (send-invisible): Identify buffer, if not selected.

	* align.el: Delete autoload for c-guess-basic-syntax.

2005-08-09  Juanma Barranquero  <lekktu@gmail.com>

	* textmodes/refbib.el (r2b-convert-record, r2b-convert-buffer):
	Improve argument/docstring consistency.  Doc fixes.
	(r2b-variables, r2bv-address, r2bv-annote, r2bv-author)
	(r2bv-booktitle, r2bv-date, r2bv-decade, r2bv-editor)
	(r2bv-entry-kind, r2bv-institution, r2bv-journal, r2bv-keywords)
	(r2bv-kn, r2bv-month, r2bv-note, r2bv-number, r2bv-ordering)
	(r2bv-organization, r2bv-pages, r2bv-primary-author)
	(r2bv-publisher, r2bv-school, r2bv-title, r2bv-title-first-word)
	(r2bv-tr, r2bv-type, r2bv-volume, r2bv-where, r2bv-year):
	Defvar at compile time.

2005-08-09  Juri Linkov  <juri@jurta.org>

	* info.el: Replace `info' with upper-case `Info' where appropriate.
	(info-title-1, info-title-2, info-title-3, info-title-4)
	(info-menu-header): Move up face definitions.
	(info-menu-star): Rename from `info-menu-5'.
	(Info-fontify-node): Replace `info-menu-5' with `info-menu-star'.
	(Info-fontify-visited-nodes): Fix docstring.
	(Info-hide-note-references): Fix docstring.
	(Info-up, Info-next-reference, Info-prev-reference): Put cursor on
	menu items in the same way as on cross-references.
	(info-apropos): Fix sorting order and formatting to be like in the
	stand-alone Info browser.  Display error messages for 1 sec.
	(Info-mode-map): Move down `c' key binding.  Bind `^' to `Info-up'.
	(Info-mode-menu): Remove item for `Info-search-case-sensitively'
	from the menu bar.
	(Info-insert-dir): Restore point after calling
	`insert-buffer-substring'.

2005-08-08  Richard M. Stallman  <rms@gnu.org>

	* emacs-lisp/lmenu.el (lucid-menubar-map, lucid-failing-menubar)
	(recompute-lucid-menubar): Add defvars.

	* mail/sendmail.el (mail-yank-original): Use with-no-warnings.

	* mail/reporter.el (reporter-dump-state): Use insert-buffer-substring.

	* net/net-utils.el (run-dig): Rename from `dig'.

	* play/gametree.el (gametree-mode): Use make-local-variable,
	not make-variable-buffer-local.

	* progmodes/ada-prj.el (ada-prj-display-page): Use with-no-warnings.

	* ansi-color.el (ansi-color-make-extent)
	(ansi-color-set-extent-face): Use fboundp, not functionp.

	* autorevert.el (auto-revert-tail-mode): Use make-local-variable,
	not make-variable-buffer-local.

	* bookmark.el (Info-current-file): Add defvar.
	(bookmark-jump-noselect): Use with-no-warnings.

	* completion.el (c-mode-map, fortran-mode-map): Add defvars.

	* ebuff-menu.el (Helper-return-blurb): Add defvar.

	* ffap.el (gnus-summary-buffer, gnus-article-buffer): Add defvars.

	* find-file.el (ada-procedure-start-regexp)
	(ada-package-start-regexp): Add defvars.

	* info.el (Info-insert-dir): Use insert-buffer-substring.

	* xml.el (xml-att-def-re): Add defvar.

	* icomplete.el (icomplete-exhibit): Adapt to new while-no-input
	calling convention.

	* subr.el (while-no-input): Return t if there is input.

2005-08-08  Luc Teirlinck  <teirllm@auburn.edu>

	* cus-start.el (all): Add `overflow-newline-into-fringe'.

2005-08-08  Juanma Barranquero  <lekktu@gmail.com>

	* cmuscheme.el (inferior-scheme-mode-hook, inferior-scheme-mode)
	(scheme-prev-l/c-dir/file): Fix typos in docstrings.

2005-08-08  Emilio C. Lopes  <eclig@gmx.net>

	* cmuscheme.el (scheme-start-file): Replace reference to
	`user-emacs-directory' by "~/.emacs.d/".

2005-08-08  Thien-Thi Nguyen  <ttn@gnu.org>

	* info.el (Info-dir-remove-duplicates): Avoid case folding
	in loop; instead, keep downcased strings for comparison.
	Suggested by Helmut Eller.

2005-08-07  Michael Albinus  <michael.albinus@gmx.de>

	Sync with Tramp 2.0.50.

	* net/tramp.el: Remove defvar of `last-coding-system-used' in the
	XEmacs case; not necessary anymore.
	(tramp-user-regexp): Allow "@" as part of user name.
	(tramp-handle-set-visited-file-modtime)
	(tramp-handle-insert-file-contents)
	(tramp-handle-write-region): No special handling for
	`last-coding-system-used, because this is done in
	`tramp-accept-process-output' now.
	(tramp-accept-process-output): New defun.
	(tramp-process-one-action, tramp-process-one-multi-action)
	(tramp-wait-for-regexp, tramp-wait-for-output)
	(tramp-discard-garbage-erase-buffer): Call it.  Reported by David
	Howells <dhowells@redhat.com>.
	(clear-visited-file-modtime): Defadvice removed.  The check for
	unset buffer's modtime does not need to be based on
	`tramp-buffer-file-attributes'.  Suggested by RMS.
	(tramp-message): Insert "\n" if not being at beginning of line.
	(tramp-find-shell): Use `tramp-barf-if-no-shell-prompt' for code
	sequence with same logic.
	(tramp-completion-handle-expand-file-name): Discard call of
	`tramp-drop-volume-letter'.  It is not necessary, and there have
	been problems with (expand-file-name "~/.netrc" "/") in ange-ftp.
	Reported by Richard G. Bielawski <Richard.G.Bielawski@wellsfargo.com>.
	(tramp-do-copy-or-rename-file-out-of-band): Transfer message
	should always be visible.
	(tramp-handle-insert-directory, tramp-setup-complete)
	(tramp-set-process-query-on-exit-flag)
	(tramp-append-tramp-buffers): Pacify byte-compiler.
	(tramp-bug): Delete non-existing variables from list.
	Apply `tramp-load-report-modules' as pre-hook.
	Mask `tramp-password-prompt-regexp', `tramp-shell-prompt-pattern' and
	`shell-prompt-pattern' because of non-7bit characters.
	Reported by Sebastian Luque <sluque@mun.ca>.
	(tramp-reporter-dump-variable, tramp-load-report-modules): New defuns.
	(tramp-match-string-list): Remove function.
	(tramp-wait-for-regexp): Remove call of that function.
	Suggested by Kim F. Storm <storm@cua.dk>.
	(tramp-set-auto-save-file-modes): Use octal integer code #o600
	instead of octal character code ?\600.  The latter resulted in a
	syntax error with XEmacs.

	* net/tramp-smb.el: Remove defvar of `last-coding-system-used' in the
	XEmacs case; not necessary anymore.
	(tramp-smb-handle-write-region): No special handling for
	`last-coding-system-used, because this is done in
	`tramp-accept-process-output' now.
	(tramp-smb-wait-for-output): Call `tramp-accept-process-output'.

2005-08-06  Luc Teirlinck  <teirllm@auburn.edu>

	* wid-edit.el (widget-choice-value-create):
	Unconditionally respect user choice.  Set :explicit-choice back to nil
	when no longer needed.
	(widget-choice-action): Unconditionally respect user choice.
	Eliminate :explicit-choice-value.

	* fringe.el (set-fringe-indicators-1, fringe-indicators): Delete.

	* menu-bar.el (menu-bar-options-save): Replace `fringe-indicators'
	with `indicate-empty-lines' and `indicate-buffer-boundaries'.
	(menu-bar-showhide-fringe-menu): Add new item "Empty line indicators"
	running new function `toggle-indicate-empty-lines'.
	Rename "Customize" item to "Customize fringe".
	Rename "Indicators" item to "Buffer boundaries" and change help echo.
	(menu-bar-showhide-fringe-ind-menu): Change several help echos.
	Add `menu-bar-showhide-fringe-ind-customize' as "Other (customize)".
	Delete "Empty lines only" item.
	(menu-bar-showhide-fringe-ind-customize): New function.
	(menu-bar-showhide-fringe-ind-mixed)
	(menu-bar-showhide-fringe-ind-box)
	(menu-bar-showhide-fringe-ind-right)
	(menu-bar-showhide-fringe-ind-left)
	(menu-bar-showhide-fringe-ind-none): Use `indicate-buffer-boundaries'
	instead of `fringe-indicators'.

2005-08-06  Michael Kifer  <kifer@cs.stonybrook.edu>

	* viper.el (viper-emacs-state-mode-list): Add recentf-dialog-mode.
	Change the date of last update.

2005-08-06  Michael Kifer  <kifer@cs.stonybrook.edu>

	* viper-cmd.el (viper-harness-minor-mode, viper-exec-delete)
	(viper-exec-yank, viper-put-back): Don't display modification msg
	if in the minibuffer.

	* viper-init.el (viper-replace-overlay-cursor-color)
	(viper-insert-state-cursor-color, viper-vi-state-cursor-color):
	Make variables frame local.

	* viper-util.el (viper-append-filter-alist): Use append instead of
	nconc.

	* viper.el (viper-vi-state-mode-list)
	(viper-emacs-state-mode-list): Move help-mode and
	completion-list-mode from the first list to the second.
	(viper-mode): Docstring.
	(viper-go-away, viper-non-hook-settings): Don't localize
	minor-mode-alist in newer Emacsen.  Add advice to
	set-cursor-color.  Don't bind "\C-c\\".

2005-08-06  Emilio C. Lopes  <eclig@gmx.net>

	* cmuscheme.el (scheme-trace-command, scheme-untrace-command)
	(scheme-macro-expand-command): New user options.
	(scheme-trace-procedure, scheme-expand-current-form): New commands.
	(scheme-form-at-point, scheme-start-file)
	(scheme-interactively-start-process): New functions.
	(scheme-get-process): New function, extracted from `scheme-proc'.
	(run-scheme): Call `scheme-start-file' to get start file, and pass
	it to `make-comint'.
	(switch-to-scheme, scheme-proc):
	Call `scheme-interactively-start-process' if no Scheme buffer/process
	is available.

2005-08-06  Juri Linkov  <juri@jurta.org>

	* progmodes/compile.el (compilation-mode-font-lock-keywords):
	Use `compilation-text-face', `compilation-info-text-face' and
	`compilation-error-text-face' instead of `font-lock-keyword-face'.
	(compilation-error): New face.
	(compilation-error-file-name): Inherit from
	`compilation-error' instead of `font-lock-warning-face'.
	(compilation-warning-file-name): Inherit from
	`compilation-warning' instead of `font-lock-warning-face'.
	(compilation-info, compilation-error-file-name)
	(compilation-warning-file-name, compilation-info-file-name)
	(compilation-line-number, compilation-column-number): Doc fix.
	(compilation-error-text-face, compilation-warning-text-face)
	(compilation-info-text-face): New face variables.
	(compilation-line-face, compilation-column-face)
	(compilation-enter-directory-face)
	(compilation-leave-directory-face): Doc fix.
	(compilation-text-face): New function.

	* progmodes/grep.el (grep-regexp-alist): Set 5th arg `TYPE' to 0
	instead of 1 to display binary file names as info file links.
	(grep-error-face): Use `compilation-error-face' instead of
	`font-lock-keyword-face'.
	(grep-mode-font-lock-keywords): Use `compilation-info-text-face'
	and `compilation-warning-text-face' instead of
	`font-lock-keyword-face'.  Use `compilation-error-text-face'
	instead of `grep-error-face'.

2005-08-05  Kenichi Handa  <handa@m17n.org>

	* international/code-pages.el: Add autoload cookies for all coding
	systems.

2005-08-04  Luc Teirlinck  <teirllm@auburn.edu>

	* cus-start.el (all): Put undo.c where it alphabetically belongs.

2005-08-04  Juri Linkov  <juri@jurta.org>

	* progmodes/compile.el (compilation-mode-map):
	* progmodes/grep.el (grep-mode-map):
	Bind TAB to `compilation-next-error' and [backtab] to
	`compilation-previous-error'.

	* progmodes/grep.el (grep-regexp-alist): Replace complex regexp
	matching line numbers, column numbers and their ranges with regexp
	matching only line numbers.
	(grep-context-face): New face variable.
	(grep-mode-font-lock-keywords): Use it.

	* faces.el (read-face-name): Delete duplicate faces.

2005-08-02  Juanma Barranquero  <lekktu@gmail.com>

	* thumbs.el (thumbs-find-image): Don't make variables
	automatically buffer local.
	(thumbs-current-tmp-filename, thumbs-current-image-filename)
	(thumbs-image-num): Make automatically buffer local.
	(thumbs-show-thumbs-list): Use `make-local-variable', not
	`make-variable-buffer-local'.
	(thumbs-insert-image): Make `thumbs-current-image-size' buffer-local.

	* play/doctor.el (doctor-type-symbol): "?\ " -> "?\s".
	(**mad**, *debug*, *print-space*, *print-upcase*, abuselst)
	(abusewords, account, afraidof, arerelated, areyou, bak, beclst)
	(bother, bye, canyou, chatlst, continue, deathlst, describe)
	(drnk, drugs, eliza-flag, elizalst, famlst, feared, fears)
	(feelings-about, foullst, found, hello, history, howareyoulst)
	(howdyflag, huhlst, ibelieve, improve, inter, isee, isrelated)
	(lincount, longhuhlst, lover, machlst, mathlst, maybe, moods)
	(neglst, obj, object, owner, please, problems, qlist)
	(random-adjective, relation, remlst, repetitive-shortness)
	(replist, rms-flag, schoollst, sent, sexlst, shortbeclst)
	(shortlst, something, sportslst, stallmanlst, states, subj)
	(suicide-flag, sure, things, thlst, toklst, typos, verb, want)
	(whatwhen, whereoutp, whysay, whywant, zippy-flag, zippylst):
	Defvar at compile time.

	* progmodes/ada-mode.el (ada-mode): Use `make-local-variable',
	not `make-variable-buffer-local'.

2005-08-02  Kim F. Storm  <storm@cua.dk>

	* emulation/cua-rect.el (cua--highlight-rectangle): Only show
	rectangle overlay in selected window.

2005-08-01  Luc Teirlinck  <teirllm@auburn.edu>

	* cus-start.el (all): Put `indicate-empty-lines' in fringe group
	instead of display group.  Make `indicate-buffer-boundaries'
	customizable through Custom.

2005-08-01  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/gdb-ui.el (gdb-frame-address, gdb-var-changed)
	(gdb-output-sink, gdba, gdb-cpp-define-alist-program)
	(gdb-set-gud-minor-mode, gdb-exited, gdb-setup-windows)
	(gdb-put-string): Fix typos in docstrings.

2005-08-01  Nick Roberts  <nickrob@snap.net.nz>

	Update copyright notices of files in progmodes directory for
	release of Emacs 22.1.

	* progmodes/gdb-ui.el (gdb-enable-debug-log): Add autoload cookie.

	* progmodes/gud.el (gud-tooltip-mode): Add autoload cookie.
	Don't barf if the GUD buffer has been killed.

2005-08-01  Kim F. Storm  <storm@cua.dk>

	* textmodes/table.el (table-yank-handler): Change defcustom to defvar.

2005-07-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (next-error-follow-minor-mode):
	make-variable-buffer-local -> make-local-variable.

	* emacs-lisp/cl-extra.el: Require CL also when compiling.

	* emacs-lisp/bytecomp.el (byte-compile-make-variable-buffer-local)
	(byte-compile-form-make-variable-buffer-local): New functions to warn
	about misuses of make-variable-buffer-local where make-local-variable
	was meant.

2005-07-29  Juanma Barranquero  <lekktu@gmail.com>

	* bs.el (bs-attributes-list): Doc fix.
	(bs): Update url-link.

	* desktop.el (desktop-save-buffer): Fix typos in docstring.
	(desktop-load-default): Simplify.

	* ibuffer.el (ibuffer-columnize-and-insert-list)
	(ibuffer-mouse-toggle-mark, ibuffer-count-marked-lines)
	(ibuffer-unmark-all, ibuffer-toggle-marks)
	(ibuffer-unmark-forward, ibuffer-unmark-backward)
	(ibuffer-compile-make-format-form, ibuffer-format-column)
	(ibuffer-current-buffers-with-marks)
	(ibuffer-update-title-and-summary): "?\ " -> "?\s".
	(ibuffer): Doc fix.
	(ibuffer-mode): Fix typo in docstring.
	(ibuffer-hooks, ibuffer-mode-hooks): Make obsolete and declare
	with `define-obsolete-variable-alias'.
	(ibuffer-elide-long-columns): Mark as obsolete.  Doc fix.

2005-07-29  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (select-message-coding-system):
	Be sure to use LF for end-of-line.  If no coding system is decided,
	return iso-8859-1-unix.

2005-07-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* net/ange-ftp.el (ange-ftp-gateway-fatal-msgs)
	(ange-ftp-pending-error-line): New vars.
	(ange-ftp-process-handle-line, ange-ftp-process-filter): Use them
	to handle the non-fatal no-route-to-host messages.
	(internal-ange-ftp-mode): Make the no-match regexp more efficient.

2005-07-28  Juanma Barranquero  <lekktu@gmail.com>

	* isearch.el (isearch-mode-map, isearch-other-meta-char)
	(isearch-quote-char, isearch-printing-char)
	(isearch-text-char-description): "?\ " -> "?\s".
	(isearch-lazy-highlight-cleanup)
	(isearch-lazy-highlight-initial-delay)
	(isearch-lazy-highlight-interval)
	(isearch-lazy-highlight-max-at-a-time)
	(isearch-lazy-highlight-face, isearch-lazy-highlight-cleanup):
	Declare with define-obsolete-*-alias macros.
	(isearch-forward): Fix typo in docstring.
	(search-invisible, search-ring-yank-pointer)
	(regexp-search-ring-yank-pointer): Doc fixes.

	* recentf.el (recentf-menu-append-commands-p): Declare with
	`define-obsolete-variable-alias'.
	(recentf-max-saved-items, recentf-menu-filter)
	(recentf-arrange-by-rule-subfilter): Doc fixes.
	(recentf-menu-append-commands-flag)
	(recentf-initialize-file-name-history, recentf-expand-file-name)
	(recentf-clear-data): Fix typos in docstrings.

2005-07-28  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el: Smarten comments.
	(gdb-info-breakpoints-custom): Use nowarn when finding file.

2005-07-27  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/apollo.el (terminal-init-apollo): New function containing
	all former top level forms in the file.
	* term/bobcat.el (terminal-init-bobcat):
	* term/cygwin.el (terminal-init-cygwin):
	* term/iris-ansi.el (terminal-init-iris-ansi):
	* term/linux.el (terminal-init-linux):
	* term/news.el (terminal-init-news):
	* term/rxvt.el (terminal-init-rxvt):
	* term/sun.el (terminal-init-sun):
	* term/tvi970.el (terminal-init-tvi970):
	* term/vt100.el (terminal-init-vt100):
	* term/vt102.el (terminal-init-vt102):
	* term/vt125.el (terminal-init-vt125):
	* term/vt200.el (terminal-init-vt200):
	* term/vt201.el (terminal-init-vt201):
	* term/vt220.el (terminal-init-vt220):
	* term/vt240.el (terminal-init-vt240):
	* term/vt300.el (terminal-init-vt300):
	* term/vt320.el (terminal-init-vt320):
	* term/vt400.el (terminal-init-vt400):
	* term/vt420.el (terminal-init-vt420):
	* term/wyse50.el (terminal-init-wyse50):
	* term/xterm.el (terminal-init-xterm): Likewise.

	* term/README: Describe the terminal-init-* functionality.

	* startup.el (command-line): After loading the terminal initialization
	file call the corresponding terminal initialization function.

2005-07-27  Kenichi Handa  <handa@m17n.org>

	* ps-bdf.el (bdf-read-font-info): Ignore glyphs whose ENCODING is
	negative.

	* ps-mule.el (ps-mule-bitmap-prologue): Fix arguments to setcharwidth.
	(ps-mule-composition-prologue): Fix for the case that
	RelativeCompose is false.

2005-07-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* smerge-mode.el (smerge-ediff): Use insert-buffer-substring.

	* descr-text.el (describe-char): Handle the case where the list of
	chars is displayed in a separate frame.
	Be a bit more discriminating when looking for the char.

2005-07-26  Juanma Barranquero  <lekktu@gmail.com>

	* bookmark.el (bookmark-automatically-show-annotations)
	(bookmark-read-annotation-text-func): Doc fixes.
	(bookmark-save): Improve argument/docstring consistency.
	(bookmark-get-bookmark, bookmark-get-bookmark-record)
	(bookmark-alist-from-buffer)
	(bookmark-upgrade-file-format-from-0)
	(bookmark-grok-file-format-version)
	(bookmark-maybe-upgrade-file-format, bookmark-kill-line)
	(bookmark-read-annotation-mode)
	(bookmark-insert-current-bookmark, bookmark-jump)
	(bookmark-exit-hook): Fix typos in docstrings.
	(bookmark-exit-hooks): Define as obsolete alias.
	(bookmark-exit-hook-internal): Run `bookmark-exit-hook',
	not `bookmark-exit-hooks'.  Fix docstring.
	(bookmark-bmenu-select): "?\ " -> "?\s".

2005-07-25  Ari Roponen <arjuropo@cc.jyu.fi>  (tiny change)

	* startup.el (command-line): Fix typo.

2005-07-24  Richard M. Stallman  <rms@gnu.org>

	* tooltip.el (tooltip-mode): Test emacs-basic-display,
	not emacs-quick-startup.

2005-07-24  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/re-builder.el (reb-with-current-window): Delete.
	(reb-next-match, reb-show-subexp): Use `with-selected-window'
	instead of `reb-with-current-window'.
	(reb-prev-match): Likewise.  Also, don't move left if the search
	was unsuccessful.
	(reb-initialize-buffer): New function.
	(re-builder, reb-change-syntax): Use it.

	* man.el (Man-goto-page): Make second argument NOERROR optional.

2005-07-23  Richard M. Stallman  <rms@gnu.org>

	* man.el (Man-bgproc-sentinel): Check here for failure to find
	any man page in the output, and report the error here.
	(Man-arguments): Make it permanent local.
	(Man-goto-page): New arg NOERROR.  Never kill the current buffer.
	(Man-mode): Pass t for NOERROR.

	* progmodes/grep.el (grep-error-face): Use font-lock-keyword-face.
	(grep-mode-font-lock-keywords):
	Don't use compilation-...-face for messages that are not file names.

	* progmodes/compile.el (compilation-mode-font-lock-keywords):
	Don't use compilation-...-face for messages that are not file names.

2005-07-22  Juri Linkov  <juri@jurta.org>

	* startup.el (normal-splash-screen): Update menu name.

	* tempo.el (tempo-insert-template): Fix 2005-07-16 change.

2005-07-22  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/xterm.el: Load term/rxvt if the terminal is actually an
	rxvt terminal.
	(xterm-rxvt-set-background-mode): Remove, not used anymore.

	* term/rxvt.el (function-key-map): Use substitute-key-definition
	to bind {C,S,C-S}-{f1-f10}. Add a few missing key bindings.

	* term/cygwin.el: New file.

2005-07-22  Kim F. Storm  <storm@cua.dk>

	* image-file.el (insert-image-file, image-file-yank-handler):
	Fix last change to maintain a (unique) yank-handler on yanked images.

2005-07-22  Eduardo Mu,Aq(Boz  <emufer@terra.es>  (tiny change)

	* dired.el (dired-move-to-filename-regexp): Recognize the B suffix
	of the file size (as in "177B" for 177 bytes).  This happens with
	"ls -lh" on FreeBSD.

2005-07-22  Juanma Barranquero  <lekktu@gmail.com>

	* hilit-chg.el (highlight-changes-global-initial-state)
	(highlight-compare-buffers, hilit-chg-turn-on-maybe)
	(hilit-chg-fixup, highlight-changes-mode):
	Fix typos in docstrings.
	(highlight-changes-global-modes, highlight-changes-rotate-faces):
	Doc fixes.

2005-07-21  Luc Teirlinck  <teirllm@auburn.edu>

	* emacs-lisp/easy-mmode.el (define-minor-mode): Never call the
	mode function using `eval-after-load'.

2005-07-21  Kim F. Storm  <storm@cua.dk>

	* mail/emacsbug.el (report-emacs-bug): Request that backtraces are
	included when reporting an emacs crash, and tell about the DEBUG file.

	* image-file.el (insert-image-file): Add yank-handler.
	(image-file-yank-handler): Yank handler to make unique copies of
	images when they are yanked into a buffer next to each other.

2005-07-21  Juanma Barranquero  <lekktu@gmail.com>

	* comint.el (comint-use-prompt-regexp, comint-send-input)
	(comint-source-default, comint-extract-string)
	(comint-get-source, comint-word, comint-completion)
	(comint-source, comint-prompt-read-only, comint-update-fence):
	Fix typos in docstrings.
	(comint-use-prompt-regexp-instead-of-fields, comint-kill-output):
	Declare with define-obsolete-*-alias macros.
	(comint-previous-matching-input-from-input)
	(comint-next-matching-input-from-input)
	(comint-previous-matching-input, comint-next-matching-input)
	(comint-forward-matching-input):
	Improve argument/docstring consistency.

	* desktop.el (desktop-clear-preserve-buffers-regexp):
	Also preserve the *server* buffer.

	* simple.el (clone-indirect-buffer): Doc fix.
	(fixup-whitespace, just-one-space)
	(backward-delete-char-untabify, lambda): "?\ " -> "?\s".
	(next-error, next-error-highlight)
	(next-error-highlight-no-select, next-error-last-buffer)
	(next-error-buffer-p, next-error-find-buffer, next-error)
	(previous-error, next-error-no-select, previous-error-no-select)
	(open-line, split-line, minibuffer-prompt-width, kill-new)
	(binary-overwrite-mode): Fix typos in docstrings.
	(set-fill-column): Fix typo in message.

	* skeleton.el (skeleton-proxy-new): Doc fix.

	* strokes.el (strokes-load-hook): Doc fix.
	(strokes-grid-resolution, strokes-get-grid-position)
	(strokes-renormalize-to-grid, strokes-read-stroke)
	(strokes-read-complex-stroke, strokes-file, strokes-last-stroke)
	(strokes-global-map): Fix typos in docstrings.
	(strokes-help): Doc fix.  Fix help message and pass it through
	`substitute-command-keys'.

	* tempo.el (tempo-insert-prompt, tempo-interactive)
	(tempo-show-completion-buffer, tempo-tags, tempo-match-finder)
	(tempo-insert-string-functions, tempo-local-tags)
	(tempo-define-template, tempo-insert-template)
	(tempo-insert-prompt-compat, tempo-is-user-element)
	(tempo-insert-mark, tempo-find-match-string, tempo-complete-tag):
	Fix typos in docstrings.

	* vcursor.el (vcursor-other-window, vcursor-bind-keys)
	(vcursor-key-bindings, vcursor-use-vcursor-map)
	(vcursor-find-window, vcursor-scroll-down)
	(vcursor-disable, vcursor-beginning-of-buffer)
	(vcursor-end-of-buffer): Fix typos in docstrings.
	(vcursor-relative-move, vcursor-get-char-count):
	Improve argument/docstring consistency.

	* version.el: "?\ " -> "?\s".

	* wid-edit.el (widget-default-create, widget-after-change)
	(widget-default-format-handler, widget-checklist-add-item)
	(widget-radio-add-item, widget-choose, widget-specify-secret)
	(widget-field-value-create, widget-field-value-get)
	(widget-editable-list-format-handler)
	(widget-editable-list-entry-create, widget-group-value-create)
	(widget-documentation-link-add)
	(widget-documentation-string-value-create): "?\ " -> "?\s".
	(widget-convert-text): Doc fix.
	(widget-narrow-to-field, widget-field-find)
	(widget-url-link-action, widget-emacs-library-link-action)
	(widget-color-notify): Fix typos in docstrings.

	* w32-fns.el (w32-shell-name): Use `bound-and-true-p'.
	(x-select-text, set-w32-system-coding-system)
	(w32-add-charset-info): Fix typos in docstrings.

	* emulation/cua-base.el (cua-mode, cua-enable-register-prefix)
	(cua-enable-cua-keys, cua-use-hyper-key)
	(cua-virtual-rectangle-edges): Fix typos in docstrings.
	(cua--M/H-key, cua--init-keymaps): "?\ " -> "?\s".

	* net/tramp.el (tramp-handle-load): Fix typo in error message.

	* emacs-lisp/re-builder.el (regexp-builder): Declare with
	`defalias' instead of faking it.

	* eshell/em-ls.el (eshell-ls-decorated-name): Doc fix.
	(eshell-ls-missing, eshell-ls-dired-initial-args)
	(eshell-ls-use-in-dired): Fix typos in docstrings.

2005-07-20  Kim F. Storm  <storm@cua.dk>

	* emulation/cua-base.el (cua-mode): Improve doc string.

2005-07-20  Juanma Barranquero  <lekktu@gmail.com>

	* abbrev.el (expand-region-abbrevs): Doc fix.
	(inverse-add-mode-abbrev, inverse-add-global-abbrev):
	Improve argument/docstring consistency.

	* arc-mode.el (archive-get-descr, archive-alternate-display):
	Doc fixes.
	(archive-l-e): Improve argument/docstring consistency.
	(archive-tmpdir, archive-unixdate, archive-unixtime)
	(archive-chmod-entry): Fix typos in docstrings.
	(archive-unflag, archive-unflag-backwards)
	(archive-unmark-all-files): "?\ " -> "?\s".

	* buff-menu.el (Buffer-menu-unmark): Doc fix.
	(Buffer-menu-not-modified, Buffer-menu-execute)
	(Buffer-menu-toggle-read-only, Buffer-menu-buffer+size)
	(list-buffers-noselect, Buffer-menu-select): "?\ " -> "?\s".

	* composite.el (compose-string, encode-composition-rule)
	(compose-last-chars): Fix typos in docstrings.

	* desktop.el (desktop-enable, desktop-basefilename):
	Declare with `define-obsolete-variable-alias'.
	(desktop-internal-v2s): Don't quote keywords.
	(desktop-clear): "?\ " -> "?\s".

	* dired.el (dired-align-file, dired-flag-backup-files)
	(dired-change-marks, dired-unmark-all-files): "?\ " -> "?\s".
	(dired-listing-switches, dired-ls-F-marks-symlinks)
	(dired-dwim-target, dired-load-hook, dired-mode-hook)
	(dired-directory, dired-faces, dired, dired-revert)
	(dired-mode, dired-summary, dired-view-file)
	(dired-copy-filename-as-kill, dired-delete-file)
	(dired-no-confirm, dired-unmark-all-marks)
	(dired-sort-by-date-regexp, dired-sort-by-name-regexp)
	(dired-sort-inhibit, dired-sort-other): Fix typos in docstrings.
	(dired-undo, dired-get-file-for-visit, dired-sort-toggle-or-edit):
	Fix typos in message strings.

	* dired-x.el (virtual-dired): Declare with `defalias'.
	(dired-mark-unmarked-files, dired-local-variables-file)
	(dired-omit-here-always): Doc fix.
	(dired-omit-mode, dired-find-subdir)
	(dired-enable-local-variables, dired-clean-up-buffers-too)
	(dired-extra-startup, dired-mark-extension, dired-jump)
	(dired-jump-other-window, dired-omit-localp, dired-virtual-mode)
	(dired-smart-shell-command, dired-guess-shell-alist-user)
	(dired-man, dired-initial-position, dired-x-hands-off-my-keys)
	(dired-x-bind-find-file, dired-x-submit-report):
	Fix typos in docstrings.
	(dired-mark-unmarked-files): "?\ " -> "?\s".

	* dirtrack.el (dirtrack-list): Fix typos in docstring.

	* faces.el (describe-face): "?\ " -> "?\s".
	(read-all-face-attributes, read-face-font, modify-face)
	(face-attr-construct, italic): Fix typos in docstrings.
	(frame-update-face-colors): Declare with
	`define-obsolete-function-alias'.

	* files.el (find-file-noselect, recode-file-name): Doc fixes.
	(insert-directory, kill-some-buffers): "?\ " -> "?\s".
	(magic-mode-alist, buffer-file-numbers-unique)
	(write-file-functions, get-free-disk-space):
	Fix typos in docstrings.
	(find-file-not-found-hooks, find-file-hooks, write-file-hooks)
	(write-contents-hooks, write-file-hooks):
	Declare with `define-obsolete-variable-alias'.

	* forms-d2.el (arch-rj): Fix typo in docstrings.
	(arch-tocol): Likewise.  "?\ " -> "?\s".

	* frame.el (set-frame-font, cursor-in-non-selected-windows):
	Fix typo in docstring.
	(set-screen-width, set-screen-height): Delete redundant info in
	doctrings.
	(new-frame, screen-height, screen-width): Declare with
	`define-obsolete-function-alias'.
	(delete-frame-hook, blink-cursor): Declare with
	`define-obsolete-variable-alias'.

	* paths.el (prune-directory-list): Fix typos in docstring.

	* pcvs-util.el (cvs-flags-query, cvs-strings->string)
	(cvs-prefix-get): Fix typos in docstrings.

	* ps-print.el (ps-extend-face-list, ps-extend-face)
	(ps-print-background-image): Fix typos in docstrings.
	(ps-default-fg, ps-default-bg): Doc fixes.

	* s-region.el (s-region-bind): Doc fix.
	(s-region-move-p1, s-region-move-p2): Fix typos in docstrings.

	* textmodes/org.el (org-table-formula-substitute-names)
	(org-table-get-vertical-vector): Doc fixes.
	(org-table-recalculate): Remove unused argument to `message'.

2005-07-19  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-table-column-names)
	(org-table-column-name-regexp)
	(org-table-named-field-locations): New variables.
	(org-archive-subtree): Protect `this-command' when calling
	`org-copy-subtree' and `org-cut-subtree', to avoid appending to
	the kill buffer.
	(org-complete): Remove fixed-formula completion.
	(org-edit-formulas-map): New variable.
	(org-table-edit-formulas): New command.
	(org-finish-edit-formulas, org-abort-edit-formulas)
	(org-show-variable, org-table-get-vertical-vector): New functions.
	(org-table-maybe-eval-formula): Handle `:=' fields.
	(org-table-get-stored-formulas, org-table-store-formulas)
	(org-table-get-formula, org-table-modify-formulas)
	(org-table-replace-in-formulas): Handle named field formulas.
	(org-table-get-specials): Store locations of named fields.

2005-07-19  Juri Linkov  <juri@jurta.org>

	* progmodes/grep.el (grep-regexp-alist)
	(grep-mode-font-lock-keywords, grep-process-setup):
	Use default GNU grep match color "01;31m" instead of "01;41m".
	(grep-regexp-alist, grep-mode-font-lock-keywords):
	Use `\\[[0-9]*m' instead of `\\[00m'.
	(grep-regexp-alist): Move `\\(?:\033\\[K\\)?' from sgr_end to
	sgr_start where its handling is more important.  Use the real
	length of sgr_start instead of constant 8.
	(grep-mode-font-lock-keywords): Don't delete `\\(?:\033\\[K\\)?'
	specially.  Delete all remaining escape sequences.
	(grep-process-setup): Set "GREP_COLORS" for GNU grep 2.5.1-cvs.
	(grep-regexp-alist): Make hyperlink only for binary file name
	instead of the whole line.
	(grep-mode-map): Bind `backtab' to `compilation-previous-file'.
	(grep-mode): Add autoload.

	* emacs-lisp/find-func.el (find-function-regexp):
	Add `define-compilation-mode'.

2005-07-19  Juri Linkov  <juri@jurta.org>

	* compare-w.el (compare-ignore-whitespace, compare-windows-sync)
	(compare-windows-sync-string-size, compare-windows-recenter)
	(compare-windows-highlight, compare-windows): Add version 22.1.
	(compare-windows) <defface>: Inherit from lazy-highlight instead
	of duplicating its default value.

	* cus-edit.el (custom-mode-map): Bind `C-c C-c' to `Custom-set'.
	(Custom-mode-menu): Use `info' instead of `Info-goto-node'.

	* descr-text.el (describe-char): Create link buttons for `charset'
	and `code point'.  Add the current input method name with a link
	button to `to input' field.  Print face names of display table
	characters in `The display table entry is displayed by' section
	instead of printing face-id in the `display' field.
	Guess hardcoded faces and create a link button for them.
	Skip empty fields when calculating max-width.
	Treat `widget-create' specially while inserting strings from the
	collected field list.
	(describe-char-after): Made obsolete in version 22.1, not 21.5.

	* diff-mode.el (diff-file-header): Change foreground color from
	yellow to green on light backgrounds.
	(diff-context): Inherit from `shadow' only for color/grayscale
	with more than 88 colors.
	(diff-indicator-removed, diff-indicator-added)
	(diff-indicator-changed): New faces.
	(diff-font-lock-keywords): Use new faces.  Regroup rules.
	Add "^---$" for `normal' diff format.  Fontify `#' lines with
	font-lock-comment-delimiter-face and font-lock-comment-face.
	Add `#' to ^[^...] in the rule for `diff-context-face'.

	* faces.el (mode-line-highlight): Replace RoyalBlue4 with
	a button-like box.  Inherit from `highlight' on low colors.
	(shadow): Use shades of gray only for color/grayscale with
	more than 88 colors.  Use green for light backgrounds with
	8 colors, and yellow for dark backgrounds with 8 colors.

	* font-lock.el (font-lock-regexp-grouping-backslash):
	Don't inherit from escape-glyph (use bold for all cases).

	* info.el (info-xref-visited): Use light foreground color `violet'
	for dark backgrounds instead of dark color `magenta3'.
	(info-title-1): Use `yellow' color for dark backgrounds.

	* isearch.el (isearch): Use not-too-dark magenta3 instead of
	too-light magenta2.

	* replace.el (match): Use slightly more light RoyalBlue3 instead
	of dark RoyalBlue4.

	* wid-edit.el (widget-inactive): Inherit from `shadow'.

2005-07-19  Juanma Barranquero  <lekktu@gmail.com>

	* novice.el (disabled-command-hook): Declare it with
	`define-obsolete-variable-alias'.

	* desktop.el (desktop-enable, desktop-buffer-modes-to-save)
	(desktop-buffer-misc-functions, desktop-buffer-handlers)
	(desktop-load-default): Add release to obsolescence info.
	(desktop-globals-to-clear, desktop-buffer-mode-handlers)
	(desktop-append-buffer-args, desktop-read):
	Fix typos in docstrings.
	(desktop-kill): Fix typo in message.
	(desktop-save): Doc fix.

2005-07-19  Michael Kifer  <kifer@cs.stonybrook.edu>

	* viper-cmd.el (viper-escape-to-state): Bug fix.
	(viper-envelop-ESC-key): Change the definition of fast
	keysequence so it'll work with keyboard macros.

	* ediff.el (ediff-patch-buffer): Change the docstring.

2005-07-19  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (select-safe-coding-system): Try to
	use an auto-coding (if any) before anything else.  If the found
	auto-coding is invalid, show a warning message.

	* international/mule.el (find-auto-coding): New function created
	by modifying the body of set-auto-coding.
	(set-auto-coding): Use find-auto-coding to find a coding.

2005-07-18  Richard M. Stallman  <rms@gnu.org>

	* allout.el (allout-isearch-expose): Use isearch-mode-end-hook-quit,
	not isearch-mode-end-hook-error.
	(allout-before-change-protect): Fix error message.

2005-07-18  Juri Linkov  <juri@jurta.org>

	* allout.el (allout-mode):
	* calculator.el (calculator-copy):
	* custom.el (custom-known-themes):
	* dired.el (dired-desktop-buffer-misc-data)
	(dired-restore-desktop-buffer):
	* dired-x.el (dired-omit-marker-char):
	* files.el (basic-save-buffer):
	* font-core.el (font-lock-mode):
	* calendar/calendar.el (calendar-goto-hebrew-date)
	(calendar-goto-coptic-date, calendar-goto-ethiopic-date)
	(calendar-goto-persian-date):
	* language/ethio-util.el (ethio-sera-to-fidel-region):
	* textmodes/picture.el (picture-mode):
	Delete duplicate duplicate words.

2005-07-18  Juri Linkov  <juri@jurta.org>

	* isearch.el (isearch-mode-map): Remove key bindings for regexp
	chars * ? } |.
	(isearch-fallback): Don't call `isearch-process-search-char'.
	(isearch-*-char, isearch-}-char, isearch-|-char): Remove functions.
	(isearch-process-search-char): Call `isearch-fallback' for regexp
	chars * ? } |.
	(isearch-return-char): Make obsolete with `make-obsolete' instead
	of simply documenting it as obsolete in the docstring.
	(isearch-fallback): Refill docstring.

	* international/isearch-x.el
	(isearch-process-search-multibyte-characters): Remove unneeded
	`concat'.  Add intermediate values to `junk-hist' instead of
	`minibuffer-history'.  Test the length of `str'.

2005-07-18  Juanma Barranquero  <lekktu@gmail.com>

	* allout.el (allout-resolve-xref): Fix typos in error strings.
	(allout-before-change-protect): Remove unneeded `concat'.

	* array.el (array-mode, array-reconfigure-rows)
	(untabify-backward): Fix typos in docstrings.
	(array-reconfigure-rows): Use `insert-buffer-substring', not
	`insert-buffer'.

	* calendar/icalendar.el (icalendar--get-unfolded-buffer):
	* progmodes/ada-mode.el (ada-make-body):
	Use `insert-buffer-substring' and `goto-char', not `insert-buffer'.

	* dired.el (dired-log):
	* tar-mode.el (tar-subfile-save-buffer):
	* play/zone.el (zone-pgm-stress-destress):
	Use `insert-buffer-substring', not `insert-buffer'.

2005-07-17  Simon Josefsson  <jas@extundo.com>

	* mail/smtpmail.el (smtpmail-auth-supported): Prefer PLAIN over LOGIN.

2005-07-16  Jose E. Marchesi  <jemarch@gnu.org>

	* lisp/mail/smtpmail.el (smtpmail-auth-supported):
	Add plain auth method.
	(smtpmail-try-auth-methods): Add AUTH PLAIN dialog.

2005-07-17  Kim F. Storm  <storm@cua.dk>

	* ido.el (dired-other-window): Add ido property.

2005-07-16  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/bytecomp.el (byte-compile-maybe-guarded):
	Fix typo in docstring.
	(byte-compile-interactive-only-functions): Add `insert-buffer' and
	`insert-file-literally'.

	* emacs-lisp/edebug.el (def-edebug-form-spec): Add obsolescence
	info and delete redundant message.  Doc fix.
	(edebug-install-custom-print-funcs, edebug-reset-print-funcs)
	(edebug-uninstall-custom-print-funcs): Define as obsolete aliases.

2005-07-16  Richard M. Stallman  <rms@gnu.org>

	* emacs-lisp/bytecomp.el (byte-compile-and-recursion): New function.
	(byte-compile-and): Use byte-compile-and-recursion.
	(byte-compile-or-recursion): New function.
	(byte-compile-or): Use that.
	(byte-compile-if): Guard the else-clause too.
	(byte-compile-maybe-guarded): Handle (not (featurep 'emacs)).

	* isearch.el (isearch-mode-end-hook-quit): New variable.
	(isearch-done): Bind it.
	(isearch-mode-end-hook): Doc fix.

	* allout.el (allout-isearch-did-quit): Variable deleted.
	(allout-real-isearch-abort): Function name no longer used.
	(allout-mode): Do allout-enwrap-isearch whenever feature is wanted.
	(allout-isearch-rectification): isearch-mode always exists.
	Don't set allout-isearch-did-quit.
	(allout-isearch-expose): Check isearch-mode-end-hook-error, not
	allout-isearch-did-quit.
	(allout-enwrap-isearch): Just add the hook.
	(allout-isearch-abort): Function deleted.
	(allout-pre-command-business): Avoid warning.

	* progmodes/pascal.el (pascal-outline-map): Use fboundp, not boundp.
	Correctly avoid warnings.
	(pascal-outline): Likewise.

	* progmodes/f90.el (f90-abbrev-start): Avoid warning.

	* progmodes/asm-mode.el (asm-comment): Use with-no-warnings.

	* play/tetris.el (tetris-mode): Avoid warning.

	* play/snake.el (snake-mode): Avoid warning.

	* play/gamegrid.el (gamegrid-shared-game-dir): Add defvar.
	(gamegrid-set-display-table): Avoid warning.
	(gamegrid-set-timer): Likewise.
	(gamegrid-make-mono-tty-face): Use set-face-inverse-video-p.
	(gamegrid-add-score-with-update-game-score-1): Take FILE
	as argument.
	(gamegrid-add-score-with-update-game-score): Pass that argument.
	Rename have-shared-game-dir to gamegrid-shared-game-dir.

	* net/eudc-hotlist.el (eudc-hotlist-mode): Avoid warnings.

	* net/eudc-bob.el (eudc-jump-to-event): Avoid warning.
	(eudc-bob-display-jpeg, eudc-bob-can-display-inline-images): Likewise.

	* mail/uce.el (uce-reply-to-uce): Replace beginning-of-buffer
	and insert-file.

	* mail/supercite.el (sc-no-blank-line-or-header): Avoid warning.
	(sc-ask): Avoid warnings.

	* eshell/em-hist.el (eshell-rebind-keys-alist): Add defvar.
	(eshell-hist-initialize): Use that var the natural way.

	* emulation/viper-init.el (viper-activate-input-method): Avoid warning.

	* emacs-lisp/re-builder.el (reb-cook-regexp):
	Avoid warning calling lre-compile-string.
	(reb-color-display-p): Avoid warning.

	* calculator.el (calculator-last-input): Guard uses
	of event-key and key-press-event-p.
	(event-key, key-press-event-p): Delete definitions.

	* emacs-lisp/find-gc.el (find-gc-unsafe-list)
	(find-gc-source-directory, find-gc-subrs-callers)
	(find-gc-noreturn-list, find-gc-source-files)
	(find-gc-subrs-called): Vars renamed and defvar'd.

	* emacs-lisp/checkdoc.el (checkdoc-make-overlay)
	(checkdoc-overlay-put, checkdoc-delete-overlay)
	(checkdoc-overlay-start, checkdoc-overlay-end)
	(checkdoc-mode-line-update, checkdoc-char=):
	Define such that compiler knows they are defined.
	(checkdoc-call-eval-buffer): Delete.  Use eval-buffer directly.
	(checkdoc-read-event): Delete.  Use read-event directly.

	* whitespace.el (whitespace-make-overlay)
	(whitespace-overlay-put, whitespace-delete-overlay)
	(whitespace-overlay-start, whitespace-overlay-end):
	Define such that compiler knows they are defined.
	(whitespace): Move conditional inside.

	* tempo.el (tempo-insert-template): Suppress warning.

	* ediff-diff.el (longlines-mode): Add defvar.

2005-07-16  Gary Howell  <g1howell-list@yahoo.com>  (tiny change)

	* server.el: Bind "C-x #" in a way that works even if C-x is
	redefined to a command key, not a prefix key.

2005-07-16  Johan Bockgard  <bojohan@users.sourceforge.net>  (tiny change)

	* emacs-lisp/cl-macs.el (cl-make-type-test): Defer evaluation of
	cl-make-type-test till execution time.

2005-07-16  Markus Rost  <rost@math.uni-bielefeld.de>

	* dired-x.el (dired-do-relsymlink-regexp): Add missing optional
	arg ARG and use it.

2005-07-16  Johan Bockgard  <bojohan@users.sourceforge.net>  (tiny change)

	* emacs-lisp/cl-macs.el (cl-make-type-test): Add `atom' type.

2005-07-15  Luc Teirlinck  <teirllm@auburn.edu>

	* emacs-lisp/easy-mmode.el (define-minor-mode): Avoid constructing
	a defcustom with two :set or :type keywords.

2005-07-15  Richard M. Stallman  <rms@gnu.org>

	* emacs-lisp/lisp-mode.el (emacs-lisp-mode-syntax-table):
	Don't give ^M comment-end syntax.

2005-07-16  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-var-update, gdb-var-update-handler):
	Don't consider gdbmi (gdb-mi.el has its own update functions).
	(gdb-var-delete): Make it work for gdbmi as well.
	(gdb-speedbar-expand-node): Move var-update here for gdbmi.

	* progmodes/gud.el (etags, sdb): Only require etags when needed.
	(gud-speedbar-menu-items): Correct logic for enabling items.

2005-07-15  Kim F. Storm  <storm@cua.dk>

	* ido.el: Fix commentary.
	(ido-define-mode-map): Move ido-next-work-file to C-M-o.
	Use with-no-warnings around ffap-guesser.
	(ido-file-internal, ido-read-file-name, ido-read-directory-name):
	Let bind minibuffer-completing-file-name to t.

2005-07-15  Juanma Barranquero  <lekktu@gmail.com>

	* startup.el (site-run-file, keyboard-type): Doc fixes.
	(command-line): Check for "--basic-display" argument; also for
	"--quick", not "--bare-bones" (which was renamed).
	(fancy-splash-text): Add missing item "Getting New Versions".
	(normal-splash-screen): Fix typos and improve consistency with
	`fancy-splash-text'.  Update copyright year.

	* hexl.el (hexl-mode-map): Recognize also `ehelp-command' as a
	valid binding for `help-char'.

	* emacs-lisp/derived.el (derived-mode-hook-name): Doc fix.

2005-07-14  Dan Nicolaescu  <dann@ics.uci.edu>

	* term.el (term-mode): Disable cua-mode for term buffers.

2005-07-14  Juanma Barranquero  <lekktu@gmail.com>

	* add-log.el (add-log-mailing-address, change-log-merge):
	Doc fixes.
	(change-log-get-method-definition): Fix typo in docstring.

2005-07-14  Kim F. Storm  <storm@cua.dk>

	* emulation/cua-base.el:
	(cua--pre-command-handler-1, cua--pre-command-handler)
	(cua--post-command-handler-1, cua--post-command-handler):
	Split in two.  Check (buffer local) value of cua-mode.
	(cua-selection-mode): New command.

2005-07-13  Luc Teirlinck  <teirllm@auburn.edu>

	* custom.el (custom-initialize-safe-set)
	(custom-initialize-safe-default): Doc fixes.

	* frame.el (blink-cursor-mode): Use `custom-initialize-safe-default'
	and simplify :init-value again.

	* tooltip.el (tooltip-mode): Use `custom-initialize-safe-default'
	and simplify :init-value again.  Delete autoload.

	* startup.el (command-line): Use `custom-reevaluate-setting' again
	for tooltip-mode.

	* emacs-lisp/easy-mmode.el (define-minor-mode): Avoid constructing
	a defcustom with two :initialize keywords.

2005-07-13  Juanma Barranquero  <lekktu@gmail.com>

	* allout.el (my-mark-marker, allout-isearch-prior-pos)
	(allout-unprotected, allout-undo-aggregation, allout-snug-back)
	(allout-post-command-business, allout-flag-region)
	(isearch-reenable-font-lock, allout-yank)
	(allout-insert-latex-header, allout-insert-latex-trailer)
	(allout-latex-verbatim-quote-curr-line, allout-latexify-exposed)
	(allout-latex-verb-quote): Fix typos in docstrings.
	(allout-enwrap-isearch, regexp-sans-escapes): Doc fixes.
	(allout-unprotected, allout-prefix-data):
	Improve argument/docstring consistency.
	(allout-chart-subtree): Fix argument spec.
	(allout-open-topic): Rename `use_sib_bullet' argument to
	`use-sib-bullet'.  Doc fix.

	* whitespace.el (whitespace-check-buffer-leading)
	(whitespace-check-buffer-trailing)
	(whitespace-check-buffer-indent)
	(whitespace-check-buffer-spacetab)
	(whitespace-check-buffer-ateol, whitespace-highlighted-space)
	(whitespace-check-leading-whitespace)
	(whitespace-check-trailing-whitespace)
	(whitespace-check-spacetab-whitespace)
	(whitespace-check-indent-whitespace)
	(whitespace-check-ateol-whitespace, whitespace-abort-on-error)
	(whitespace-modes): Fix typos in docstrings.
	(defgroup, defcustom): Doc fixes.

	* winner.el (winner-mode, winner-boring-buffers)
	(winner-pending-undo-ring): Doc fixes.
	(winner-ring): Remove unneeded `progn'.
	(winner-equal): `defsubst' it.
	(winner-redo): Fix message.

2005-07-13  Kim F. Storm  <storm@cua.dk>

	* simple.el (line-move-1): Always use vertical-motion to
	do the last (or only) line move to ensure some movement.
	Undo 2005-06-23 change--don't check for overlays.

2005-07-13  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (ccl-encode-mac-roman-font)
	(ccl-encode-mac-centraleurroman-font)
	(ccl-encode-mac-cyrillic-font, ccl-encode-mac-symbol-font):
	(ccl-encode-mac-dingbats-font): Remove check for ASCII.
	Change charset-id boundary of dimension to ?\xef.
	(mac-char-fontspec-list): New constant.
	(fontset-add-mac-fonts): Use it.  Accept non-string `base-family'
	argument.  Nil uses itself as family in font-spec.  Previous
	behavior for nil is now provided by non-nil non-string argument.
	All callers changed.  Add font-specs for Mac fonts to
	"fontset-default" unless iso8859-1 fonts are installed.

2005-07-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/sh-script.el (sh-get-indent-info): Only indent
	a continuation line if the \ is preceded by SPC or TAB.
	(sh-get-indent-info): Simplify.
	(sh-mark-init, sh-learn-buffer-indent, sh-add-completer):
	Use with-current-buffer.

	* font-lock.el (font-lock-fontify-keywords-region): Avoid inf-loops
	when the matched text is empty.

2005-07-12  Luc Teirlinck  <teirllm@auburn.edu>

	* startup.el (command-line): Revert to previous handling of
	tooltip-mode.  Explain in comment why the complexity is needed.

	* tooltip.el (tooltip-mode): Revert to previous implementation of
	its defcustom.

	* frame.el (blink-cursor-mode): Revert to previous implementation
	of its defcustom.  Update comment.

2005-07-12  Lars Hansen  <larsh@soem.dk>

	* desktop.el: Update e-mail address.

2005-07-12  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-services-mail-selection)
	(mac-services-mail-to): New functions.
	(mac-application-menu-map): Bind them.

2005-07-12  wulei <milton@wulei.net>  (tiny change)

	* progmodes/gdb-ui.el: Add note about buffering with Windows.

2005-07-11  Luc Teirlinck  <teirllm@auburn.edu>

	* custom.el (custom-reevaluate-setting): Doc fix.

2005-07-11  Jay Belanger  <belanger@truman.edu>

	* calc/calc.el (calc-embedded-announce-formula-alist)
	(calc-embedded-open-close-plain-alist)
	(calc-embedded-open-close-mode-alist): Add checks for additional
	major modes (due to Robert J. Chassell <bob@rattlesnake.com>).

2005-07-11  Juanma Barranquero  <lekktu@gmail.com>

	* custom.el (custom-enable-theme): Don't add theme to
	`custom-enabled-themes' with `push' because there is no
	setf-method for `delq'.

2005-07-11  Richard M. Stallman  <rms@gnu.org>

	* custom.el (custom-declare-variable): Doc fix.

	* dired-aux.el (dired-compare-directories): Remove "." and ".."
	from the alists.

	* emacs-lisp/edebug.el (edebug-slow-after, edebug-slow-before):
	Do nothing if edebug-active.

	* emacs-lisp/edebug.el (edebug-enter): Don't with-timeout-suspend here.
	(edebug-display): Do it here instead.

2005-07-10  Richard M. Stallman  <rms@gnu.org>

	* cus-face.el (custom-theme-set-faces): Make it work.
	(custom-reset-faces): Doc fix.
	(custom-theme-reset-internal-face, custom-theme-face-value):
	Functions deleted.

	* custom.el (custom-push-theme): Maintain list of the settings
	of a given theme in its theme-settings property.
	Maintain position of old settings in the theme-value
	or theme-face property.
	(custom-enabled-themes): New variable.
	(custom-theme-enabled-p): New function.
	(provide-theme): Update custom-enabled-themes.
	Disable and reenable the `user' theme.
	(require-theme): Doc fix.
	(custom-do-theme-reset, custom-remove-theme): Functions deleted.
	(custom-theme-value, custom-theme-variable-value): Likewise.
	(custom-theme-reset-internal): Likewise.
	(custom-theme-load-themes): Fix bugs and use custom-disable-theme.
	(custom-enable-theme, custom-disable-theme): New functions.
	(custom-variable-theme-value, custom-face-theme-value): Likewise.
	(custom-theme-recalc-variable, custom-theme-recalc-face): Likewise.
	(custom-theme-reset-variables): Simplify.
	(deftheme, custom-declare-theme, custom-make-theme-feature):
	Definitions moved.

2005-07-10  Chong Yidong  <cyd@stupidchicken.com>

	* longlines.el (longlines-show-region)
	(longlines-unshow-hard-newlines): Recognize hard newlines by
	non-nil hard property, instead of t.

2005-07-10  Michael Kifer  <kifer@cs.stonybrook.edu>

	* viper-cmd.el (viper--key-maps): New variable.
	(viper-normalize-minor-mode-map-alist): Use viper--key-maps and
	emulation-mode-map-alists.
	(viper-envelop-ESC-key): Use viper-subseq.
	(viper-search-forward/backward/next): Disable debug-on-error.

	* viper-keym.el (viper-toggle-key, viper-quoted-insert-key)
	(viper-ESC-key): New defcustoms.

	* viper-macs.el (ex-map-read-args): Use viper-subseq.

	* viper-util.el (viper-key-to-emacs-key): Use viper-subseq.
	(viper-subseq): Copy of subseq from cl.el.

	* viper.el (viper-go-away, viper-set-hooks): Use
	emulation-mode-map-alists, advise self-insert-command, add-minor-mode.

	* viper-mous.el (viper-current-frame-saved): Use defvar.

	* viper-init.el: Get rid of -face in face names.

	* ediff-diff.el (ediff-extract-diffs, ediff-extract-diffs3):
	Make it work with longlines mode

	* ediff-mult.el (ediff-meta-mode-hook): New variable.

	* ediff-ptch.el (ediff-file-name-sans-prefix): Quote regexp.

	* ediff-init.el: Get rid of -face in face names.

2005-07-10  Richard M. Stallman  <rms@gnu.org>

	* emacs-lisp/edebug.el (edebug-enter): Call with-timeout-suspend
	and with-timeout-unsuspend.

	* emacs-lisp/debug.el (debug): Call with-timeout-suspend
	and with-timeout-unsuspend.

	* emacs-lisp/timer.el (with-timeout-timers): New variable.
	(with-timeout): Bind that variable to record timers.
	(with-timeout-suspend, with-timeout-unsuspend): New functions.

	* emacs-lisp/debug.el (debug-help-follow): New function.
	(debugger-mode-map): Use that instead of help-follow.
	(debugger-setup-buffer): Use eval-buffer-list
	to handle eval-buffer frames.

2005-07-10  N. Raghavendra  <raghu@mri.ernet.in>  (tiny change)

	* timezone.el (timezone-parse-date): Change first regexp
	so it will not mistakenly match dates with no time zone.

2005-07-10  Jeff Dwork  <jeff.dwork@amd.com>  (tiny change)

	* facemenu.el (facemenu-read-color): Do case-insensitive matching.

2005-07-10  Luc Teirlinck  <teirllm@auburn.edu>

	* custom.el (custom-initialize-safe-set)
	(custom-initialize-safe-default): New functions.

	* frame.el (blink-cursor-mode): Use `custom-initialize-safe-default'
	and simplify :init-value.

	* tooltip.el (tooltip-mode): Use `custom-initialize-safe-default'
	and simplify :init-value.  Delete obsolete comment.

	* startup.el (command-line): Use `custom-reevaluate-setting' to
	handle `tooltip-mode'.  Delete obsolete comment.

	* files.el (set-visited-file-name): Avoid calling
	`file-name-nondirectory' with a nil argument.

2005-07-09  Richard M. Stallman  <rms@gnu.org>

	* emacs-lisp/debug.el (debugger-setup-buffer): When eval-buffer
	was called with nil for the buffer, handle the read position right.
	Handle read position for eval-region, too.

2005-07-09  Juri Linkov  <juri@jurta.org>

	* fringe.el (fringe-mode): Add period in docstring.
	(fringe-query-style): Build prompt depending on `all-frames' arg.

	* dired.el (dired-marker-char): Avoid quotations for `do' and `mark'
	to not create links to unrelated functions in the Help buffer.

	* progmodes/compile.el (compilation-mode-hook, compilation-mode):
	Doc fix.

	* simple.el (next-error-hook): New variable.
	(next-error): Use it.  Doc fix.

	* textmodes/ispell.el (ispell-command-loop): Add current
	dictionary name and program name to mode-line-format.
	(ispell-region, ispell-process-line): Add current dictionary name
	and program name to messages.

2005-07-08  Jay Belanger  <belanger@truman.edu>

	* calc/calc.el (calc-embedded-announce-formula-alist)
	(calc-embedded-open-close-formula-alist)
	(calc-embedded-open-close-word-alist)
	(calc-embedded-open-close-plain-alist)
	(calc-embedded-open-close-new-formula-alist)
	(calc-embedded-open-close-mode-alist)
	(calc-embedded-new-buffer-hook, calc-embedded-new-formula-hook)
	(calc-embedded-mode-hook): New variables.

	* calc/calc-embed.el (calc-embedded-firsttime)
	(calc-embedded-firsttime-buf, calc-embedded-firsttime-formula):
	New variables.
	(calc-do-embedded): Use calc-embedded-firsttime,
	calc-embedded-firsttime-buf and calc-embedded-firsttime-formula to
	determine whether or not to run hooks.
	(calc-embedded-make-info) Set calc-embedded-firsttime-buf and
	calc-embedded-firsttime-formula appropriately.
	Set calc-embedded delimiter variables according to mode.

2005-07-08  Richard M. Stallman  <rms@gnu.org>

	* emacs-lisp/checkdoc.el (checkdoc-proper-noun-list):
	Check for "emacs", etc., as entire symbol, not just as word.
	(checkdoc-file-comments-engine): Use regexp-quote on FN.

	* files.el (set-visited-file-name): Report the error
	for "empty filename" earlier.
	(kill-some-buffers): Ignore buffers already dead.

	* fringe.el (fringe-mode): Doc fix.

	* emacs-lisp/bytecomp.el (byte-compile-maybe-guarded):
	Check for (featurep 'xemacs) and turn off warnings in what it guards.
	Use unwind-protect to ensure byte-compile-unresolved-functions
	is updated.

	* whitespace.el (whitespace-buffer-leading-cleanup):
	Simplify w/ skip-chars-forward.
	(whitespace-buffer-trailing-cleanup): Simplify w/ skip-chars-backward.

	* mail/rmail.el (rmail-only-expunge): Fix paren error.
	Unconditionally try to leave point at the same old place.

2005-07-08  Ralf Angeli  <angeli@iwi.uni-sb.de>  (tiny change)

	* comint.el (comint-postoutput-scroll-to-bottom)
	(comint-show-maximum-output): Take scroll-margin into consideration.

2005-07-08  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-use-filename-at-point): New choice `guess'.
	(ido-file-internal): Try ffap-guesser if selected.

	* ido.el (ido-before-fallback-functions): New hook.
	(ido-buffer-internal, ido-file-internal, ido-read-buffer)
	(ido-read-file-name): Run it.

2005-07-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/hideif.el (hide-ifdef-use-define-alist): Pass a list of
	strings rather than a list of symbols to the completion function.

2005-07-07  Jay Belanger  <belanger@truman.edu>

	* calc/calc-units.el (math-apply-units): Change the places in
	which units are simplified.

2005-07-07  Luc Teirlinck  <teirllm@auburn.edu>

	* cus-edit.el (customize-option, customize-option-other-window):
	Make them handle aliases.

	* custom.el (custom-variable-p): Make it recursively follow
	aliases.  Mention that in the docstring.

2005-07-07  Richard M. Stallman  <rms@gnu.org>

	* cus-start.el (exec-path): Use `directory' instead of `file'.
	Fix tag for nil.

2005-07-07  Juanma Barranquero  <lekktu@gmail.com>

	* replace.el (occur-rename-buffer): Use `generate-new-buffer' also
	when called non-interactively.  Doc fix.

2005-07-07  Lute Kamstra  <lute@gnu.org>

	* elide-head.el (elide-head-headers-to-hide): Recognize the FSF's
	new address as well.

2005-07-07  Kenichi Handa  <handa@m17n.org>

	* international/mule.el (make-coding-system):
	Describe `ascii-incompatible' property in the docstring.
	(set-file-name-coding-system): Signal an error if coding-system is
	ascii-incompatible.
	(set-keyboard-coding-system): Likewise.

	* international/mule-cmds.el (set-default-coding-systems):
	Don't set default-file-name-coding-system and
	default-keyboard-coding-system if coding-system is ASCII-incompatible.

	* international/utf-16.el: Declare that all UTF-16-based coding
	systems are ASCII-incompatible.

2005-07-07  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el: Require font-lock for displaying errors.
	Used by gdb-ui.el.

2005-07-07  Juanma Barranquero  <lekktu@gmail.com>

	* hi-lock.el (hi-lock-find-patterns): Protect also against invalid
	values for the pattern lists which are `read'able but not
	`append'able (like symbols).

2005-07-06  Richard M. Stallman  <rms@gnu.org>

	* progmodes/flymake.el (flymake-float-time): Instead of
	with-no-warnings, test for xemacs.
	(flymake-replace-regexp-in-string): Test fboundp of replace-in-string
	to avoid warning.

2005-07-06  Juanma Barranquero  <lekktu@gmail.com>

	* w32-vars.el (w32-fixed-font-alist): Fix typo in `defcustom' tag.

2005-07-05  Lute Kamstra  <lute@gnu.org>

	* battery.el: Add support for Darwin (with much debugging help
	from Samuel Lauber <sam124@operamail.com>).
	(battery-status-function, battery-echo-area-format)
	(battery-mode-line-format): Add support for pmset on Darwin.
	(battery-load-low, battery-load-critical): New user options.
	(battery-pmset): New function.

2005-07-05  Lute Kamstra  <lute@gnu.org>

	Update FSF's address in GPL notices.

	* textmodes/page-ext.el: Update FSF's address.

2005-07-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/lisp-mode.el (lisp-mode-variables): Prevent adaptive
	filling from using prefix when filling a single-line docstring.

	* progmodes/flymake.el: Remove useless eval-when-compile.

	* arc-mode.el (archive-lzh-ogm): Reorder save excursion/restriction.

2005-07-04  Richard M. Stallman  <rms@gnu.org>

